/************************************************************************************/
/*  Copyright (C)           Microcyber Inc. All Rights Reserved                     */
/*  Product:                NCS-TT108 Profibus PA                                   */
/*                                                                                  */
/*  Device:                 NCS-TT108 TEMPERATURE DEVICE for PROFIBUS PA            */
/*  Description:            Device Description File                                 */
/*  Dictionary:             SIPADC01.dct                                            */
/*                                                                                  */
/*  Revision:  1.0                                                                  */
/*  Date:      2008-06-23                                                           */
/*  Author:    Ning Dekui                                                           */
/************************************************************************************/
MANUFACTURER            0x16c,
DEVICE_TYPE             0x01,
DEVICE_REVISION         0x01,
DD_REVISION             0x01

//#define _NCS_TT
//#define _REV2
#define DEVICE_TYPE "NCS-TT108"

#include "SI_FileM.inc"
#include "SI_HlpM.inc"
#include "SI_OptM.inc"
#include "SIPAST_CommError.inc"

/*
#include "SI_MainMenu.inc"
#include "SI_ViewM.inc"
*/

/* common files */
#include "MC_YT.inc" 
#include "defmacros.inc"
#include "TT108_Phys.inc"

/* Function Block files */
#include "TT108_FB1.inc"
#include "TT108_FB2.inc"
#include "TT108_FB3.inc"
#include "TT108_FB4.inc"
#include "TT108_FB5.inc"
#include "TT108_FB6.inc"
#include "TT108_FB7.inc"
#include "TT108_FB8.inc"

/* Transducer Block files */
#include "TT108_TB1.inc"
#include "TT108_TB2.inc"
#include "TT108_TB3.inc"
#include "TT108_TB4.inc"
#include "TT108_TB5.inc"
#include "TT108_TB6.inc"
#include "TT108_TB7.inc"
#include "TT108_TB8.inc"

/*************************************************************************/
/*****    Menu: Specialist  **********************************************/
/*************************************************************************/

MENU Menu_Main_Specialist
{
    LABEL        [main_menu];
    ITEMS
    {
        Menu_File,
        Menu_S_Device,
        Menu_S_View,
        Menu_Options,
        Menu_Help
    }
}

/***********************************************************************/
/*****    Menu: Maintenance  *********************************************/
/***********************************************************************/

MENU Menu_Main_Maintenance
{
    LABEL        [main_menu];
    ITEMS
    {
        Menu_File,
        Menu_M_Device,
        Menu_M_View,
        Menu_Options,
        Menu_Help
    }
}

MENU upload_variables
{
    LABEL        [menu_load_to_device];
    ITEMS
    {
    /* PHYSICAL BLOCK    */
        phys_tag_desc,
        phys_descriptor,
        phys_message,
        phys_install_date,
        phys_local_operation_enable,
        phys_strategy,
        phys_alert_key,

    /* FUNCTION BLOCK 1: AI 1    */
        func1_AI_1_tag_desc,
        func1_AI_1_strategy,
        func1_AI_1_alert_key,
        func1_AI_1_target_mode,
        func1_AI_1_batch_id,
        func1_AI_1_batch_unit,
        func1_AI_1_batch_operation,
        func1_AI_1_batch_phase,
        func1_AI_1_channel,
        func1_AI_1_lin_type,
        func1_AI_1_pv_ftime,
        func1_AI_1_pv_upper_range_value,
        func1_AI_1_pv_lower_range_value,
        func1_AI_1_out_upper_range_value,
        func1_AI_1_out_lower_range_value,
        func1_AI_1_out_unit,
        func1_AI_1_out_decimal_point,
        func1_AI_1_alarm_hys,
        func1_AI_1_hi_hi_lim,
        func1_AI_1_hi_lim,
        func1_AI_1_lo_lim,
        func1_AI_1_lo_lo_lim,
        func1_AI_1_FSafeType,
        func1_AI_1_FSafeValue,
        func1_AI_1_out_unit_text,

    /* FUNCTION BLOCK 1: AI 2    */
        func1_AI_2_tag_desc,
        func1_AI_2_strategy,
        func1_AI_2_alert_key,
        func1_AI_2_target_mode,
        func1_AI_2_batch_id,
        func1_AI_2_batch_unit,
        func1_AI_2_batch_operation,
        func1_AI_2_batch_phase,
        func1_AI_2_channel,
        func1_AI_2_lin_type,
        func1_AI_2_pv_ftime,
        func1_AI_2_pv_upper_range_value,
        func1_AI_2_pv_lower_range_value,
        func1_AI_2_out_upper_range_value,
        func1_AI_2_out_lower_range_value,
        func1_AI_2_out_unit,
        func1_AI_2_out_decimal_point,
        func1_AI_2_alarm_hys,
        func1_AI_2_hi_hi_lim,
        func1_AI_2_hi_lim,
        func1_AI_2_lo_lim,
        func1_AI_2_lo_lo_lim,
        func1_AI_2_FSafeType,
        func1_AI_2_FSafeValue,
        func1_AI_2_out_unit_text,

    /* FUNCTION BLOCK 1: AI 3    */
        func1_AI_3_tag_desc,
        func1_AI_3_strategy,
        func1_AI_3_alert_key,
        func1_AI_3_target_mode,
        func1_AI_3_batch_id,
        func1_AI_3_batch_unit,
        func1_AI_3_batch_operation,
        func1_AI_3_batch_phase,
        func1_AI_3_channel,
        func1_AI_3_lin_type,
        func1_AI_3_pv_ftime,
        func1_AI_3_pv_upper_range_value,
        func1_AI_3_pv_lower_range_value,
        func1_AI_3_out_upper_range_value,
        func1_AI_3_out_lower_range_value,
        func1_AI_3_out_unit,
        func1_AI_3_out_decimal_point,
        func1_AI_3_alarm_hys,
        func1_AI_3_hi_hi_lim,
        func1_AI_3_hi_lim,
        func1_AI_3_lo_lim,
        func1_AI_3_lo_lo_lim,
        func1_AI_3_FSafeType,
        func1_AI_3_FSafeValue,
        func1_AI_3_out_unit_text,

    /* FUNCTION BLOCK 1: AI 4    */
        func1_AI_4_tag_desc,
        func1_AI_4_strategy,
        func1_AI_4_alert_key,
        func1_AI_4_target_mode,
        func1_AI_4_batch_id,
        func1_AI_4_batch_unit,
        func1_AI_4_batch_operation,
        func1_AI_4_batch_phase,
        func1_AI_4_channel,
        func1_AI_4_lin_type,
        func1_AI_4_pv_ftime,
        func1_AI_4_pv_upper_range_value,
        func1_AI_4_pv_lower_range_value,
        func1_AI_4_out_upper_range_value,
        func1_AI_4_out_lower_range_value,
        func1_AI_4_out_unit,
        func1_AI_4_out_decimal_point,
        func1_AI_4_alarm_hys,
        func1_AI_4_hi_hi_lim,
        func1_AI_4_hi_lim,
        func1_AI_4_lo_lim,
        func1_AI_4_lo_lo_lim,
        func1_AI_4_FSafeType,
        func1_AI_4_FSafeValue,
        func1_AI_4_out_unit_text,

    /* FUNCTION BLOCK 1: AI 5    */
        func1_AI_5_tag_desc,
        func1_AI_5_strategy,
        func1_AI_5_alert_key,
        func1_AI_5_target_mode,
        func1_AI_5_batch_id,
        func1_AI_5_batch_unit,
        func1_AI_5_batch_operation,
        func1_AI_5_batch_phase,
        func1_AI_5_channel,
        func1_AI_5_lin_type,
        func1_AI_5_pv_ftime,
        func1_AI_5_pv_upper_range_value,
        func1_AI_5_pv_lower_range_value,
        func1_AI_5_out_upper_range_value,
        func1_AI_5_out_lower_range_value,
        func1_AI_5_out_unit,
        func1_AI_5_out_decimal_point,
        func1_AI_5_alarm_hys,
        func1_AI_5_hi_hi_lim,
        func1_AI_5_hi_lim,
        func1_AI_5_lo_lim,
        func1_AI_5_lo_lo_lim,
        func1_AI_5_FSafeType,
        func1_AI_5_FSafeValue,
        func1_AI_5_out_unit_text,

    /* FUNCTION BLOCK 1: AI 6    */
        func1_AI_6_tag_desc,
        func1_AI_6_strategy,
        func1_AI_6_alert_key,
        func1_AI_6_target_mode,
        func1_AI_6_batch_id,
        func1_AI_6_batch_unit,
        func1_AI_6_batch_operation,
        func1_AI_6_batch_phase,
        func1_AI_6_channel,
        func1_AI_6_lin_type,
        func1_AI_6_pv_ftime,
        func1_AI_6_pv_upper_range_value,
        func1_AI_6_pv_lower_range_value,
        func1_AI_6_out_upper_range_value,
        func1_AI_6_out_lower_range_value,
        func1_AI_6_out_unit,
        func1_AI_6_out_decimal_point,
        func1_AI_6_alarm_hys,
        func1_AI_6_hi_hi_lim,
        func1_AI_6_hi_lim,
        func1_AI_6_lo_lim,
        func1_AI_6_lo_lo_lim,
        func1_AI_6_FSafeType,
        func1_AI_6_FSafeValue,
        func1_AI_6_out_unit_text,

    /* FUNCTION BLOCK 1: AI 7    */
        func1_AI_7_tag_desc,
        func1_AI_7_strategy,
        func1_AI_7_alert_key,
        func1_AI_7_target_mode,
        func1_AI_7_batch_id,
        func1_AI_7_batch_unit,
        func1_AI_7_batch_operation,
        func1_AI_7_batch_phase,
        func1_AI_7_channel,
        func1_AI_7_lin_type,
        func1_AI_7_pv_ftime,
        func1_AI_7_pv_upper_range_value,
        func1_AI_7_pv_lower_range_value,
        func1_AI_7_out_upper_range_value,
        func1_AI_7_out_lower_range_value,
        func1_AI_7_out_unit,
        func1_AI_7_out_decimal_point,
        func1_AI_7_alarm_hys,
        func1_AI_7_hi_hi_lim,
        func1_AI_7_hi_lim,
        func1_AI_7_lo_lim,
        func1_AI_7_lo_lo_lim,
        func1_AI_7_FSafeType,
        func1_AI_7_FSafeValue,
        func1_AI_7_out_unit_text,

    /* FUNCTION BLOCK 1: AI 8    */
        func1_AI_8_tag_desc,
        func1_AI_8_strategy,
        func1_AI_8_alert_key,
        func1_AI_8_target_mode,
        func1_AI_8_batch_id,
        func1_AI_8_batch_unit,
        func1_AI_8_batch_operation,
        func1_AI_8_batch_phase,
        func1_AI_8_channel,
        func1_AI_8_lin_type,
        func1_AI_8_pv_ftime,
        func1_AI_8_pv_upper_range_value,
        func1_AI_8_pv_lower_range_value,
        func1_AI_8_out_upper_range_value,
        func1_AI_8_out_lower_range_value,
        func1_AI_8_out_unit,
        func1_AI_8_out_decimal_point,
        func1_AI_8_alarm_hys,
        func1_AI_8_hi_hi_lim,
        func1_AI_8_hi_lim,
        func1_AI_8_lo_lim,
        func1_AI_8_lo_lo_lim,
        func1_AI_8_FSafeType,
        func1_AI_8_FSafeValue,
        func1_AI_8_out_unit_text,

    /* TRANDSDUCER BLOCK 1: */
        trans1_TT_1_tag_desc,
        trans1_TT_1_lin_type,
        trans1_TT_1_primary_value_unit,
        trans1_TT_1_sensor_measure_type,
        IF (trans1_TT_1_lin_type == 0)
        {    trans1_TT_1_input_range,}
        IF ((trans1_TT_1_lin_type == 128) || (trans1_TT_1_lin_type == 131) || 
            ((trans1_TT_1_lin_type >= 133) && (trans1_TT_1_lin_type <= 138)))
        {   trans1_TT_1_rj_type,}
        trans1_TT_1_bias_1,

        IF (trans1_TT_1_sensor_measure_type != 0)
        {   trans1_TT_1_bias_2,}
        trans1_TT_1_sensor_connection,
    
    /* TRANDSDUCER BLOCK 2: */
        trans1_TT_2_tag_desc,
        trans1_TT_2_lin_type,
        trans1_TT_2_primary_value_unit,
        trans1_TT_2_sensor_measure_type,
        IF (trans1_TT_2_lin_type == 0)
        {    trans1_TT_2_input_range,}
        IF ((trans1_TT_2_lin_type == 128) || (trans1_TT_2_lin_type == 131) || 
            ((trans1_TT_2_lin_type >= 133) && (trans1_TT_2_lin_type <= 138)))
        {   trans1_TT_2_rj_type,}
        IF (trans1_TT_2_sensor_measure_type != 1)
        {   trans1_TT_2_bias_1,}

        trans1_TT_2_bias_2,
        trans1_TT_2_sensor_connection,
    
    /* TRANDSDUCER BLOCK 3: */
        trans1_TT_3_tag_desc,
        trans1_TT_3_lin_type,
        trans1_TT_3_primary_value_unit,
        trans1_TT_3_sensor_measure_type,
        IF (trans1_TT_3_lin_type == 0)
        {    trans1_TT_3_input_range,}
        IF ((trans1_TT_3_lin_type == 128) || (trans1_TT_3_lin_type == 131) || 
            ((trans1_TT_3_lin_type >= 133) && (trans1_TT_3_lin_type <= 138)))
        {   trans1_TT_3_rj_type,}
        IF (trans1_TT_3_sensor_measure_type != 1)
        {   trans1_TT_3_bias_1,}
        trans1_TT_3_bias_2,
        trans1_TT_3_sensor_connection,

    /* TRANDSDUCER BLOCK 4: */
        trans1_TT_4_tag_desc,
        trans1_TT_4_lin_type,
        trans1_TT_4_primary_value_unit,
        trans1_TT_4_sensor_measure_type,
        IF (trans1_TT_4_lin_type == 0)
        {    trans1_TT_4_input_range,}
        IF ((trans1_TT_4_lin_type == 128) || (trans1_TT_4_lin_type == 131) || 
            ((trans1_TT_4_lin_type >= 133) && (trans1_TT_4_lin_type <= 138)))
        {   trans1_TT_4_rj_type,}
        IF (trans1_TT_4_sensor_measure_type != 1)
        {   trans1_TT_4_bias_1,}
        trans1_TT_4_bias_2,
        trans1_TT_4_sensor_connection,

    /* TRANDSDUCER BLOCK 5: */
        trans1_TT_5_tag_desc,
        trans1_TT_5_lin_type,
        trans1_TT_5_primary_value_unit,
        trans1_TT_5_sensor_measure_type,
        IF (trans1_TT_5_lin_type == 0)
        {    trans1_TT_5_input_range,}
        IF ((trans1_TT_5_lin_type == 128) || (trans1_TT_5_lin_type == 131) || 
            ((trans1_TT_5_lin_type >= 133) && (trans1_TT_5_lin_type <= 138)))
        {   trans1_TT_5_rj_type,}
        IF (trans1_TT_5_sensor_measure_type != 1)
        {   trans1_TT_5_bias_1,}
        trans1_TT_5_bias_2,
        trans1_TT_5_sensor_connection,

    /* TRANDSDUCER BLOCK 6: */
        trans1_TT_6_tag_desc,
        trans1_TT_6_lin_type,
        trans1_TT_6_primary_value_unit,
        trans1_TT_6_sensor_measure_type,
        IF (trans1_TT_6_lin_type == 0)
        {    trans1_TT_6_input_range,}
        IF ((trans1_TT_6_lin_type == 128) || (trans1_TT_6_lin_type == 131) || 
            ((trans1_TT_6_lin_type >= 133) && (trans1_TT_6_lin_type <= 138)))
        {   trans1_TT_6_rj_type,}
        IF (trans1_TT_6_sensor_measure_type != 1)
        {   trans1_TT_6_bias_1,}
        trans1_TT_6_bias_2,
        trans1_TT_6_sensor_connection,

    /* TRANDSDUCER BLOCK 7: */
        trans1_TT_7_tag_desc,
        trans1_TT_7_lin_type,
        trans1_TT_7_primary_value_unit,
        trans1_TT_7_sensor_measure_type,
        IF (trans1_TT_7_lin_type == 0)
        {    trans1_TT_7_input_range,}
        IF ((trans1_TT_7_lin_type == 128) || (trans1_TT_7_lin_type == 131) || 
            ((trans1_TT_7_lin_type >= 133) && (trans1_TT_7_lin_type <= 138)))
        {   trans1_TT_7_rj_type,}
        IF (trans1_TT_7_sensor_measure_type != 1)
        {   trans1_TT_7_bias_1,}
        trans1_TT_7_bias_2,
        trans1_TT_7_sensor_connection,


    /* TRANDSDUCER BLOCK 8: */
        trans1_TT_8_tag_desc,
        trans1_TT_8_lin_type,
        trans1_TT_8_primary_value_unit,
        trans1_TT_8_sensor_measure_type,
        IF (trans1_TT_8_lin_type == 0)
        {    trans1_TT_8_input_range,}
        IF ((trans1_TT_8_lin_type == 128) || (trans1_TT_8_lin_type == 131) || 
            ((trans1_TT_8_lin_type >= 133) && (trans1_TT_8_lin_type <= 138)))
        {   trans1_TT_8_rj_type,}
        IF (trans1_TT_8_sensor_measure_type != 1)
        {   trans1_TT_8_bias_1,}
        trans1_TT_8_bias_2,
        trans1_TT_8_sensor_connection
    }
    PRE_READ_ACTIONS
    {
        method_pre_write_phys_write_locking
    }
}




/*---------------------------------------------------------------------*/
/*    Menu: Device                                                     */
/*---------------------------------------------------------------------*/

MENU Menu_S_Device
{
    LABEL        [menu_Device];
    ITEMS
    {
        std_NodeAddress,
        SEPARATOR,
        std_LoadinDevice,
        std_LoadinPC,
        SEPARATOR,
        Menu_configuration,
        SEPARATOR,
        Menu_cal,
        Menu_simulation,
        SEPARATOR,
        OnlineDialog_reset,
        OnlineDialog_write_locking,
        OnlineDialog_ident_number
    }
}

MENU Menu_M_Device
{
    LABEL        [menu_Device];
    ITEMS
    {
        std_NodeAddress,
        SEPARATOR,
        std_LoadinDevice,
        std_LoadinPC
    }
}

MENU Menu_configuration
{
    LABEL "Configuration";
    ITEMS
    {
        OnlineWindow_trans1_TT_1_setting,
        OnlineWindow_trans1_TT_2_setting,
        OnlineWindow_trans1_TT_3_setting,
        OnlineWindow_trans1_TT_4_setting,
        OnlineWindow_trans1_TT_5_setting,
        OnlineWindow_trans1_TT_6_setting,
        OnlineWindow_trans1_TT_7_setting,
        OnlineWindow_trans1_TT_8_setting,
        OnlineWindow_AI_1_geral,
        OnlineWindow_AI_2_geral,
        OnlineWindow_AI_3_geral,
        OnlineWindow_AI_4_geral,
        OnlineWindow_AI_5_geral,
        OnlineWindow_AI_6_geral,
        OnlineWindow_AI_7_geral,
        OnlineWindow_AI_8_geral
    }
}


MENU OnlineWindow_trans1_TT_1_setting
{
    LABEL [MC_trans1];
    ITEMS
    {
        Page_trans1_TT_1_Basic_Settings,
        Page_trans1_TT_1_Advanced_Settings
    }
}

MENU Page_trans1_TT_1_Basic_Settings
{
    LABEL [MC_Tab_basic];
    ITEMS
    {
        Group_trans1_TT_1_Tag,
        Group_trans1_TT_1_Measure_Type,
        Group_trans1_TT_1_Sensor_Type,
        Group_trans1_TT_1_Connection_Type,
        Group_trans1_TT_1_RJ_Type,
        SEPARATOR,
        method_set
    }
}

MENU Group_trans1_TT_1_Tag
{
    LABEL [MC_Set_TB_Tag];
    ITEMS
    {
        trans1_TT_1_tag_desc
    }
}

MENU Group_trans1_TT_1_Measure_Type
{
    LABEL [MC_Select_Measure_Type];
    ITEMS
    {
        trans1_TT_2_sensor_measure_type (HIDDEN),
        trans1_TT_1_sensor_measure_type
    }
}

MENU Group_trans1_TT_1_Sensor_Type
{
    LABEL [MC_Select_Sensor_Type];
    ITEMS
    {
        trans1_TT_1_lin_type,
        trans1_TT_1_input_range,
        trans1_TT_1_primary_value_unit (HIDDEN)
    }
}

MENU Group_trans1_TT_1_Connection_Type
{
    LABEL [MC_Select_Connection_Type];
    ITEMS
    {
        trans1_TT_1_sensor_connection
    }
}

MENU Group_trans1_TT_1_RJ_Type
{
    LABEL [MC_Select_RJ_Type];
    ITEMS
    {
        trans1_TT_1_rj_type
    }
}

MENU OnlineWindow_trans1_TT_2_setting
{
    LABEL [MC_trans2];
    ITEMS
    {
        Page_trans1_TT_2_Basic_Settings,
        Page_trans1_TT_2_Advanced_Settings
    }
}

MENU Page_trans1_TT_2_Basic_Settings
{
    LABEL [MC_Tab_basic];
    ITEMS
    {
        Group_trans1_TT_2_Tag,
        Group_trans1_TT_2_Measure_Type,
        Group_trans1_TT_2_Sensor_Type,
        Group_trans1_TT_2_Connection_Type,
        Group_trans1_TT_2_RJ_Type,
        SEPARATOR,
        method_set
    }
}

MENU Group_trans1_TT_2_Tag
{
    LABEL [MC_Set_TB_Tag];
    ITEMS
    {
        trans1_TT_2_tag_desc
    }
}

MENU Group_trans1_TT_2_Measure_Type
{
    LABEL [MC_Select_Measure_Type];
    ITEMS
    {
        trans1_TT_1_sensor_measure_type (HIDDEN),
        trans1_TT_2_sensor_measure_type
    }
}

MENU Group_trans1_TT_2_Sensor_Type
{
    LABEL [MC_Select_Sensor_Type];
    ITEMS
    {
        trans1_TT_2_lin_type,
        trans1_TT_2_input_range,
        trans1_TT_2_primary_value_unit (HIDDEN)
    }
}

MENU Group_trans1_TT_2_Connection_Type
{
    LABEL [MC_Select_Connection_Type];
    ITEMS
    {
        trans1_TT_2_sensor_connection
    }
}

MENU Group_trans1_TT_2_RJ_Type
{
    LABEL [MC_Select_RJ_Type];
    ITEMS
    {
        trans1_TT_2_rj_type
    }
}




MENU OnlineWindow_trans1_TT_3_setting
{
    LABEL [MC_trans3];
    ITEMS
    {
        Page_trans1_TT_3_Basic_Settings,
        Page_trans1_TT_3_Advanced_Settings
    }
}

MENU Page_trans1_TT_3_Basic_Settings
{
    LABEL [MC_Tab_basic];
    ITEMS
    {
        Group_trans1_TT_3_Tag,
        Group_trans1_TT_3_Measure_Type,
        Group_trans1_TT_3_Sensor_Type,
        Group_trans1_TT_3_Connection_Type,
        Group_trans1_TT_3_RJ_Type,
        SEPARATOR,
        method_set
    }
}

MENU Group_trans1_TT_3_Tag
{
    LABEL [MC_Set_TB_Tag];
    ITEMS
    {
        trans1_TT_3_tag_desc
    }
}

MENU Group_trans1_TT_3_Measure_Type
{
    LABEL [MC_Select_Measure_Type];
    ITEMS
    {
        trans1_TT_4_sensor_measure_type (HIDDEN),
        trans1_TT_3_sensor_measure_type
    }
}

MENU Group_trans1_TT_3_Sensor_Type
{
    LABEL [MC_Select_Sensor_Type];
    ITEMS
    {
        trans1_TT_3_lin_type,
        trans1_TT_3_input_range,
        trans1_TT_3_primary_value_unit (HIDDEN)
    }
}

MENU Group_trans1_TT_3_Connection_Type
{
    LABEL [MC_Select_Connection_Type];
    ITEMS
    {
        trans1_TT_3_sensor_connection
    }
}

MENU Group_trans1_TT_3_RJ_Type
{
    LABEL [MC_Select_RJ_Type];
    ITEMS
    {
        trans1_TT_3_rj_type
    }
}

MENU OnlineWindow_trans1_TT_4_setting
{
    LABEL [MC_trans4];
    ITEMS
    {
        Page_trans1_TT_4_Basic_Settings,
        Page_trans1_TT_4_Advanced_Settings
    }
}

MENU Page_trans1_TT_4_Basic_Settings
{
    LABEL [MC_Tab_basic];
    ITEMS
    {
        Group_trans1_TT_4_Tag,
        Group_trans1_TT_4_Measure_Type,
        Group_trans1_TT_4_Sensor_Type,
        Group_trans1_TT_4_Connection_Type,
        Group_trans1_TT_4_RJ_Type,
        SEPARATOR,
        method_set
    }
}

MENU Group_trans1_TT_4_Tag
{
    LABEL [MC_Set_TB_Tag];
    ITEMS
    {
        trans1_TT_4_tag_desc
    }
}

MENU Group_trans1_TT_4_Measure_Type
{
    LABEL [MC_Select_Measure_Type];
    ITEMS
    {
        trans1_TT_3_sensor_measure_type (HIDDEN),
        trans1_TT_4_sensor_measure_type
    }
}

MENU Group_trans1_TT_4_Sensor_Type
{
    LABEL [MC_Select_Sensor_Type];
    ITEMS
    {
        trans1_TT_4_lin_type,
        trans1_TT_4_input_range,
        trans1_TT_4_primary_value_unit (HIDDEN)
    }
}

MENU Group_trans1_TT_4_Connection_Type
{
    LABEL [MC_Select_Connection_Type];
    ITEMS
    {
        trans1_TT_4_sensor_connection
    }
}

MENU Group_trans1_TT_4_RJ_Type
{
    LABEL [MC_Select_RJ_Type];
    ITEMS
    {
        trans1_TT_4_rj_type
    }
}

MENU OnlineWindow_trans1_TT_5_setting
{
    LABEL [MC_trans5];
    ITEMS
    {
        Page_trans1_TT_5_Basic_Settings,
        Page_trans1_TT_5_Advanced_Settings
    }
}

MENU Page_trans1_TT_5_Basic_Settings
{
    LABEL [MC_Tab_basic];
    ITEMS
    {
        Group_trans1_TT_5_Tag,
        Group_trans1_TT_5_Measure_Type,
        Group_trans1_TT_5_Sensor_Type,
        Group_trans1_TT_5_Connection_Type,
        Group_trans1_TT_5_RJ_Type,
        SEPARATOR,
        method_set
    }
}

MENU Group_trans1_TT_5_Tag
{
    LABEL [MC_Set_TB_Tag];
    ITEMS
    {
        trans1_TT_5_tag_desc
    }
}

MENU Group_trans1_TT_5_Measure_Type
{
    LABEL [MC_Select_Measure_Type];
    ITEMS
    {
        trans1_TT_6_sensor_measure_type (HIDDEN),
        trans1_TT_5_sensor_measure_type
    }
}

MENU Group_trans1_TT_5_Sensor_Type
{
    LABEL [MC_Select_Sensor_Type];
    ITEMS
    {
        trans1_TT_5_lin_type,
        trans1_TT_5_input_range,
        trans1_TT_5_primary_value_unit (HIDDEN)
    }
}

MENU Group_trans1_TT_5_Connection_Type
{
    LABEL [MC_Select_Connection_Type];
    ITEMS
    {
        trans1_TT_5_sensor_connection
    }
}

MENU Group_trans1_TT_5_RJ_Type
{
    LABEL [MC_Select_RJ_Type];
    ITEMS
    {
        trans1_TT_5_rj_type
    }
}

MENU OnlineWindow_trans1_TT_6_setting
{
    LABEL [MC_trans6];
    ITEMS
    {
        Page_trans1_TT_6_Basic_Settings,
        Page_trans1_TT_6_Advanced_Settings
    }
}

MENU Page_trans1_TT_6_Basic_Settings
{
    LABEL [MC_Tab_basic];
    ITEMS
    {
        Group_trans1_TT_6_Tag,
        Group_trans1_TT_6_Measure_Type,
        Group_trans1_TT_6_Sensor_Type,
        Group_trans1_TT_6_Connection_Type,
        Group_trans1_TT_6_RJ_Type,
        SEPARATOR,
        method_set
    }
}

MENU Group_trans1_TT_6_Tag
{
    LABEL [MC_Set_TB_Tag];
    ITEMS
    {
        trans1_TT_6_tag_desc
    }
}

MENU Group_trans1_TT_6_Measure_Type
{
    LABEL [MC_Select_Measure_Type];
    ITEMS
    {
        trans1_TT_5_sensor_measure_type (HIDDEN),
        trans1_TT_6_sensor_measure_type
    }
}

MENU Group_trans1_TT_6_Sensor_Type
{
    LABEL [MC_Select_Sensor_Type];
    ITEMS
    {
        trans1_TT_6_lin_type,
        trans1_TT_6_input_range,
        trans1_TT_6_primary_value_unit (HIDDEN)
    }
}

MENU Group_trans1_TT_6_Connection_Type
{
    LABEL [MC_Select_Connection_Type];
    ITEMS
    {
        trans1_TT_6_sensor_connection
    }
}

MENU Group_trans1_TT_6_RJ_Type
{
    LABEL [MC_Select_RJ_Type];
    ITEMS
    {
        trans1_TT_6_rj_type
    }
}

MENU OnlineWindow_trans1_TT_7_setting
{
    LABEL [MC_trans7];
    ITEMS
    {
        Page_trans1_TT_7_Basic_Settings,
        Page_trans1_TT_7_Advanced_Settings
    }
}

MENU Page_trans1_TT_7_Basic_Settings
{
    LABEL [MC_Tab_basic];
    ITEMS
    {
        Group_trans1_TT_7_Tag,
        Group_trans1_TT_7_Measure_Type,
        Group_trans1_TT_7_Sensor_Type,
        Group_trans1_TT_7_Connection_Type,
        Group_trans1_TT_7_RJ_Type,
        SEPARATOR,
        method_set
    }
}

MENU Group_trans1_TT_7_Tag
{
    LABEL [MC_Set_TB_Tag];
    ITEMS
    {
        trans1_TT_7_tag_desc
    }
}

MENU Group_trans1_TT_7_Measure_Type
{
    LABEL [MC_Select_Measure_Type];
    ITEMS
    {
        trans1_TT_8_sensor_measure_type (HIDDEN),
        trans1_TT_7_sensor_measure_type
    }
}

MENU Group_trans1_TT_7_Sensor_Type
{
    LABEL [MC_Select_Sensor_Type];
    ITEMS
    {
        trans1_TT_7_lin_type,
        trans1_TT_7_input_range,
        trans1_TT_7_primary_value_unit (HIDDEN)
    }
}

MENU Group_trans1_TT_7_Connection_Type
{
    LABEL [MC_Select_Connection_Type];
    ITEMS
    {
        trans1_TT_7_sensor_connection
    }
}

MENU Group_trans1_TT_7_RJ_Type
{
    LABEL [MC_Select_RJ_Type];
    ITEMS
    {
        trans1_TT_7_rj_type
    }
}

MENU OnlineWindow_trans1_TT_8_setting
{
    LABEL [MC_trans8];
    ITEMS
    {
        Page_trans1_TT_8_Basic_Settings,
        Page_trans1_TT_8_Advanced_Settings
    }
}

MENU Page_trans1_TT_8_Basic_Settings
{
    LABEL [MC_Tab_basic];
    ITEMS
    {
        Group_trans1_TT_8_Tag,
        Group_trans1_TT_8_Measure_Type,
        Group_trans1_TT_8_Sensor_Type,
        Group_trans1_TT_8_Connection_Type,
        Group_trans1_TT_8_RJ_Type,
        SEPARATOR,
        method_set
    }
}

MENU Group_trans1_TT_8_Tag
{
    LABEL [MC_Set_TB_Tag];
    ITEMS
    {
        trans1_TT_8_tag_desc
    }
}

MENU Group_trans1_TT_8_Measure_Type
{
    LABEL [MC_Select_Measure_Type];
    ITEMS
    {
        trans1_TT_7_sensor_measure_type (HIDDEN),
        trans1_TT_8_sensor_measure_type
    }
}

MENU Group_trans1_TT_8_Sensor_Type
{
    LABEL [MC_Select_Sensor_Type];
    ITEMS
    {
        trans1_TT_8_lin_type,
        trans1_TT_8_input_range,
        trans1_TT_8_primary_value_unit (HIDDEN)
    }
}

MENU Group_trans1_TT_8_Connection_Type
{
    LABEL [MC_Select_Connection_Type];
    ITEMS
    {
        trans1_TT_8_sensor_connection
    }
}

MENU Group_trans1_TT_8_RJ_Type
{
    LABEL [MC_Select_RJ_Type];
    ITEMS
    {
        trans1_TT_8_rj_type
    }
}

MENU Page_trans1_TT_1_Advanced_Settings
{
    LABEL [MC_Tab_advanced];
    ITEMS
    {
        Group_trans1_TT_1_primary_value_unit,
        Group_trans1_TT_1_bias_of_channel,
        Group_trans1_TT_1_2wire_compensation,
        Group_trans1_TT_1_sensor_limit,
        trans1_TT_1_lin_type (HIDDEN),
        SEPARATOR,
        method_set
    }
}

MENU Group_trans1_TT_1_primary_value_unit
{
    LABEL [MC_Select_Output_Unit];
    ITEMS
    {
        trans1_TT_1_primary_value_unit
    }
}

MENU Group_trans1_TT_1_bias_of_channel
{
    LABEL [MC_Set_Bias_of_Channel];
    ITEMS
    {
        trans1_TT_1_bias_1,
        trans1_TT_1_bias_2
    }
}

MENU Group_trans1_TT_1_2wire_compensation
{
    LABEL [MC_Set_2Wire_Comp];
    ITEMS
    {
        method_set_trans1_TT_1_two_Wires_Comp
    }
}

MENU Group_trans1_TT_1_sensor_limit
{
    LABEL [MC_Sensor_Limits];
    ITEMS
    {
        trans1_TT_1_lower_sensor_limit,
        trans1_TT_1_upper_sensor_limit
    }
}

MENU Page_trans1_TT_2_Advanced_Settings
{
    LABEL [MC_Tab_advanced];
    ITEMS
    {
        Group_trans1_TT_2_primary_value_unit,
        Group_trans1_TT_2_bias_of_channel,
        Group_trans1_TT_2_2wire_compensation,
        Group_trans1_TT_2_sensor_limit,
        trans1_TT_2_lin_type (HIDDEN),
        SEPARATOR,
        method_set
    }
}

MENU Group_trans1_TT_2_primary_value_unit
{
    LABEL [MC_Select_Output_Unit];
    ITEMS
    {
        trans1_TT_2_primary_value_unit
    }
}

MENU Group_trans1_TT_2_bias_of_channel
{
    LABEL [MC_Set_Bias_of_Channel];
    ITEMS
    {
        trans1_TT_2_bias_1,
        trans1_TT_2_bias_2
    }
}

MENU Group_trans1_TT_2_2wire_compensation
{
    LABEL [MC_Set_2Wire_Comp];
    ITEMS
    {
        method_set_trans1_TT_2_two_Wires_Comp
    }
}

MENU Group_trans1_TT_2_sensor_limit
{
    LABEL [MC_Sensor_Limits];
    ITEMS
    {
        trans1_TT_2_lower_sensor_limit,
        trans1_TT_2_upper_sensor_limit
    }
}

MENU Page_trans1_TT_3_Advanced_Settings
{
    LABEL [MC_Tab_advanced];
    ITEMS
    {
        Group_trans1_TT_3_primary_value_unit,
        Group_trans1_TT_3_bias_of_channel,
        Group_trans1_TT_3_2wire_compensation,
        Group_trans1_TT_3_sensor_limit,
        trans1_TT_3_lin_type (HIDDEN),
        SEPARATOR,
        method_set
    }
}

MENU Group_trans1_TT_3_primary_value_unit
{
    LABEL [MC_Select_Output_Unit];
    ITEMS
    {
        trans1_TT_3_primary_value_unit
    }
}

MENU Group_trans1_TT_3_bias_of_channel
{
    LABEL [MC_Set_Bias_of_Channel];
    ITEMS
    {
        trans1_TT_3_bias_1,
        trans1_TT_3_bias_2
    }
}

MENU Group_trans1_TT_3_2wire_compensation
{
    LABEL [MC_Set_2Wire_Comp];
    ITEMS
    {
        method_set_trans1_TT_3_two_Wires_Comp
    }
}

MENU Group_trans1_TT_3_sensor_limit
{
    LABEL [MC_Sensor_Limits];
    ITEMS
    {
        trans1_TT_3_lower_sensor_limit,
        trans1_TT_3_upper_sensor_limit
    }
}

MENU Page_trans1_TT_4_Advanced_Settings
{
    LABEL [MC_Tab_advanced];
    ITEMS
    {
        Group_trans1_TT_4_primary_value_unit,
        Group_trans1_TT_4_bias_of_channel,
        Group_trans1_TT_4_2wire_compensation,
        Group_trans1_TT_4_sensor_limit,
        trans1_TT_4_lin_type (HIDDEN),
        SEPARATOR,
        method_set
    }
}

MENU Group_trans1_TT_4_primary_value_unit
{
    LABEL [MC_Select_Output_Unit];
    ITEMS
    {
        trans1_TT_4_primary_value_unit
    }
}

MENU Group_trans1_TT_4_bias_of_channel
{
    LABEL [MC_Set_Bias_of_Channel];
    ITEMS
    {
        trans1_TT_4_bias_1,
        trans1_TT_4_bias_2
    }
}

MENU Group_trans1_TT_4_2wire_compensation
{
    LABEL [MC_Set_2Wire_Comp];
    ITEMS
    {
        method_set_trans1_TT_4_two_Wires_Comp
    }
}

MENU Group_trans1_TT_4_sensor_limit
{
    LABEL [MC_Sensor_Limits];
    ITEMS
    {
        trans1_TT_4_lower_sensor_limit,
        trans1_TT_4_upper_sensor_limit
    }
}

MENU Page_trans1_TT_5_Advanced_Settings
{
    LABEL [MC_Tab_advanced];
    ITEMS
    {
        Group_trans1_TT_5_primary_value_unit,
        Group_trans1_TT_5_bias_of_channel,
        Group_trans1_TT_5_2wire_compensation,
        Group_trans1_TT_5_sensor_limit,
        trans1_TT_5_lin_type (HIDDEN),
        SEPARATOR,
        method_set
    }
}

MENU Group_trans1_TT_5_primary_value_unit
{
    LABEL [MC_Select_Output_Unit];
    ITEMS
    {
        trans1_TT_5_primary_value_unit
    }
}

MENU Group_trans1_TT_5_bias_of_channel
{
    LABEL [MC_Set_Bias_of_Channel];
    ITEMS
    {
        trans1_TT_5_bias_1,
        trans1_TT_5_bias_2
    }
}

MENU Group_trans1_TT_5_2wire_compensation
{
    LABEL [MC_Set_2Wire_Comp];
    ITEMS
    {
        method_set_trans1_TT_5_two_Wires_Comp
    }
}

MENU Group_trans1_TT_5_sensor_limit
{
    LABEL [MC_Sensor_Limits];
    ITEMS
    {
        trans1_TT_5_lower_sensor_limit,
        trans1_TT_5_upper_sensor_limit
    }
}

MENU Page_trans1_TT_6_Advanced_Settings
{
    LABEL [MC_Tab_advanced];
    ITEMS
    {
        Group_trans1_TT_6_primary_value_unit,
        Group_trans1_TT_6_bias_of_channel,
        Group_trans1_TT_6_2wire_compensation,
        Group_trans1_TT_6_sensor_limit,
        trans1_TT_6_lin_type (HIDDEN),
        SEPARATOR,
        method_set
    }
}

MENU Group_trans1_TT_6_primary_value_unit
{
    LABEL [MC_Select_Output_Unit];
    ITEMS
    {
        trans1_TT_6_primary_value_unit
    }
}

MENU Group_trans1_TT_6_bias_of_channel
{
    LABEL [MC_Set_Bias_of_Channel];
    ITEMS
    {
        trans1_TT_6_bias_1,
        trans1_TT_6_bias_2
    }
}

MENU Group_trans1_TT_6_2wire_compensation
{
    LABEL [MC_Set_2Wire_Comp];
    ITEMS
    {
        method_set_trans1_TT_6_two_Wires_Comp
    }
}

MENU Group_trans1_TT_6_sensor_limit
{
    LABEL [MC_Sensor_Limits];
    ITEMS
    {
        trans1_TT_6_lower_sensor_limit,
        trans1_TT_6_upper_sensor_limit
    }
}

MENU Page_trans1_TT_7_Advanced_Settings
{
    LABEL [MC_Tab_advanced];
    ITEMS
    {
        Group_trans1_TT_7_primary_value_unit,
        Group_trans1_TT_7_bias_of_channel,
        Group_trans1_TT_7_2wire_compensation,
        Group_trans1_TT_7_sensor_limit,
        trans1_TT_7_lin_type (HIDDEN),
        SEPARATOR,
        method_set
    }
}

MENU Group_trans1_TT_7_primary_value_unit
{
    LABEL [MC_Select_Output_Unit];
    ITEMS
    {
        trans1_TT_7_primary_value_unit
    }
}

MENU Group_trans1_TT_7_bias_of_channel
{
    LABEL [MC_Set_Bias_of_Channel];
    ITEMS
    {
        trans1_TT_7_bias_1,
        trans1_TT_7_bias_2
    }
}

MENU Group_trans1_TT_7_2wire_compensation
{
    LABEL [MC_Set_2Wire_Comp];
    ITEMS
    {
        method_set_trans1_TT_7_two_Wires_Comp
    }
}

MENU Group_trans1_TT_7_sensor_limit
{
    LABEL [MC_Sensor_Limits];
    ITEMS
    {
        trans1_TT_7_lower_sensor_limit,
        trans1_TT_7_upper_sensor_limit
    }
}

MENU Page_trans1_TT_8_Advanced_Settings
{
    LABEL [MC_Tab_advanced];
    ITEMS
    {
        Group_trans1_TT_8_primary_value_unit,
        Group_trans1_TT_8_bias_of_channel,
        Group_trans1_TT_8_2wire_compensation,
        Group_trans1_TT_8_sensor_limit,
        trans1_TT_8_lin_type (HIDDEN),
        SEPARATOR,
        method_set
    }
}

MENU Group_trans1_TT_8_primary_value_unit
{
    LABEL [MC_Select_Output_Unit];
    ITEMS
    {
        trans1_TT_8_primary_value_unit
    }
}

MENU Group_trans1_TT_8_bias_of_channel
{
    LABEL [MC_Set_Bias_of_Channel];
    ITEMS
    {
        trans1_TT_8_bias_1,
        trans1_TT_8_bias_2
    }
}

MENU Group_trans1_TT_8_2wire_compensation
{
    LABEL [MC_Set_2Wire_Comp];
    ITEMS
    {
        method_set_trans1_TT_8_two_Wires_Comp
    }
}

MENU Group_trans1_TT_8_sensor_limit
{
    LABEL [MC_Sensor_Limits];
    ITEMS
    {
        trans1_TT_8_lower_sensor_limit,
        trans1_TT_8_upper_sensor_limit
    }
}

MENU Menu_cal
{
    LABEL        [MC_menu_cal];
    ITEMS
    {
        OnlineDialog_trans1_TT_1_cal,
        OnlineDialog_trans1_TT_2_cal,
        OnlineDialog_trans1_TT_3_cal,
        OnlineDialog_trans1_TT_4_cal,
        OnlineDialog_trans1_TT_5_cal,
        OnlineDialog_trans1_TT_6_cal,
        OnlineDialog_trans1_TT_7_cal,
        OnlineDialog_trans1_TT_8_cal
    }
}

MENU OnlineDialog_trans1_TT_1_cal
{
    LABEL        [MC_cal_trd1];
    ITEMS
    {
        Page_trans1_TT_1_cal_para,
        Page_trans1_TT_1_cal_lo_point,
        Page_trans1_TT_1_cal_hi_point
    }
}

MENU Page_trans1_TT_1_cal_para
{
    LABEL     [MC_cal_para];
    ITEMS
    {
        trans1_TT_1_Cal_Unit,
        trans1_TT_1_lin_type,
        trans1_TT_1_input_range,
        SEPARATOR,
        method_set
    }
}

MENU Page_trans1_TT_1_cal_lo_point
{
    LABEL     [MC_cal_lo_point];
    ITEMS
    {
        trans1_TT_1_lower_sensor_limit (READ_ONLY),
        trans1_TT_1_Cal_Point_Lo (READ_ONLY),
        trans1_TT_1_Sensor_Value_1,
        SEPARATOR,
        method_set_trans1_TT_1_cal_point_lo
    }
}

MENU Page_trans1_TT_1_cal_hi_point
{
    LABEL     [MC_cal_hi_point];
    ITEMS
    {
        trans1_TT_1_upper_sensor_limit (READ_ONLY),
        trans1_TT_1_Cal_Point_Hi (READ_ONLY),
        trans1_TT_1_Sensor_Value_1,
        SEPARATOR,
        method_set_trans1_TT_1_cal_point_hi
    }
}


MENU OnlineDialog_trans1_TT_2_cal
{
    LABEL        [MC_cal_trd2];
    ITEMS
    {
        Page_trans1_TT_2_cal_para,
        Page_trans1_TT_2_cal_lo_point,
        Page_trans1_TT_2_cal_hi_point
    }
}

MENU Page_trans1_TT_2_cal_para
{
    LABEL     [MC_cal_para];
    ITEMS
    {
        trans1_TT_2_Cal_Unit,
        trans1_TT_2_lin_type,
        trans1_TT_2_input_range,
        SEPARATOR,
        method_set
    }
}

MENU Page_trans1_TT_2_cal_lo_point
{
    LABEL     [MC_cal_lo_point];
    ITEMS
    {
        trans1_TT_2_lower_sensor_limit (READ_ONLY),
        trans1_TT_2_Cal_Point_Lo (READ_ONLY),
        trans1_TT_2_Sensor_Value_2,
        SEPARATOR,
        method_set_trans1_TT_2_cal_point_lo
    }
}

MENU Page_trans1_TT_2_cal_hi_point
{
    LABEL     [MC_cal_hi_point];
    ITEMS
    {
        trans1_TT_2_upper_sensor_limit (READ_ONLY),
        trans1_TT_2_Cal_Point_Hi (READ_ONLY),
        trans1_TT_2_Sensor_Value_2,
        SEPARATOR,
        method_set_trans1_TT_2_cal_point_hi
    }
}

MENU OnlineDialog_trans1_TT_3_cal
{
    LABEL        [MC_cal_trd3];
    ITEMS
    {
        Page_trans1_TT_3_cal_para,
        Page_trans1_TT_3_cal_lo_point,
        Page_trans1_TT_3_cal_hi_point
    }
}

MENU Page_trans1_TT_3_cal_para
{
    LABEL     [MC_cal_para];
    ITEMS
    {
        trans1_TT_3_Cal_Unit,
        trans1_TT_3_lin_type,
        trans1_TT_3_input_range,
        SEPARATOR,
        method_set
    }
}

MENU Page_trans1_TT_3_cal_lo_point
{
    LABEL     [MC_cal_lo_point];
    ITEMS
    {
        trans1_TT_3_lower_sensor_limit (READ_ONLY),
        trans1_TT_3_Cal_Point_Lo (READ_ONLY),
        trans1_TT_3_Sensor_Value_1,
        SEPARATOR,
        method_set_trans1_TT_3_cal_point_lo
    }
}

MENU Page_trans1_TT_3_cal_hi_point
{
    LABEL     [MC_cal_hi_point];
    ITEMS
    {
        trans1_TT_3_upper_sensor_limit (READ_ONLY),
        trans1_TT_3_Cal_Point_Hi (READ_ONLY),
        trans1_TT_3_Sensor_Value_1,
        SEPARATOR,
        method_set_trans1_TT_3_cal_point_hi
    }
}

MENU OnlineDialog_trans1_TT_4_cal
{
    LABEL        [MC_cal_trd4];
    ITEMS
    {
        Page_trans1_TT_4_cal_para,
        Page_trans1_TT_4_cal_lo_point,
        Page_trans1_TT_4_cal_hi_point
    }
}

MENU Page_trans1_TT_4_cal_para
{
    LABEL     [MC_cal_para];
    ITEMS
    {
        trans1_TT_4_Cal_Unit,
        trans1_TT_4_lin_type,
        trans1_TT_4_input_range,
        SEPARATOR,
        method_set
    }
}

MENU Page_trans1_TT_4_cal_lo_point
{
    LABEL     [MC_cal_lo_point];
    ITEMS
    {
        trans1_TT_4_lower_sensor_limit (READ_ONLY),
        trans1_TT_4_Cal_Point_Lo (READ_ONLY),
        trans1_TT_4_Sensor_Value_2,
        SEPARATOR,
        method_set_trans1_TT_4_cal_point_lo
    }
}

MENU Page_trans1_TT_4_cal_hi_point
{
    LABEL     [MC_cal_hi_point];
    ITEMS
    {
        trans1_TT_4_upper_sensor_limit (READ_ONLY),
        trans1_TT_4_Cal_Point_Hi (READ_ONLY),
        trans1_TT_4_Sensor_Value_2,
        SEPARATOR,
        method_set_trans1_TT_4_cal_point_hi
    }
}

MENU OnlineDialog_trans1_TT_5_cal
{
    LABEL        [MC_cal_trd5];
    ITEMS
    {
        Page_trans1_TT_5_cal_para,
        Page_trans1_TT_5_cal_lo_point,
        Page_trans1_TT_5_cal_hi_point
    }
}

MENU Page_trans1_TT_5_cal_para
{
    LABEL     [MC_cal_para];
    ITEMS
    {
        trans1_TT_5_Cal_Unit,
        trans1_TT_5_lin_type,
        trans1_TT_5_input_range,
        SEPARATOR,
        method_set
    }
}

MENU Page_trans1_TT_5_cal_lo_point
{
    LABEL     [MC_cal_lo_point];
    ITEMS
    {
        trans1_TT_5_lower_sensor_limit (READ_ONLY),
        trans1_TT_5_Cal_Point_Lo (READ_ONLY),
        trans1_TT_5_Sensor_Value_1,
        SEPARATOR,
        method_set_trans1_TT_5_cal_point_lo
    }
}

MENU Page_trans1_TT_5_cal_hi_point
{
    LABEL     [MC_cal_hi_point];
    ITEMS
    {
        trans1_TT_5_upper_sensor_limit (READ_ONLY),
        trans1_TT_5_Cal_Point_Hi (READ_ONLY),
        trans1_TT_5_Sensor_Value_1,
        SEPARATOR,
        method_set_trans1_TT_5_cal_point_hi
    }
}

MENU OnlineDialog_trans1_TT_6_cal
{
    LABEL        [MC_cal_trd6];
    ITEMS
    {
        Page_trans1_TT_6_cal_para,
        Page_trans1_TT_6_cal_lo_point,
        Page_trans1_TT_6_cal_hi_point
    }
}

MENU Page_trans1_TT_6_cal_para
{
    LABEL     [MC_cal_para];
    ITEMS
    {
        trans1_TT_6_Cal_Unit,
        trans1_TT_6_lin_type,
        trans1_TT_6_input_range,
        SEPARATOR,
        method_set
    }
}

MENU Page_trans1_TT_6_cal_lo_point
{
    LABEL     [MC_cal_lo_point];
    ITEMS
    {
        trans1_TT_6_lower_sensor_limit (READ_ONLY),
        trans1_TT_6_Cal_Point_Lo (READ_ONLY),
        trans1_TT_6_Sensor_Value_2,
        SEPARATOR,
        method_set_trans1_TT_6_cal_point_lo
    }
}

MENU Page_trans1_TT_6_cal_hi_point
{
    LABEL     [MC_cal_hi_point];
    ITEMS
    {
        trans1_TT_6_upper_sensor_limit (READ_ONLY),
        trans1_TT_6_Cal_Point_Hi (READ_ONLY),
        trans1_TT_6_Sensor_Value_2,
        SEPARATOR,
        method_set_trans1_TT_6_cal_point_hi
    }
}

MENU OnlineDialog_trans1_TT_7_cal
{
    LABEL        [MC_cal_trd7];
    ITEMS
    {
        Page_trans1_TT_7_cal_para,
        Page_trans1_TT_7_cal_lo_point,
        Page_trans1_TT_7_cal_hi_point
    }
}

MENU Page_trans1_TT_7_cal_para
{
    LABEL     [MC_cal_para];
    ITEMS
    {
        trans1_TT_7_Cal_Unit,
        trans1_TT_7_lin_type,
        trans1_TT_7_input_range,
        SEPARATOR,
        method_set
    }
}

MENU Page_trans1_TT_7_cal_lo_point
{
    LABEL     [MC_cal_lo_point];
    ITEMS
    {
        trans1_TT_7_lower_sensor_limit (READ_ONLY),
        trans1_TT_7_Cal_Point_Lo (READ_ONLY),
        trans1_TT_7_Sensor_Value_1,
        SEPARATOR,
        method_set_trans1_TT_7_cal_point_lo
    }
}

MENU Page_trans1_TT_7_cal_hi_point
{
    LABEL     [MC_cal_hi_point];
    ITEMS
    {
        trans1_TT_7_upper_sensor_limit (READ_ONLY),
        trans1_TT_7_Cal_Point_Hi (READ_ONLY),
        trans1_TT_7_Sensor_Value_1,
        SEPARATOR,
        method_set_trans1_TT_7_cal_point_hi
    }
}



MENU OnlineDialog_trans1_TT_8_cal
{
    LABEL        [MC_cal_trd8];
    ITEMS
    {
        Page_trans1_TT_8_cal_para,
        Page_trans1_TT_8_cal_lo_point,
        Page_trans1_TT_8_cal_hi_point
    }
}

MENU Page_trans1_TT_8_cal_para
{
    LABEL     [MC_cal_para];
    ITEMS
    {
        trans1_TT_8_Cal_Unit,
        trans1_TT_8_lin_type,
        trans1_TT_8_input_range,
        SEPARATOR,
        method_set
    }
}

MENU Page_trans1_TT_8_cal_lo_point
{
    LABEL     [MC_cal_lo_point];
    ITEMS
    {
        trans1_TT_8_lower_sensor_limit (READ_ONLY),
        trans1_TT_8_Cal_Point_Lo (READ_ONLY),
        trans1_TT_8_Sensor_Value_2,
        SEPARATOR,
        method_set_trans1_TT_8_cal_point_lo
    }
}

MENU Page_trans1_TT_8_cal_hi_point
{
    LABEL     [MC_cal_hi_point];
    ITEMS
    {
        trans1_TT_8_upper_sensor_limit (READ_ONLY),
        trans1_TT_8_Cal_Point_Hi (READ_ONLY),
        trans1_TT_8_Sensor_Value_2,
        SEPARATOR,
        method_set_trans1_TT_8_cal_point_hi
    }
}

MENU Menu_simulation
{
    LABEL        [menu_dialog_simulation];
    ITEMS
    {
        OnlineDialog_simulation1_AI_1,
        OnlineDialog_simulation1_AI_2,
        OnlineDialog_simulation1_AI_3,
        OnlineDialog_simulation1_AI_4,
        OnlineDialog_simulation1_AI_5,
        OnlineDialog_simulation1_AI_6,
        OnlineDialog_simulation1_AI_7,
        OnlineDialog_simulation1_AI_8
    }
}

/*---------------------------------------------------------------------*/
/*    Menu: View                                                       */
/*---------------------------------------------------------------------*/
MENU Menu_S_View
{
    LABEL        [menu_View];
    ITEMS
    {
        OnlineWindow_display,
        SEPARATOR,
        OnlineWindow_yt,
        Menu_S_alarm,
        Menu_S_diagnosis
        SEPARATOR,
        std_Funktionsleiste,
        std_Statuszeile,
        SEPARATOR,
        std_Update     
    }
}

MENU OnlineWindow_display
{
    LABEL        [menu_dialog_display];
    ITEMS
    {
        Page_display_trans1_TT_1,
        Page_display_trans1_TT_2,
        Page_display_trans1_TT_3,
        Page_display_trans1_TT_4,
        Page_display_trans1_TT_5,
        Page_display_trans1_TT_6,
        Page_display_trans1_TT_7,
        Page_display_trans1_TT_8,

        Page_display_func1_AI_1,
        Page_display_func1_AI_2,
        Page_display_func1_AI_3,
        Page_display_func1_AI_4,
        Page_display_func1_AI_5,
        Page_display_func1_AI_6,
        Page_display_func1_AI_7,
        Page_display_func1_AI_8
    }
}

MENU Page_display_trans1_TT_1
{
    LABEL        "TB - 1";
    ITEMS
    {
        BarVal_trans1_TT_1_display_measure,
        Group_trans1_TT_1_display_Primary_Value,
        Group_trans1_TT_1_display_Secondary_Value,
        trans1_TT_1_primary_value_unit (HIDDEN)
    }
}

MENU BarVal_trans1_TT_1_display_measure
{
    LABEL        [menu_dialog_display_measure];
    ITEMS
    {
        trans1_TT_1_primary_value,
        trans1_TT_1_lower_sensor_limit,
        trans1_TT_1_upper_sensor_limit
    }
}

MENU Group_trans1_TT_1_display_Primary_Value
{
    LABEL        [MC_Primary_Value];
    ITEMS
    {
        trans1_TT_1_primary_value,
        SEPARATOR,
        trans1_TT_1_primary_value_status_quality,
        trans1_TT_1_primary_value_status_limit
    }
}

MENU Group_trans1_TT_1_display_Secondary_Value
{
    LABEL        [MC_Secondary_Value];
    ITEMS
    {
        trans1_TT_1_secondary_value_1,
        trans1_TT_1_secondary_value_2,
        SEPARATOR,
        trans1_TT_1_input_fault_1,
        trans1_TT_1_input_fault_2,
        trans1_TT_1_rj_temp
    }
}

MENU Page_display_trans1_TT_2
{
    LABEL        "TB - 2";
    ITEMS
    {
        BarVal_trans1_TT_2_display_measure,
        Group_trans1_TT_2_display_Primary_Value,
        Group_trans1_TT_2_display_Secondary_Value,
        trans1_TT_2_primary_value_unit (HIDDEN)
    }
}

MENU BarVal_trans1_TT_2_display_measure
{
    LABEL        [menu_dialog_display_measure];
    ITEMS
    {
        trans1_TT_2_primary_value,
        trans1_TT_2_lower_sensor_limit,
        trans1_TT_2_upper_sensor_limit
    }
}

MENU Group_trans1_TT_2_display_Primary_Value
{
    LABEL        [MC_Primary_Value];
    ITEMS
    {
        trans1_TT_2_primary_value,
        SEPARATOR,
        trans1_TT_2_primary_value_status_quality,
        trans1_TT_2_primary_value_status_limit
    }
}

MENU Group_trans1_TT_2_display_Secondary_Value
{
    LABEL        [MC_Secondary_Value];
    ITEMS
    {
        trans1_TT_2_secondary_value_1,
        trans1_TT_2_secondary_value_2,
        SEPARATOR,
        trans1_TT_2_input_fault_1,
        trans1_TT_2_input_fault_2,
        trans1_TT_2_rj_temp
    }
}

MENU Page_display_trans1_TT_3
{
    LABEL        "TB - 3";
    ITEMS
    {
        BarVal_trans1_TT_3_display_measure,
        Group_trans1_TT_3_display_Primary_Value,
        Group_trans1_TT_3_display_Secondary_Value,
        trans1_TT_3_primary_value_unit (HIDDEN)
    }
}

MENU BarVal_trans1_TT_3_display_measure
{
    LABEL        [menu_dialog_display_measure];
    ITEMS
    {
        trans1_TT_3_primary_value,
        trans1_TT_3_lower_sensor_limit,
        trans1_TT_3_upper_sensor_limit
    }
}

MENU Group_trans1_TT_3_display_Primary_Value
{
    LABEL        [MC_Primary_Value];
    ITEMS
    {
        trans1_TT_3_primary_value,
        SEPARATOR,
        trans1_TT_3_primary_value_status_quality,
        trans1_TT_3_primary_value_status_limit
    }
}

MENU Group_trans1_TT_3_display_Secondary_Value
{
    LABEL        [MC_Secondary_Value];
    ITEMS
    {
        trans1_TT_3_secondary_value_1,
        trans1_TT_3_secondary_value_2,
        SEPARATOR,
        trans1_TT_3_input_fault_1,
        trans1_TT_3_input_fault_2,
        trans1_TT_3_rj_temp
    }
}

MENU Page_display_trans1_TT_4
{
    LABEL        "TB - 4";
    ITEMS
    {
        BarVal_trans1_TT_4_display_measure,
        Group_trans1_TT_4_display_Primary_Value,
        Group_trans1_TT_4_display_Secondary_Value,
        trans1_TT_4_primary_value_unit (HIDDEN)
    }
}

MENU BarVal_trans1_TT_4_display_measure
{
    LABEL        [menu_dialog_display_measure];
    ITEMS
    {
        trans1_TT_4_primary_value,
        trans1_TT_4_lower_sensor_limit,
        trans1_TT_4_upper_sensor_limit
    }
}

MENU Group_trans1_TT_4_display_Primary_Value
{
    LABEL        [MC_Primary_Value];
    ITEMS
    {
        trans1_TT_4_primary_value,
        SEPARATOR,
        trans1_TT_4_primary_value_status_quality,
        trans1_TT_4_primary_value_status_limit
    }
}

MENU Group_trans1_TT_4_display_Secondary_Value
{
    LABEL        [MC_Secondary_Value];
    ITEMS
    {
        trans1_TT_4_secondary_value_1,
        trans1_TT_4_secondary_value_2,
        SEPARATOR,
        trans1_TT_4_input_fault_1,
        trans1_TT_4_input_fault_2,
        trans1_TT_4_rj_temp
    }
}

MENU Page_display_trans1_TT_5
{
    LABEL        "TB - 5";
    ITEMS
    {
        BarVal_trans1_TT_5_display_measure,
        Group_trans1_TT_5_display_Primary_Value,
        Group_trans1_TT_5_display_Secondary_Value,
        trans1_TT_5_primary_value_unit (HIDDEN)
    }
}

MENU BarVal_trans1_TT_5_display_measure
{
    LABEL        [menu_dialog_display_measure];
    ITEMS
    {
        trans1_TT_5_primary_value,
        trans1_TT_5_lower_sensor_limit,
        trans1_TT_5_upper_sensor_limit
    }
}

MENU Group_trans1_TT_5_display_Primary_Value
{
    LABEL        [MC_Primary_Value];
    ITEMS
    {
        trans1_TT_5_primary_value,
        SEPARATOR,
        trans1_TT_5_primary_value_status_quality,
        trans1_TT_5_primary_value_status_limit
    }
}

MENU Group_trans1_TT_5_display_Secondary_Value
{
    LABEL        [MC_Secondary_Value];
    ITEMS
    {
        trans1_TT_5_secondary_value_1,
        trans1_TT_5_secondary_value_2,
        SEPARATOR,
        trans1_TT_5_input_fault_1,
        trans1_TT_5_input_fault_2,
        trans1_TT_5_rj_temp
    }
}

MENU Page_display_trans1_TT_6
{
    LABEL        "TB - 6";
    ITEMS
    {
        BarVal_trans1_TT_6_display_measure,
        Group_trans1_TT_6_display_Primary_Value,
        Group_trans1_TT_6_display_Secondary_Value,
        trans1_TT_6_primary_value_unit (HIDDEN)
    }
}

MENU BarVal_trans1_TT_6_display_measure
{
    LABEL        [menu_dialog_display_measure];
    ITEMS
    {
        trans1_TT_6_primary_value,
        trans1_TT_6_lower_sensor_limit,
        trans1_TT_6_upper_sensor_limit
    }
}

MENU Group_trans1_TT_6_display_Primary_Value
{
    LABEL        [MC_Primary_Value];
    ITEMS
    {
        trans1_TT_6_primary_value,
        SEPARATOR,
        trans1_TT_6_primary_value_status_quality,
        trans1_TT_6_primary_value_status_limit
    }
}

MENU Group_trans1_TT_6_display_Secondary_Value
{
    LABEL        [MC_Secondary_Value];
    ITEMS
    {
        trans1_TT_6_secondary_value_1,
        trans1_TT_6_secondary_value_2,
        SEPARATOR,
        trans1_TT_6_input_fault_1,
        trans1_TT_6_input_fault_2,
        trans1_TT_6_rj_temp
    }
}

MENU Page_display_trans1_TT_7
{
    LABEL        "TB - 7";
    ITEMS
    {
        BarVal_trans1_TT_7_display_measure,
        Group_trans1_TT_7_display_Primary_Value,
        Group_trans1_TT_7_display_Secondary_Value,
        trans1_TT_7_primary_value_unit (HIDDEN)
    }
}

MENU BarVal_trans1_TT_7_display_measure
{
    LABEL        [menu_dialog_display_measure];
    ITEMS
    {
        trans1_TT_7_primary_value,
        trans1_TT_7_lower_sensor_limit,
        trans1_TT_7_upper_sensor_limit
    }
}

MENU Group_trans1_TT_7_display_Primary_Value
{
    LABEL        [MC_Primary_Value];
    ITEMS
    {
        trans1_TT_7_primary_value,
        SEPARATOR,
        trans1_TT_7_primary_value_status_quality,
        trans1_TT_7_primary_value_status_limit
    }
}

MENU Group_trans1_TT_7_display_Secondary_Value
{
    LABEL        [MC_Secondary_Value];
    ITEMS
    {
        trans1_TT_7_secondary_value_1,
        trans1_TT_7_secondary_value_2,
        SEPARATOR,
        trans1_TT_7_input_fault_1,
        trans1_TT_7_input_fault_2,
        trans1_TT_7_rj_temp
    }
}

MENU Page_display_trans1_TT_8
{
    LABEL        "TB - 8";
    ITEMS
    {
        BarVal_trans1_TT_8_display_measure,
        Group_trans1_TT_8_display_Primary_Value,
        Group_trans1_TT_8_display_Secondary_Value,
        trans1_TT_8_primary_value_unit (HIDDEN)
    }
}

MENU BarVal_trans1_TT_8_display_measure
{
    LABEL        [menu_dialog_display_measure];
    ITEMS
    {
        trans1_TT_8_primary_value,
        trans1_TT_8_lower_sensor_limit,
        trans1_TT_8_upper_sensor_limit
    }
}

MENU Group_trans1_TT_8_display_Primary_Value
{
    LABEL        [MC_Primary_Value];
    ITEMS
    {
        trans1_TT_8_primary_value,
        SEPARATOR,
        trans1_TT_8_primary_value_status_quality,
        trans1_TT_8_primary_value_status_limit
    }
}

MENU Group_trans1_TT_8_display_Secondary_Value
{
    LABEL        [MC_Secondary_Value];
    ITEMS
    {
        trans1_TT_8_secondary_value_1,
        trans1_TT_8_secondary_value_2,
        SEPARATOR,
        trans1_TT_8_input_fault_1,
        trans1_TT_8_input_fault_2,
        trans1_TT_8_rj_temp
    }
}

MENU Menu_S_alarm
{
    LABEL        [menu_dialog_alarm];
    ITEMS
    {
        OnlineWindow_S_alarm_func1_AI_1,
        OnlineWindow_S_alarm_func1_AI_2,
        OnlineWindow_S_alarm_func1_AI_3,
        OnlineWindow_S_alarm_func1_AI_4,
        OnlineWindow_S_alarm_func1_AI_5,
        OnlineWindow_S_alarm_func1_AI_6,
        OnlineWindow_S_alarm_func1_AI_7,
        OnlineWindow_S_alarm_func1_AI_8
    }
}

MENU Menu_S_diagnosis
{
    LABEL        [menu_dialog_diagnosis];
    ITEMS
    {
        Page_diagnosis_general,
        Page_diagnosis_phys_block,
        OnlineWindow_S_Trans_diagnosis,
        OnlineWindow_S_AI_diagnosis
    }
}




MENU OnlineWindow_S_Trans_diagnosis
{
    LABEL        "Transducer Blocks";
    ITEMS
    {
        Page_diagnosis_trans1_TT_1_block,
        Page_diagnosis_trans1_TT_2_block,
        Page_diagnosis_trans1_TT_3_block,
        Page_diagnosis_trans1_TT_4_block,
        Page_diagnosis_trans1_TT_5_block,
        Page_diagnosis_trans1_TT_6_block,
        Page_diagnosis_trans1_TT_7_block,
        Page_diagnosis_trans1_TT_8_block
    }
}
MENU OnlineWindow_S_AI_diagnosis
{
    LABEL        "Function Blocks";
    ITEMS
    {
        Page_diagnosis_func1_AI_1,
        Page_diagnosis_func1_AI_2,
        Page_diagnosis_func1_AI_3,
        Page_diagnosis_func1_AI_4,
        Page_diagnosis_func1_AI_5,
        Page_diagnosis_func1_AI_6,
        Page_diagnosis_func1_AI_7,
        Page_diagnosis_func1_AI_8
    }
}








MENU Page_diagnosis_trans1_TT_1_block
{
    LABEL        [MC_trans1];
    ITEMS
    {
        trans1_TT_1_blk_object,
        trans1_TT_1_blk_parent_class,
        trans1_TT_1_blk_class,
        trans1_TT_1_blk_dd_reference,
        trans1_TT_1_blk_dd_rev,
        trans1_TT_1_blk_profile,
        trans1_TT_1_blk_profile_rev,
        trans1_TT_1_st_rev,
        trans1_TT_1_actual_mode
    }
}

MENU Page_diagnosis_trans1_TT_2_block
{
    LABEL        [MC_trans2];
    ITEMS
    {
        trans1_TT_2_blk_object,
        trans1_TT_2_blk_parent_class,
        trans1_TT_2_blk_class,
        trans1_TT_2_blk_dd_reference,
        trans1_TT_2_blk_dd_rev,
        trans1_TT_2_blk_profile,
        trans1_TT_2_blk_profile_rev,
        trans1_TT_2_st_rev,
        trans1_TT_2_actual_mode
    }
}

MENU Page_diagnosis_trans1_TT_3_block
{
    LABEL        [MC_trans3];
    ITEMS
    {
        trans1_TT_3_blk_object,
        trans1_TT_3_blk_parent_class,
        trans1_TT_3_blk_class,
        trans1_TT_3_blk_dd_reference,
        trans1_TT_3_blk_dd_rev,
        trans1_TT_3_blk_profile,
        trans1_TT_3_blk_profile_rev,
        trans1_TT_3_st_rev,
        trans1_TT_3_actual_mode
    }
}

MENU Page_diagnosis_trans1_TT_4_block
{
    LABEL        [MC_trans4];
    ITEMS
    {
        trans1_TT_4_blk_object,
        trans1_TT_4_blk_parent_class,
        trans1_TT_4_blk_class,
        trans1_TT_4_blk_dd_reference,
        trans1_TT_4_blk_dd_rev,
        trans1_TT_4_blk_profile,
        trans1_TT_4_blk_profile_rev,
        trans1_TT_4_st_rev,
        trans1_TT_4_actual_mode
    }
}

MENU Page_diagnosis_trans1_TT_5_block
{
    LABEL        [MC_trans5];
    ITEMS
    {
        trans1_TT_5_blk_object,
        trans1_TT_5_blk_parent_class,
        trans1_TT_5_blk_class,
        trans1_TT_5_blk_dd_reference,
        trans1_TT_5_blk_dd_rev,
        trans1_TT_5_blk_profile,
        trans1_TT_5_blk_profile_rev,
        trans1_TT_5_st_rev,
        trans1_TT_5_actual_mode
    }
}

MENU Page_diagnosis_trans1_TT_6_block
{
    LABEL        [MC_trans6];
    ITEMS
    {
        trans1_TT_6_blk_object,
        trans1_TT_6_blk_parent_class,
        trans1_TT_6_blk_class,
        trans1_TT_6_blk_dd_reference,
        trans1_TT_6_blk_dd_rev,
        trans1_TT_6_blk_profile,
        trans1_TT_6_blk_profile_rev,
        trans1_TT_6_st_rev,
        trans1_TT_6_actual_mode
    }
}

MENU Page_diagnosis_trans1_TT_7_block
{
    LABEL        [MC_trans7];
    ITEMS
    {
        trans1_TT_7_blk_object,
        trans1_TT_7_blk_parent_class,
        trans1_TT_7_blk_class,
        trans1_TT_7_blk_dd_reference,
        trans1_TT_7_blk_dd_rev,
        trans1_TT_7_blk_profile,
        trans1_TT_7_blk_profile_rev,
        trans1_TT_7_st_rev,
        trans1_TT_7_actual_mode
    }
}

MENU Page_diagnosis_trans1_TT_8_block
{
    LABEL        [MC_trans8];
    ITEMS
    {
        trans1_TT_8_blk_object,
        trans1_TT_8_blk_parent_class,
        trans1_TT_8_blk_class,
        trans1_TT_8_blk_dd_reference,
        trans1_TT_8_blk_dd_rev,
        trans1_TT_8_blk_profile,
        trans1_TT_8_blk_profile_rev,
        trans1_TT_8_st_rev,
        trans1_TT_8_actual_mode
    }
}

/***********************************************************************/
/*****    Table: Specialist    *****************************************/
/***********************************************************************/

MENU Table_Main_Specialist
{
    LABEL    [MC_Table_Main_Specialist_TT108];
    ITEMS
    {
        Tab_s_info,
        Tab_s_trd,
        Tab_s_ai
    }
}

MENU Tab_s_info
{
    LABEL    [MC_Tab_info];
    ITEMS
    {
        Tab_s_manuf_info,       /* file Phys_Blk.inc */
        Tab_s_block_tag,
        Tab_s_get_info,         /* file Phys_Blk.inc */
        Tab_serial_numbers,
        Tab_device_revisions,   /* file Phys_Blk.inc */
        Tab_s_certificates      /* file Phys_Blk.inc */
    }
}

MENU Tab_s_block_tag
{
    LABEL    [MC_Tab_block_tag];
    ITEMS
    {
        phys_tag_desc
    }
}

MENU Tab_serial_numbers
{
    LABEL   [MC_Tab_serial_numbers];
    ITEMS
    {
        phys_device_ser_num   (READ_ONLY),
    }
}

MENU Tab_s_trd_1
{
    LABEL   [MC_trans1];
    ITEMS
    {
        trans1_TT_1_st_rev,
        trans1_TT_1_tag_desc,
        trans1_TT_1_lin_type,
        IF (trans1_TT_1_lin_type==0)
        { trans1_TT_1_input_range, }
        trans1_TT_1_primary_value_unit,
        trans1_TT_1_sensor_measure_type,
        trans1_TT_1_bias_1,
        IF (trans1_TT_1_sensor_measure_type != 0)
        { trans1_TT_1_bias_2,}
        IF ( (trans1_TT_1_lin_type == 102 || trans1_TT_1_lin_type == 105 || trans1_TT_1_lin_type == 240 || trans1_TT_1_lin_type == 127) || \
             (trans1_TT_1_lin_type == 0  && (trans1_TT_1_input_range == 128 || trans1_TT_1_input_range == 129))) 
        { trans1_TT_1_sensor_connection, }
        IF ((trans1_TT_1_lin_type == 128) || (trans1_TT_1_lin_type == 131) || 
            ((trans1_TT_1_lin_type >= 133) && (trans1_TT_1_lin_type <= 138)))
        { trans1_TT_1_rj_type, }
        trans1_TT_1_lower_sensor_limit,
        trans1_TT_1_upper_sensor_limit
    }
}

MENU Tab_s_trd_2
{
    LABEL   [MC_trans2];
    ITEMS
    {
        trans1_TT_2_st_rev,
        trans1_TT_2_tag_desc,
        trans1_TT_2_lin_type,
        IF (trans1_TT_2_lin_type==0)
        { trans1_TT_2_input_range, }
        trans1_TT_2_primary_value_unit,
        trans1_TT_2_sensor_measure_type,
        IF (trans1_TT_2_sensor_measure_type != 1)
        { trans1_TT_2_bias_1,}
        trans1_TT_2_bias_2,
        IF ( (trans1_TT_2_lin_type == 102 || trans1_TT_2_lin_type == 105 || trans1_TT_2_lin_type == 240 || trans1_TT_2_lin_type == 127) || \
             (trans1_TT_2_lin_type == 0  && (trans1_TT_2_input_range == 128 || trans1_TT_2_input_range == 129))) 
        { trans1_TT_2_sensor_connection, }
        IF ((trans1_TT_2_lin_type == 128) || (trans1_TT_2_lin_type == 131) || 
            ((trans1_TT_2_lin_type >= 133) && (trans1_TT_2_lin_type <= 138)))
        { trans1_TT_2_rj_type, }
        trans1_TT_2_lower_sensor_limit,
        trans1_TT_2_upper_sensor_limit
    }
}

MENU Tab_s_trd_3
{
    LABEL   [MC_trans3];
    ITEMS
    {
        trans1_TT_3_st_rev,
        trans1_TT_3_tag_desc,
        trans1_TT_3_lin_type,
        IF (trans1_TT_3_lin_type==0)
        { trans1_TT_3_input_range, }
        trans1_TT_3_primary_value_unit,
        trans1_TT_3_sensor_measure_type,
        IF (trans1_TT_3_sensor_measure_type != 0)
        { trans1_TT_3_bias_2,}
        trans1_TT_3_bias_1,
        IF ( (trans1_TT_3_lin_type == 102 || trans1_TT_3_lin_type == 105 || trans1_TT_3_lin_type == 240 || trans1_TT_3_lin_type == 127) || \
             (trans1_TT_3_lin_type == 0  && (trans1_TT_3_input_range == 128 || trans1_TT_3_input_range == 129))) 
        { trans1_TT_3_sensor_connection, }
        IF ((trans1_TT_3_lin_type == 128) || (trans1_TT_3_lin_type == 131) || 
            ((trans1_TT_3_lin_type >= 133) && (trans1_TT_3_lin_type <= 138)))
        { trans1_TT_3_rj_type, }
        trans1_TT_3_lower_sensor_limit,
        trans1_TT_3_upper_sensor_limit
    }
}

MENU Tab_s_trd_4
{
    LABEL   [MC_trans4];
    ITEMS
    {
        trans1_TT_4_st_rev,
        trans1_TT_4_tag_desc,
        trans1_TT_4_lin_type,
        IF (trans1_TT_4_lin_type==0)
        { trans1_TT_4_input_range, }
        trans1_TT_4_primary_value_unit,
        trans1_TT_4_sensor_measure_type,
        IF (trans1_TT_4_sensor_measure_type != 1)
        { trans1_TT_4_bias_1,}
        trans1_TT_4_bias_2,
        IF ( (trans1_TT_4_lin_type == 102 || trans1_TT_4_lin_type == 105 || trans1_TT_4_lin_type == 240 || trans1_TT_4_lin_type == 127) || \
             (trans1_TT_4_lin_type == 0  && (trans1_TT_4_input_range == 128 || trans1_TT_4_input_range == 129))) 
        { trans1_TT_4_sensor_connection, }
        IF ((trans1_TT_4_lin_type == 128) || (trans1_TT_4_lin_type == 131) || 
            ((trans1_TT_4_lin_type >= 133) && (trans1_TT_4_lin_type <= 138)))
        { trans1_TT_4_rj_type, }
        trans1_TT_4_lower_sensor_limit,
        trans1_TT_4_upper_sensor_limit
    }
}

MENU Tab_s_trd_5
{
    LABEL   [MC_trans5];
    ITEMS
    {
        trans1_TT_5_st_rev,
        trans1_TT_5_tag_desc,
        trans1_TT_5_lin_type,
        IF (trans1_TT_5_lin_type==0)
        { trans1_TT_5_input_range, }
        trans1_TT_5_primary_value_unit,
        trans1_TT_5_sensor_measure_type,
        IF (trans1_TT_5_sensor_measure_type != 0)
        { trans1_TT_5_bias_2,}
        trans1_TT_5_bias_1,
        IF ( (trans1_TT_5_lin_type == 102 || trans1_TT_5_lin_type == 105 || trans1_TT_5_lin_type == 240 || trans1_TT_5_lin_type == 127) || \
             (trans1_TT_5_lin_type == 0  && (trans1_TT_5_input_range == 128 || trans1_TT_5_input_range == 129))) 
        { trans1_TT_5_sensor_connection, }
        IF ((trans1_TT_5_lin_type == 128) || (trans1_TT_5_lin_type == 131) || 
            ((trans1_TT_5_lin_type >= 133) && (trans1_TT_5_lin_type <= 138)))
        { trans1_TT_5_rj_type, }
        trans1_TT_5_lower_sensor_limit,
        trans1_TT_5_upper_sensor_limit
    }
}

MENU Tab_s_trd_6
{
    LABEL   [MC_trans6];
    ITEMS
    {
        trans1_TT_6_st_rev,
        trans1_TT_6_tag_desc,
        trans1_TT_6_lin_type,
        IF (trans1_TT_6_lin_type==0)
        { trans1_TT_6_input_range, }
        trans1_TT_6_primary_value_unit,
        trans1_TT_6_sensor_measure_type,
        IF (trans1_TT_6_sensor_measure_type != 1)
        { trans1_TT_6_bias_1,}
        trans1_TT_6_bias_2,
        IF ( (trans1_TT_6_lin_type == 102 || trans1_TT_6_lin_type == 105 || trans1_TT_6_lin_type == 240 || trans1_TT_6_lin_type == 127) || \
             (trans1_TT_6_lin_type == 0  && (trans1_TT_6_input_range == 128 || trans1_TT_6_input_range == 129))) 
        { trans1_TT_6_sensor_connection, }
        IF ((trans1_TT_6_lin_type == 128) || (trans1_TT_6_lin_type == 131) || 
            ((trans1_TT_6_lin_type >= 133) && (trans1_TT_6_lin_type <= 138)))
        { trans1_TT_6_rj_type, }
        trans1_TT_6_lower_sensor_limit,
        trans1_TT_6_upper_sensor_limit
    }
}

MENU Tab_s_trd_7
{
    LABEL   [MC_trans7];
    ITEMS
    {
        trans1_TT_7_st_rev,
        trans1_TT_7_tag_desc,
        trans1_TT_7_lin_type,
        IF (trans1_TT_7_lin_type==0)
        { trans1_TT_7_input_range, }
        trans1_TT_7_primary_value_unit,
        trans1_TT_7_sensor_measure_type,
        IF (trans1_TT_7_sensor_measure_type != 0)
        { trans1_TT_7_bias_2,}
        trans1_TT_7_bias_1,
        IF ( (trans1_TT_7_lin_type == 102 || trans1_TT_7_lin_type == 105 || trans1_TT_7_lin_type == 240 || trans1_TT_7_lin_type == 127) || \
             (trans1_TT_7_lin_type == 0  && (trans1_TT_7_input_range == 128 || trans1_TT_7_input_range == 129))) 
        { trans1_TT_7_sensor_connection, }
        IF ((trans1_TT_7_lin_type == 128) || (trans1_TT_7_lin_type == 131) || 
            ((trans1_TT_7_lin_type >= 133) && (trans1_TT_7_lin_type <= 138)))
        { trans1_TT_7_rj_type, }
        trans1_TT_7_lower_sensor_limit,
        trans1_TT_7_upper_sensor_limit
    }
}

MENU Tab_s_trd_8
{
    LABEL   [MC_trans8];
    ITEMS
    {
        trans1_TT_8_st_rev,
        trans1_TT_8_tag_desc,
        trans1_TT_8_lin_type,
        IF (trans1_TT_8_lin_type==0)
        { trans1_TT_8_input_range, }
        trans1_TT_8_primary_value_unit,
        trans1_TT_8_sensor_measure_type,
        IF (trans1_TT_8_sensor_measure_type != 1)
        { trans1_TT_8_bias_1,}
        trans1_TT_8_bias_2,
        IF ( (trans1_TT_8_lin_type == 102 || trans1_TT_8_lin_type == 105 || trans1_TT_8_lin_type == 240 || trans1_TT_8_lin_type == 127) || \
             (trans1_TT_8_lin_type == 0  && (trans1_TT_8_input_range == 128 || trans1_TT_8_input_range == 129))) 
        { trans1_TT_8_sensor_connection, }
        IF ((trans1_TT_8_lin_type == 128) || (trans1_TT_8_lin_type == 131) || 
            ((trans1_TT_8_lin_type >= 133) && (trans1_TT_8_lin_type <= 138)))
        { trans1_TT_8_rj_type, }
        trans1_TT_8_lower_sensor_limit,
        trans1_TT_8_upper_sensor_limit
    }
}

MENU Tab_s_trd
{
    LABEL   "Tansducer (8)";
    ITEMS
    {
        Tab_s_trd_1,
        Tab_s_trd_2,
        Tab_s_trd_3,
        Tab_s_trd_4,
        Tab_s_trd_5,
        Tab_s_trd_6,
        Tab_s_trd_7,
        Tab_s_trd_8
    }
}

MENU Tab_s_ai
{
    LABEL   "Analog Input (8)";
    ITEMS
    {
        Tab_s_AI_1
        Tab_s_AI_2,
        Tab_s_AI_3,
        Tab_s_AI_4,
        Tab_s_AI_5,
        Tab_s_AI_6,
        Tab_s_AI_7,
        Tab_s_AI_8
    }
}

/******************************************************************************/
/*****    Table: Maintenance    ***********************************************/
/******************************************************************************/
MENU Table_Main_Maintenance
{
    LABEL    [MC_Table_Main_Maintenance_TT108];
    ITEMS
    {
        Tab_m_info,
        Tab_m_trd,
        Tab_m_AI
    }
}

MENU Tab_m_info
{
    LABEL    [MC_Tab_info];
    ITEMS
    {
        Tab_m_manuf_info,       /* file Phys_Blk.inc */
        Tab_m_block_tag,
        Tab_m_get_info,         /* file Phys_Blk.inc */
        Tab_serial_numbers,     /* file Phys_Blk.inc */
        Tab_device_revisions,   /* file Phys_Blk.inc */
        Tab_m_certificates      /* file Phys_Blk.inc */
    }
}

MENU Tab_m_block_tag
{
    LABEL    [MC_Tab_block_tag];
    ITEMS
    {
        phys_tag_desc  (READ_ONLY),
        trans1_TT_1_tag_desc  (READ_ONLY),
        trans1_TT_2_tag_desc  (READ_ONLY),
        trans1_TT_3_tag_desc  (READ_ONLY),
        trans1_TT_4_tag_desc  (READ_ONLY),
        trans1_TT_5_tag_desc  (READ_ONLY),
        trans1_TT_6_tag_desc  (READ_ONLY),
        trans1_TT_7_tag_desc  (READ_ONLY),
        trans1_TT_8_tag_desc  (READ_ONLY),
        func1_AI_1_tag_desc  (READ_ONLY),
        func1_AI_2_tag_desc  (READ_ONLY),
        func1_AI_3_tag_desc  (READ_ONLY),
        func1_AI_4_tag_desc  (READ_ONLY),
        func1_AI_5_tag_desc  (READ_ONLY),
        func1_AI_6_tag_desc  (READ_ONLY),
        func1_AI_7_tag_desc  (READ_ONLY),
        func1_AI_8_tag_desc  (READ_ONLY)
    }
}

MENU Tab_m_trd_1
{
    LABEL   [trans1];
    ITEMS
    {
        trans1_TT_1_st_rev,
        trans1_TT_1_lin_type  (READ_ONLY),
        trans1_TT_1_primary_value_unit  (READ_ONLY),
        trans1_TT_1_sensor_measure_type  (READ_ONLY),
        trans1_TT_1_input_range  (READ_ONLY),
        trans1_TT_1_lower_sensor_limit  (READ_ONLY),
        trans1_TT_1_upper_sensor_limit  (READ_ONLY)
    }
}

MENU Tab_m_trd_2
{
    LABEL   [trans2];
    ITEMS
    {
        trans1_TT_2_st_rev,
        trans1_TT_2_lin_type  (READ_ONLY),
        trans1_TT_2_primary_value_unit  (READ_ONLY),
        trans1_TT_2_sensor_measure_type  (READ_ONLY),
        trans1_TT_2_input_range  (READ_ONLY),
        trans1_TT_2_lower_sensor_limit  (READ_ONLY),
        trans1_TT_2_upper_sensor_limit  (READ_ONLY)
    }
}

MENU Tab_m_trd_3
{
    LABEL   [trans3];
    ITEMS
    {
        trans1_TT_3_st_rev,
        trans1_TT_3_lin_type  (READ_ONLY),
        trans1_TT_3_primary_value_unit  (READ_ONLY),
        trans1_TT_3_sensor_measure_type  (READ_ONLY),
        trans1_TT_3_input_range  (READ_ONLY),
        trans1_TT_3_lower_sensor_limit  (READ_ONLY),
        trans1_TT_3_upper_sensor_limit  (READ_ONLY)
    }
}

MENU Tab_m_trd_4
{
    LABEL   [MC_trans4];
    ITEMS
    {
        trans1_TT_4_st_rev,
        trans1_TT_4_lin_type  (READ_ONLY),
        trans1_TT_4_primary_value_unit  (READ_ONLY),
        trans1_TT_4_sensor_measure_type  (READ_ONLY),
        trans1_TT_4_input_range  (READ_ONLY),
        trans1_TT_4_lower_sensor_limit  (READ_ONLY),
        trans1_TT_4_upper_sensor_limit  (READ_ONLY)
    }
}

MENU Tab_m_trd_5
{
    LABEL   [MC_trans5];
    ITEMS
    {
        trans1_TT_5_st_rev,
        trans1_TT_5_lin_type  (READ_ONLY),
        trans1_TT_5_primary_value_unit  (READ_ONLY),
        trans1_TT_5_sensor_measure_type  (READ_ONLY),
        trans1_TT_5_input_range  (READ_ONLY),
        trans1_TT_5_lower_sensor_limit  (READ_ONLY),
        trans1_TT_5_upper_sensor_limit  (READ_ONLY)
    }
}

MENU Tab_m_trd_6
{
    LABEL   [MC_trans6];
    ITEMS
    {
        trans1_TT_6_st_rev,
        trans1_TT_6_lin_type  (READ_ONLY),
        trans1_TT_6_primary_value_unit  (READ_ONLY),
        trans1_TT_6_sensor_measure_type  (READ_ONLY),
        trans1_TT_6_input_range  (READ_ONLY),
        trans1_TT_6_lower_sensor_limit  (READ_ONLY),
        trans1_TT_6_upper_sensor_limit  (READ_ONLY)
    }
}

MENU Tab_m_trd_7
{
    LABEL   [MC_trans7];
    ITEMS
    {
        trans1_TT_7_st_rev,
        trans1_TT_7_lin_type  (READ_ONLY),
        trans1_TT_7_primary_value_unit  (READ_ONLY),
        trans1_TT_7_sensor_measure_type  (READ_ONLY),
        trans1_TT_7_input_range  (READ_ONLY),
        trans1_TT_7_lower_sensor_limit  (READ_ONLY),
        trans1_TT_7_upper_sensor_limit  (READ_ONLY)
    }
}

MENU Tab_m_trd_8
{
    LABEL   [MC_trans8];
    ITEMS
    {
        trans1_TT_8_st_rev,
        trans1_TT_8_lin_type  (READ_ONLY),
        trans1_TT_8_primary_value_unit  (READ_ONLY),
        trans1_TT_8_sensor_measure_type  (READ_ONLY),
        trans1_TT_8_input_range  (READ_ONLY),
        trans1_TT_8_lower_sensor_limit  (READ_ONLY),
        trans1_TT_8_upper_sensor_limit  (READ_ONLY)
    }
}


MENU Tab_m_trd
{
    LABEL   "Tansducer (8)";
    ITEMS
    {
        Tab_m_trd_1,
        Tab_m_trd_2,
        Tab_m_trd_3,
        Tab_m_trd_4,
        Tab_m_trd_5,
        Tab_m_trd_6,
        Tab_m_trd_7,
        Tab_m_trd_8
    }
}

MENU Tab_m_AI
{
    LABEL   "Analog Input (8)";
    ITEMS
    {
        Tab_m_AI_1,
        Tab_m_AI_2,
        Tab_m_AI_3,
        Tab_m_AI_4,
        Tab_m_AI_5,
        Tab_m_AI_6,
        Tab_m_AI_7,
        Tab_m_AI_8
    }
}


METHOD std_NodeAddress
{
    LABEL        [menu_Device_NodeAddress];
    DEFINITION
    {
    }
}

METHOD std_LoadinDevice
{
    LABEL        [menu_Device_LoadinDevice];
    DEFINITION
    {
    }
}

METHOD std_LoadinPC
{
    LABEL        [menu_Device_LoadinPC];
    DEFINITION
    {
    }
}

METHOD std_Funktionsleiste
{
    LABEL        [menu_View_Toolbar];
    DEFINITION
    {
    }
}

METHOD std_Statuszeile
{
    LABEL        [menu_View_Statusbar];
    DEFINITION
    {
    }
}

METHOD std_Update
{
    LABEL        [menu_View_Update];
    DEFINITION
    {
    }
}

METHOD method_set
{
    LABEL        [transfer];
    HELP         [transfer_help];
    DEFINITION
    {
    }
}
