/***********************************************************************/
/*    Function Block 6: Analog Input - 6                               */
/***********************************************************************/

BLOCK func1_AI_6
{
    TYPE    FUNCTION;
    NUMBER  6;
}

func1_AI_6_blk_reserve                        LIKE VARIABLE    phys_blk_reserve
{
}

VARIABLE func1_AI_6_blk_object
{
    LABEL       [blk_block_object];
    HELP        [blk_block_object_help];
    CLASS       CONTAINED;
    TYPE        ENUMERATED(1)
    {
        {    2,    [blk_block_object_FUNCTION]        }
    }
    HANDLING    READ;
}

VARIABLE func1_AI_6_blk_parent_class
{
    LABEL       [blk_parent_class];
    HELP        [func_blk_parent_class_help];
    CLASS       CONTAINED;
    TYPE        ENUMERATED(1)
    {
        {    1,    [func_blk_parent_class_INPUT]    }
    }
    HANDLING    READ;
}

VARIABLE func1_AI_6_blk_class
{
    LABEL       [blk_class];
    HELP        [func_blk_class_help];
    CLASS       CONTAINED;
    TYPE        ENUMERATED(1)
    {
        {    1,    [func_blk_class_AI]            }
    }    
    HANDLING    READ;
}

func1_AI_6_blk_dd_reference                    LIKE VARIABLE    phys_blk_dd_reference
{                                            
}                                            
                                            
func1_AI_6_blk_dd_rev                          LIKE VARIABLE    phys_blk_dd_rev
{
}                                            
                                            
func1_AI_6_blk_profile                         LIKE VARIABLE    phys_blk_profile
{
}

func1_AI_6_blk_profile_rev                     LIKE VARIABLE    phys_blk_profile_rev
{                                            
}                                            
                                            
func1_AI_6_blk_execution_time                  LIKE VARIABLE    phys_blk_execution_time
{
}                                            
                                            
func1_AI_6_blk_num_parameters                  LIKE VARIABLE    phys_blk_num_parameters
{                                            
}                                            
                                            
func1_AI_6_blk_index_view_1                    LIKE VARIABLE    phys_blk_index_view_1
{                                            
}                                            
                                            
func1_AI_6_blk_num_view_lists                  LIKE VARIABLE    phys_blk_num_view_lists
{                                            
}                                            
                                            
func1_AI_6_st_rev                              LIKE VARIABLE    phys_st_rev
{
}

func1_AI_6_tag_desc                            LIKE VARIABLE    phys_tag_desc
{
    REDEFINE LABEL        [MC_AI_6_tag_desc];
}

func1_AI_6_strategy                            LIKE VARIABLE    phys_strategy
{                                            
}

func1_AI_6_alert_key                           LIKE VARIABLE    phys_alert_key
{
}

VARIABLE func1_AI_6_target_mode
{
    LABEL       [target_mode];
    HELP        [target_mode_help];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    0x08;
        {    0x08,    [mode_AUTO]              },
        {    0x10,    [mode_MAN]               },
        {    0x80,    [mode_OUT_OF_SERVICE]    }
    }
    POST_READ_ACTIONS
    {
      method_set_unit_ch,   /* this was done here until release of version 5.01 in april 2000 */
    }
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_actual_mode
{
    LABEL       [actual_mode];
    HELP        [actual_mode_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    0x08;
        {    0x08,    [mode_AUTO]              },
        {    0x10,    [mode_MAN]               },
        {    0x80,    [mode_OUT_OF_SERVICE]    }
    }
    HANDLING    READ;
}

VARIABLE func1_AI_6_permitted_mode
{
    LABEL       [permitted_mode];
    HELP        [permitted_mode_help];
    CLASS       CONTAINED;
    TYPE        BIT_ENUMERATED (1)
    {
        DEFAULT_VALUE    0x98;
        {    0x08,    [mode_AUTO]              },
        {    0x10,    [mode_MAN]               },
        {    0x80,    [mode_OUT_OF_SERVICE]    }
    }
    HANDLING    READ;
}

VARIABLE func1_AI_6_normal_mode
{
    LABEL       [normal_mode];
    HELP        [normal_mode_help];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    0x08;
        {    0x08,    [mode_AUTO]              },
        {    0x10,    [mode_MAN]               },
        {    0x80,    [mode_OUT_OF_SERVICE]    }
    }
    HANDLING    READ;
}

func1_AI_6_current_state_alarm_sum            LIKE VARIABLE    phys_current_state_alarm_sum
{
    REDEFINE LABEL      [MC_alarm_sum];
    REDEFINE TYPE        BIT_ENUMERATED (2)
    {
        {    0x0000,    [limit_state_NO_ALARM]  },
        {    0x0200,    [limit_state_HI_HI]     },
        {    0x0400,    [limit_state_HI]        },
        {    0x0800,    [limit_state_LO_LO]     },
        {    0x1000,    [limit_state_LO]        }
        /*,
        {    0x8000,    [limit_state_ST_REV]    }*/
    }
    REDEFINE STYLE      "MULTILINE 16 7" ;
}

func1_AI_6_unacknowledged_state_alarm_sum        LIKE VARIABLE    phys_unacknowledged_state_alarm_sum
{
    REDEFINE TYPE        BIT_ENUMERATED (2)
    {
        {    0x0000,    [limit_state_NO_ALARM]  },
        {    0x0200,    [limit_state_HI_HI]     },
        {    0x0400,    [limit_state_HI]        },
        {    0x0800,    [limit_state_LO_LO]     },
        {    0x1000,    [limit_state_LO]        }
        /*,
        {    0x8000,    [limit_state_ST_REV]    }*/
    }
    REDEFINE STYLE      "MULTILINE 16 7" ;
}

func1_AI_6_unreported_state_alarm_sum            LIKE VARIABLE    phys_unreported_state_alarm_sum
{
    REDEFINE TYPE        BIT_ENUMERATED (2)
    {
        {    0x0000,    [limit_state_NO_ALARM]  },
        {    0x0200,    [limit_state_HI_HI]     },
        {    0x0400,    [limit_state_HI]        },
        {    0x0800,    [limit_state_LO_LO]     },
        {    0x1000,    [limit_state_LO]        }
        /*,
        {    0x8000,    [limit_state_ST_REV]    }*/
    }
    REDEFINE STYLE      "MULTILINE 16 7" ;
}

func1_AI_6_disabled_state_alarm_sum            LIKE VARIABLE    phys_disabled_state_alarm_sum
{
    REDEFINE TYPE        BIT_ENUMERATED (2)
    {
        {    0x0000,    [limit_state_NO_ALARM]  },
        {    0x0200,    [limit_state_HI_HI]     },
        {    0x0400,    [limit_state_HI]        },
        {    0x0800,    [limit_state_LO_LO]     },
        {    0x1000,    [limit_state_LO]        }
        /*,
        {    0x8000,    [limit_state_ST_REV]    }*/
    }
    REDEFINE STYLE      "MULTILINE 16 7" ;
}

VARIABLE func1_AI_6_batch_id
{
    LABEL       [func_batch_id];
    HELP        [func_batch_id_help];
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE    0;
    }
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_batch_unit
{
    LABEL       [func_batch_unit];
    HELP        [func_batch_unit_help];
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE    0;
    }
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_batch_operation
{
    LABEL       [func_batch_operation];        
    HELP        [func_batch_operation_help];
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE    0;
    }
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_batch_phase
{
    LABEL       [func_batch_phase];
    HELP        [func_batch_phase_help];
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE    0;
    }
    HANDLING    READ & WRITE;
}

/*---------------------------------------------------------------------*/
/*    Function Block 6: Analog Input (Parameters)                      */
/*---------------------------------------------------------------------*/

VARIABLE func1_AI_6_out_value
{
    LABEL       [func_out_value];
    HELP        [func_ai_out_value_help];
    CLASS       OUTPUT&DYNAMIC;
    TYPE        FLOAT
    {
        DEFAULT_VALUE    0.0;
        DISPLAY_FORMAT	DEF_DISPLAY_FORMAT(func1_AI_6_out_decimal_point)
    }
    HANDLING
        IF (func1_AI_6_target_mode == BLOCK_MODE_MAN)
        {
            READ & WRITE;
        }
        ELSE
        {
            READ;
        }
}

VARIABLE func1_AI_6_out_status_quality
{
    LABEL       [status_quality];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    0;
        STATUS_OUTPUT_NO_RCAS
    }
    HANDLING
        IF (func1_AI_6_target_mode == BLOCK_MODE_MAN)
        {
            READ & WRITE;
        }
        ELSE
        {
            READ;
        }
}

func1_AI_6_out_status_limit            LIKE VARIABLE    func1_AI_6_out_status_quality
{
    REDEFINE LABEL       [status_limit];        
    REDEFINE TYPE        ENUMERATED (1)
    {
        STATUS_OUTPUT_LIMIT
    }
}

VARIABLE func1_AI_6_pv_upper_range_value
{
    /* ST_REV */
    LABEL       [func_pv_scale_upper_value];
    HELP        [func_pv_scale_upper_value_help];
    CLASS       CONTAINED;
    TYPE        FLOAT
    {
        DEFAULT_VALUE  850.0;
        DISPLAY_FORMAT	DEF_DISPLAY_FORMAT(func1_AI_6_out_decimal_point)
    }
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_pv_lower_range_value
{
    /* ST_REV */
    LABEL       [func_pv_scale_lower_value];
    HELP        [func_pv_scale_lower_value_help];
    CLASS       CONTAINED;
    TYPE        FLOAT
    {
        DEFAULT_VALUE  -200.0;
        DISPLAY_FORMAT	DEF_DISPLAY_FORMAT(func1_AI_6_out_decimal_point)
    }
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_out_upper_range_value
{
    /* ST_REV */
    LABEL       [func_out_scale_upper_value];
    HELP        [func_out_scale_upper_value_help];
    CLASS       CONTAINED;
    TYPE        FLOAT
    {
        DEFAULT_VALUE  850.0;
        DISPLAY_FORMAT	DEF_DISPLAY_FORMAT(func1_AI_6_out_decimal_point)
    }
//    POST_WRITE_ACTIONS
//    {
//        method_write_limit_ai,
//      method_write_fail_ai
//    }
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_out_lower_range_value
{
    /* ST_REV */
    LABEL       [func_out_scale_lower_value];
    HELP        [func_out_scale_lower_value_help];
    CLASS       CONTAINED;
    TYPE        FLOAT
    {
        DEFAULT_VALUE  -200.0;
        DISPLAY_FORMAT	DEF_DISPLAY_FORMAT(func1_AI_6_out_decimal_point)
    }
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_out_unit
{
    /* ST_REV */
    LABEL       [digital_units];
    HELP        [digital_units_help];
    CLASS       CONTAINED & SERVICE;
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE     1001;
        UNIT_LIST
    }
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_out_decimal_point
{
    LABEL       [decimal_point];
    HELP        [decimal_point_help];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    2;
        {    0,   "0"        },
        {    1,   "1"        },
        {    2,   "2"        },
        {    3,   "3"        },
        {    4,   "4"        },
        {    5,   "5"        }
    }
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_lin_type
{
    /* ST_REV */
    LABEL       [trans_lin_type];
    HELP        [trans_lin_type_help];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    0;
        {     0, [linear]    },
        {    10,[lin_type_SQUARE_ROOT] }
    }
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_channel
{
    /* ST_REV */
    LABEL       [func_channel];
    HELP        [func_channel_help];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (2)
    {
            DEFAULT_VALUE   0x0608;
            {0x0608,    "TB6 PV"                   },
            {0x060A,    "TB6 SV 1 " },
            {0x060B,    "TB6 SV 2" },
            {0x0621,    "TB6 RJ Temp" }
    }
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_pv_ftime
{
    /* ST_REV */
    LABEL       [func_pv_ftime];
    HELP        [func_pv_ftime_help];
    CLASS       CONTAINED;
    TYPE        FLOAT
    {
        DEFAULT_VALUE    0.0;
        DISPLAY_FORMAT ".1f";
    }
    CONSTANT_UNIT    [sec];
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_FSafeType
{
    /* ST_REV */
    LABEL     [func_failsafetype];
    HELP      [func_ai_fsafe_type];
    CLASS     CONTAINED;
    TYPE      ENUMERATED(1) /* UNSIGNED_INTEGER(1) */
    {
        DEFAULT_VALUE    1;
        { 0,[func_ai_fsafe_type_FAIL_SAFE_VALUE]},
        { 1,[func_ai_fsafe_type_STORING_LAST_SETPOINT]},
        { 2,[func_ai_fsafe_type_FAIL_SAFE_POSITION]}
    }
    HANDLING  READ & WRITE;
}

VARIABLE func1_AI_6_FSafeValue
{
    /* ST_REV */
    LABEL     [func_failsafevalue];
    /*
    HELP      [];
    */
    CLASS     CONTAINED;
    TYPE      FLOAT
    {
        DEFAULT_VALUE  0.0;
        DISPLAY_FORMAT	DEF_DISPLAY_FORMAT(func1_AI_6_out_decimal_point)
    }
    HANDLING  READ & WRITE;
}

VARIABLE func1_AI_6_alarm_hys
{
    /* ST_REV */
    LABEL       [limit_hysteresis];
    HELP        [limit_hysteresis_help];
    CLASS       CONTAINED;
    TYPE        FLOAT
    {
        DEFAULT_VALUE  10.5;
        DISPLAY_FORMAT	DEF_DISPLAY_FORMAT(func1_AI_6_out_decimal_point)
    }
    CONSTANT_UNIT     [Percent];
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_hi_hi_lim
{
    /* ST_REV */
    LABEL       [limit_hi_hi];
    HELP        [limit_hi_hi_help];
    CLASS       CONTAINED;
    TYPE        FLOAT
    {
        DEFAULT_VALUE  850.0;
        DISPLAY_FORMAT	DEF_DISPLAY_FORMAT(func1_AI_6_out_decimal_point)
    }
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_hi_lim
{
    /* ST_REV */
    LABEL       [limit_hi];
    HELP        [limit_hi_help];
    CLASS       CONTAINED;
    TYPE        FLOAT
    {
        DEFAULT_VALUE  850.0;
        DISPLAY_FORMAT	DEF_DISPLAY_FORMAT(func1_AI_6_out_decimal_point)
    }
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_lo_lim
{
    /* ST_REV */
    LABEL       [limit_lo];
    HELP        [limit_lo_help];
    CLASS       CONTAINED;
    TYPE        FLOAT
    {
        DEFAULT_VALUE  -200.0;
        DISPLAY_FORMAT	DEF_DISPLAY_FORMAT(func1_AI_6_out_decimal_point)
    }
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_lo_lo_lim
{
    /* ST_REV */
    LABEL       [limit_lo_lo];
    HELP        [limit_lo_lo_help];
    CLASS       CONTAINED;
    TYPE        FLOAT
    {
        DEFAULT_VALUE  -200.0;
        DISPLAY_FORMAT	DEF_DISPLAY_FORMAT(func1_AI_6_out_decimal_point)
    }
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_hi_hi_alm_unacknowledged
{
    LABEL       [limit_alarm_unacknowledged];
    HELP        [limit_alarm_unacknowledged_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        UNSIGNED_INTEGER (1);
    HANDLING    READ;
}

VARIABLE func1_AI_6_hi_hi_alm_state
{
    LABEL       [limit_state];
    HELP        [limit_hi_hi_state_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    0;
        {    0,    [limit_state_NO_ALARM]    },
        {    1,    [limit_state_HI_HI]        }
    }
    HANDLING    READ;
}

VARIABLE func1_AI_6_hi_hi_alm_time_stamp
{
    LABEL       [limit_time_stamp];
    HELP        [limit_time_stamp_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        TIME;
    HANDLING    READ;
}

VARIABLE func1_AI_6_hi_hi_alm_subcode
{
    LABEL       [limit_subcode];
    HELP        [limit_hi_hi_subcode_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        UNSIGNED_INTEGER (2);
    HANDLING    READ;
}

VARIABLE func1_AI_6_hi_hi_alm_value
{
    LABEL       [limit_alarm_value];
    HELP        [limit_hi_hi_alarm_value_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        FLOAT
    {
        DISPLAY_FORMAT	DEF_DISPLAY_FORMAT(func1_AI_6_out_decimal_point)
    }
    HANDLING    READ;
}

VARIABLE func1_AI_6_hi_alm_unacknowledged
{
    LABEL       [limit_warn_unacknowledged];
    HELP        [limit_warn_unacknowledged_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        UNSIGNED_INTEGER (1);
    HANDLING    READ;
}

VARIABLE func1_AI_6_hi_alm_state
{
    LABEL       [limit_state];
    HELP        [limit_hi_state_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    0;
        {    0,    [limit_state_NO_WARNING]    },
        {    1,    [limit_state_HI]            }
    }
    HANDLING    READ;
}

VARIABLE func1_AI_6_hi_alm_time_stamp
{
    LABEL       [limit_time_stamp];
    HELP        [limit_time_stamp_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        TIME;
    HANDLING    READ;
}

VARIABLE func1_AI_6_hi_alm_subcode
{
    LABEL       [limit_subcode];
    HELP        [limit_hi_subcode_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        UNSIGNED_INTEGER (2);
    HANDLING    READ;
}

VARIABLE func1_AI_6_hi_alm_value
{
    LABEL       [limit_warn_value];
    HELP        [limit_hi_warn_value_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        FLOAT
    {
        DISPLAY_FORMAT	DEF_DISPLAY_FORMAT(func1_AI_6_out_decimal_point)
    }
    HANDLING    READ;
}

VARIABLE func1_AI_6_lo_alm_unacknowledged
{
    LABEL       [limit_warn_unacknowledged];
    HELP        [limit_warn_unacknowledged_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        UNSIGNED_INTEGER (1);
    HANDLING    READ;
}

VARIABLE func1_AI_6_lo_alm_state
{
    LABEL       [limit_state];
    HELP        [limit_lo_state_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    0;
        {    0,    [limit_state_NO_WARNING]    },
        {    1,    [limit_state_LO]            }
    }
    HANDLING    READ;
}

VARIABLE func1_AI_6_lo_alm_time_stamp
{
    LABEL       [limit_time_stamp];
    HELP        [limit_time_stamp_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        TIME;
    HANDLING    READ;
}

VARIABLE func1_AI_6_lo_alm_subcode
{
    LABEL       [limit_subcode];
    HELP        [limit_lo_subcode_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        UNSIGNED_INTEGER (2);
    HANDLING    READ;
}

VARIABLE func1_AI_6_lo_alm_value
{
    LABEL       [limit_warn_value];
    HELP        [limit_lo_warn_value_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        FLOAT
    {
        DISPLAY_FORMAT	DEF_DISPLAY_FORMAT(func1_AI_6_out_decimal_point)
    }
    HANDLING    READ;
}

VARIABLE func1_AI_6_lo_lo_alm_unacknowledged
{
    LABEL       [limit_alarm_unacknowledged];
    HELP        [limit_alarm_unacknowledged_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        UNSIGNED_INTEGER (1);
    HANDLING    READ;
}

VARIABLE func1_AI_6_lo_lo_alm_state
{
    LABEL       [limit_state];
    HELP        [limit_lo_lo_state_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    0;
        {    0,    [limit_state_NO_ALARM]        },
        {    1,    [limit_state_LO_LO]            }
    }
    HANDLING    READ;
}

VARIABLE func1_AI_6_lo_lo_alm_time_stamp
{
    LABEL       [limit_time_stamp];
    HELP        [limit_time_stamp_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        TIME;
    HANDLING    READ;
}

VARIABLE func1_AI_6_lo_lo_alm_subcode
{
    LABEL       [limit_subcode];
    HELP        [limit_lo_lo_subcode_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        UNSIGNED_INTEGER (2);
    HANDLING    READ;
}

VARIABLE func1_AI_6_lo_lo_alm_value
{
    LABEL       [limit_alarm_value];
    HELP        [limit_lo_lo_alarm_value_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        FLOAT
    {
        DISPLAY_FORMAT	DEF_DISPLAY_FORMAT(func1_AI_6_out_decimal_point)
    }
    HANDLING    READ;
}

VARIABLE func1_AI_6_simulate_status_quality
{
    LABEL       [status_quality];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    0;
        STATUS_OUTPUT_NO_RCAS
    }
    HANDLING    READ & WRITE;
}

func1_AI_6_simulate_status_limit            LIKE VARIABLE    func1_AI_6_simulate_status_quality
{
    REDEFINE LABEL       [status_limit];        
    REDEFINE TYPE        ENUMERATED (1)
    {
        STATUS_OUTPUT_LIMIT
    }
}

VARIABLE func1_AI_6_simulate_value
{
    LABEL       [func_simulate_value];
    HELP        [func_ai_simulate_value_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        FLOAT
    {
        DEFAULT_VALUE    0.0;
        DISPLAY_FORMAT	DEF_DISPLAY_FORMAT(func1_AI_6_out_decimal_point)
    }
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_simulation_enabled
{
    LABEL       [func_simulation_enabled];
    HELP        [func_simulation_enabled_help];
    CLASS       CONTAINED & DYNAMIC;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    0;
        {    0,    [disabled]        },
        {    1,    [enabled]        }
    }
    HANDLING    READ & WRITE;
}

VARIABLE func1_AI_6_out_unit_text
{
    /* ST_REV */
    LABEL   [func_out_unit_text] ;
    HELP    [func_out_unit_text_help] ;
    CLASS CONTAINED ;
    TYPE ASCII(16) ;
    HANDLING READ & WRITE ;
}

/*---------------------------------------------------------------------*/
/*    Function Block 6: Analog Input - 6(Units)                        */
/*---------------------------------------------------------------------*/

UNIT AI_6_OUT_SCALE_UNIT
{
    func1_AI_6_out_unit:
    func1_AI_6_out_value,
    func1_AI_6_out_upper_range_value,
    func1_AI_6_out_lower_range_value,
    func1_AI_6_hi_hi_lim,
    func1_AI_6_hi_lim,
    func1_AI_6_lo_lim,
    func1_AI_6_lo_lo_lim,
    func1_AI_6_hi_hi_alm_value,
    func1_AI_6_hi_alm_value,
    func1_AI_6_lo_alm_value,
    func1_AI_6_lo_lo_alm_value,
    func1_AI_6_FSafeValue
}

UNIT AI_6_UNIT_BY_CHANNEL
{
    trans1_TT_6_primary_value_unit:
    func1_AI_6_pv_upper_range_value,
    func1_AI_6_pv_lower_range_value,
    func1_AI_6_simulate_value
}
/*---------------------------------------------------------------------*/
/*    Function Block 6: Analog Input - 6(Commands)                     */
/*---------------------------------------------------------------------*/
COMMAND read_func1_AI_6_blk
{
    BLOCK func1_AI_6;
    INDEX 0;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_blk_reserve, 
            func1_AI_6_blk_object, 
            func1_AI_6_blk_parent_class, 
            func1_AI_6_blk_class,
            func1_AI_6_blk_dd_reference, 
            func1_AI_6_blk_dd_rev, 
            func1_AI_6_blk_profile, 
            func1_AI_6_blk_profile_rev,
            func1_AI_6_blk_execution_time, 
            func1_AI_6_blk_num_parameters, 
            func1_AI_6_blk_index_view_1,
            func1_AI_6_blk_num_view_lists
        }
    }
}

COMMAND read_func1_AI_6_st_rev
{
    BLOCK func1_AI_6;
    INDEX 1;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_st_rev
        }
    }
}


COMMAND read_func1_AI_6_tag_desc
{
    BLOCK func1_AI_6;
    INDEX 2;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_tag_desc
        }
    }
}

COMMAND write_func1_AI_6_tag_desc
{
    BLOCK func1_AI_6;
    INDEX 2;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_tag_desc
        }
        REPLY
        {
        }
    }
}

COMMAND read_func1_AI_6_strategy
{
    BLOCK func1_AI_6;
    INDEX 3;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_strategy
        }
    }
}

COMMAND write_func1_AI_6_strategy
{
    BLOCK func1_AI_6;
    INDEX 3;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_strategy
        }
        REPLY
        {
        }
    }
}

COMMAND read_func1_AI_6_alert_key
{
    BLOCK func1_AI_6;
    INDEX 4;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_alert_key
        }
    }
}

COMMAND write_func1_AI_6_alert_key
{
    BLOCK func1_AI_6;
    INDEX 4;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_alert_key
        }
        REPLY
        {
        }
    }
}

COMMAND read_func1_AI_6_target_mode
{
    BLOCK func1_AI_6;
    INDEX 5;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_target_mode
        }
    }
}

COMMAND write_func1_AI_6_target_mode
{
    BLOCK func1_AI_6;
    INDEX 5;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_target_mode
        }
        REPLY
        {
        }
    }
}

COMMAND read_func1_AI_6_mode
{
    BLOCK func1_AI_6;
    INDEX 6;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_actual_mode, 
            func1_AI_6_permitted_mode, 
            func1_AI_6_normal_mode
        }
    }
}

COMMAND read_func1_AI_6_alarm
{
    BLOCK func1_AI_6;
    INDEX 7;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_current_state_alarm_sum, 
            func1_AI_6_unacknowledged_state_alarm_sum,
            func1_AI_6_unreported_state_alarm_sum, 
            func1_AI_6_disabled_state_alarm_sum
        }
    }
}

COMMAND read_func1_AI_6_batch_information
{
    BLOCK func1_AI_6;
    INDEX 8;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_batch_id, 
            func1_AI_6_batch_unit, 
            func1_AI_6_batch_operation, 
            func1_AI_6_batch_phase
        }
    }
}

COMMAND write_func1_AI_6_batch_information
{
    BLOCK func1_AI_6;
    INDEX 8;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_batch_id, 
            func1_AI_6_batch_unit, 
            func1_AI_6_batch_operation, 
            func1_AI_6_batch_phase
        }
        REPLY
        {
        }
    }
}

COMMAND read_func1_AI_6_out
{
    BLOCK func1_AI_6;
    INDEX 10;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_out_value,
            func1_AI_6_out_status_quality <0xFC>,
            func1_AI_6_out_status_limit   <0x03> 
        }
    }
}

COMMAND write_func1_AI_6_out
{
    BLOCK func1_AI_6;
    INDEX 10;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_out_value, 
            func1_AI_6_out_status_quality <0xFC>,
            func1_AI_6_out_status_limit   <0x03> 
        }
        REPLY
        {
        }
    }
}

COMMAND read_func1_AI_6_pv
{
    BLOCK func1_AI_6;
    INDEX 11;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_pv_upper_range_value, 
            func1_AI_6_pv_lower_range_value
        }
    }
}

COMMAND write_func1_AI_6_pv
{
    BLOCK func1_AI_6;
    INDEX 11;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_pv_upper_range_value, 
            func1_AI_6_pv_lower_range_value
        }
        REPLY
        {
        }
    }
}

COMMAND read_func1_AI_6_out_scale
{
    BLOCK func1_AI_6;
    INDEX 12;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_out_upper_range_value,    
            func1_AI_6_out_lower_range_value, 
            func1_AI_6_out_unit, 
            func1_AI_6_out_decimal_point
        }
    }
}

COMMAND write_func1_AI_6_out_scale
{
    BLOCK func1_AI_6;
    INDEX 12;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_out_upper_range_value, 
            func1_AI_6_out_lower_range_value,
            func1_AI_6_out_unit, 
            func1_AI_6_out_decimal_point
        }
        REPLY
        {
        }
    }
}

COMMAND read_func1_AI_6_lin_type
{
    BLOCK func1_AI_6;
    INDEX 13;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_lin_type
        }
    }
}

COMMAND write_func1_AI_6_lin_type
{
    BLOCK func1_AI_6;
    INDEX 13;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_lin_type
        }
        REPLY
        {
        }
    }
}

COMMAND read_func1_AI_6_channel
{
    BLOCK func1_AI_6;
    INDEX 14;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_channel
        }
    }
}

COMMAND write_func1_AI_6_channel
{
    BLOCK func1_AI_6;
    INDEX 14;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_channel
        }
        REPLY
        {
        }
    }
}
  
COMMAND read_func1_AI_6_pv_ftime
{
    BLOCK func1_AI_6;
    INDEX 16;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_pv_ftime
        }
    }
}

COMMAND write_func1_AI_6_pv_ftime
{
    BLOCK func1_AI_6;
    INDEX 16;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_pv_ftime
        }
        REPLY
        {
        }
    }
}

COMMAND read_func1_AI_6_FSafeType
{
    BLOCK func1_AI_6;
    INDEX 17;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_FSafeType
        }
    }
}

COMMAND write_func1_AI_6_FSafeType
{
    BLOCK func1_AI_6;
    INDEX 17;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_FSafeType
        }
        REPLY
        {
        }
    }
}

COMMAND read_func1_AI_6_FSafeValue
{
    BLOCK func1_AI_6;
    INDEX 18;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_FSafeValue
        }
    }
}

COMMAND write_func1_AI_6_FSafeValue
{
    BLOCK func1_AI_6;
    INDEX 18;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_FSafeValue
        }
        REPLY
        {
        }
    }
}

COMMAND read_func1_AI_6_alarm_hys
{
    BLOCK func1_AI_6;
    INDEX 19;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_alarm_hys
        }
    }
}


COMMAND write_func1_AI_6_alarm_hys
{
    BLOCK func1_AI_6;
    INDEX 19;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_alarm_hys
        }
        REPLY
        {
        }
    }
}

COMMAND read_func1_AI_6_hi_hi_lim
{
    BLOCK func1_AI_6;
    INDEX 21;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_hi_hi_lim
        }
    }
}

COMMAND write_func1_AI_6_hi_hi_lim
{
    BLOCK func1_AI_6;
    INDEX 21;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_hi_hi_lim
        }
        REPLY
        {
        }
    }
}

COMMAND read_func1_AI_6_hi_lim
{
    BLOCK func1_AI_6;
    INDEX 23;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_hi_lim
        }
    }
}

COMMAND write_func1_AI_6_hi_lim
{
    BLOCK func1_AI_6;
    INDEX 23;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_hi_lim
        }
        REPLY
        {
        }
    }
}

COMMAND read_func1_AI_6_lo_lim
{
    BLOCK func1_AI_6;
    INDEX 25;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_lo_lim
        }
    }
}

COMMAND write_func1_AI_6_lo_lim
{
    BLOCK func1_AI_6;
    INDEX 25;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_lo_lim
        }
        REPLY
        {
        }
    }
}

COMMAND read_func1_AI_6_lo_lo_lim
{
    BLOCK func1_AI_6;
    INDEX 27;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_lo_lo_lim
        }
    }
}

COMMAND write_func1_AI_6_lo_lo_lim
{
    BLOCK func1_AI_6;
    INDEX 27;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_lo_lo_lim
        }
        REPLY
        {
        }
    }
}

COMMAND read_func1_AI_6_hi_hi_alm
{
    BLOCK func1_AI_6;
    INDEX 30;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_hi_hi_alm_unacknowledged, 
            func1_AI_6_hi_hi_alm_state,
            func1_AI_6_hi_hi_alm_time_stamp, 
            func1_AI_6_hi_hi_alm_subcode,
            func1_AI_6_hi_hi_alm_value
        }
    }
}

COMMAND read_func1_AI_6_hi_alm
{
    BLOCK func1_AI_6;
    INDEX 31;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_hi_alm_unacknowledged, 
            func1_AI_6_hi_alm_state,
            func1_AI_6_hi_alm_time_stamp, 
            func1_AI_6_hi_alm_subcode,
            func1_AI_6_hi_alm_value
        }
    }
}

COMMAND read_func1_AI_6_lo_alm
{
    BLOCK func1_AI_6;
    INDEX 32;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_lo_alm_unacknowledged, 
            func1_AI_6_lo_alm_state,
            func1_AI_6_lo_alm_time_stamp, 
            func1_AI_6_lo_alm_subcode,
            func1_AI_6_lo_alm_value
        }
    }
}

COMMAND read_func1_AI_6_lo_lo_alm
{
    BLOCK func1_AI_6;
    INDEX 33;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_lo_lo_alm_unacknowledged, 
            func1_AI_6_lo_lo_alm_state,
            func1_AI_6_lo_lo_alm_time_stamp, 
            func1_AI_6_lo_lo_alm_subcode,
            func1_AI_6_lo_lo_alm_value
        }
    }
}

COMMAND read_func1_AI_6_simulate
{
    BLOCK func1_AI_6;
    INDEX 34;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_simulate_status_quality <0xFC>,
            func1_AI_6_simulate_status_limit <0x03>,
            func1_AI_6_simulate_value,
            func1_AI_6_simulation_enabled
        }
    }
}

COMMAND write_func1_AI_6_simulate
{
    BLOCK func1_AI_6;
    INDEX 34;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_simulate_status_quality <0xFC>,
            func1_AI_6_simulate_status_limit <0x03>,
            func1_AI_6_simulate_value,
            func1_AI_6_simulation_enabled
        }
        REPLY
        {
        }
    }
}


COMMAND read_func1_AI_6_out_unit_text
{
    BLOCK func1_AI_6;
    INDEX 35;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            func1_AI_6_out_unit_text
        }
    }
}       

COMMAND write_func1_AI_6_out_unit_text
{
    BLOCK func1_AI_6;
    INDEX 35;
    OPERATION WRITE ;
    TRANSACTION
    {
        REQUEST
        {
            func1_AI_6_out_unit_text
        }
        REPLY
        {
        }
    }
}

/*---------------------------------------------------------------------*/
/*    Function Block 6: Analog Input - 6(Menus and Windows)            */
/*---------------------------------------------------------------------*/

MENU Page_simulation_input_func1_AI_6
{
    LABEL        "AI6 Simulation (Measured Value)";
    ITEMS
    {
        func1_AI_6_simulation_enabled,
        Group_simulate_input_func1_AI_6
    }
}

MENU Group_simulate_input_func1_AI_6
{
    LABEL        [func_simulate_value];
    ITEMS
    {
        func1_AI_6_simulate_value,
        SEPARATOR,
        func1_AI_6_simulate_status_quality,
        func1_AI_6_simulate_status_limit
    }
}

MENU Page_simulation_output_func1_AI_6
{
    LABEL        "AI6 Simulation (Output)";
    ITEMS
    {
        func1_AI_6_target_mode,
        func1_AI_6_actual_mode,
        Group_simulate_output_func1_AI_6
    }
    POST_EDIT_ACTIONS
    {
        method_AI_6_target_mode,
    }
}

MENU Group_simulate_output_func1_AI_6
{
    LABEL        [func_out_value];
    ITEMS
    {
        
        func1_AI_6_out_value,
        SEPARATOR,
        func1_AI_6_out_status_quality,
        func1_AI_6_out_status_limit
    }
}

MENU OnlineDialog_simulation1_AI_6
{
    LABEL        [MC_simulation_AI_6];
    ITEMS
    {
        Page_simulation_input_func1_AI_6,
        Page_simulation_output_func1_AI_6
    }
}

MENU Page_display_func1_AI_6
{
    LABEL        "AI - 6";
    ITEMS
    {
        BarVal_display_func1_AI_6,
        Group_display_func1_AI_6_output,
        Group_display_func1_AI_6_input
    }
}

MENU BarVal_display_func1_AI_6
{
    LABEL        [MC_Output_Value];
    ITEMS
    {
        func1_AI_6_out_value                  (READ_ONLY),
        func1_AI_6_out_lower_range_value      (READ_ONLY),
        func1_AI_6_out_upper_range_value      (READ_ONLY)
    }
}

MENU Group_display_func1_AI_6_output
{
    LABEL        [MC_Output];
    ITEMS
    {
        func1_AI_6_actual_mode,
        SEPARATOR,
        func1_AI_6_out_status_quality         (READ_ONLY),
        func1_AI_6_out_status_limit           (READ_ONLY),
        func1_AI_6_current_state_alarm_sum
    }
}

MENU Group_display_func1_AI_6_input
{
    LABEL        [MC_Input];
    ITEMS
    {
        func1_AI_6_channel                (READ_ONLY),
        SEPARATOR,
        func1_AI_6_simulation_enabled     (READ_ONLY)
    }
}

MENU OnlineWindow_S_alarm_func1_AI_6
{
    LABEL        [MC_func6_AI];
    ITEMS
    {
        Page_overview_func1_AI_6,
        Page_alarm_sum_func1_AI_6,
        Page_upper_limit_alarm_func1_AI_6,
        Page_upper_limit_warning_func1_AI_6,
        Page_lower_limit_warning_func1_AI_6,
        Page_lower_limit_alarm_func1_AI_6
    }
}

MENU Page_overview_func1_AI_6
{
    LABEL        [menu_dialog_overview];
    ITEMS
    {
        func1_AI_6_hi_hi_lim          (READ_ONLY),
        func1_AI_6_hi_lim             (READ_ONLY),
        func1_AI_6_lo_lim             (READ_ONLY),
        func1_AI_6_lo_lo_lim          (READ_ONLY),
        SEPARATOR,
        func1_AI_6_hi_hi_alm_state    (NO_LABEL),
        func1_AI_6_hi_alm_state       (NO_LABEL),
        func1_AI_6_lo_alm_state       (NO_LABEL),
        func1_AI_6_lo_lo_alm_state    (NO_LABEL),
        SEPARATOR,
        func1_AI_6_hi_hi_alm_value    (NO_LABEL),
        func1_AI_6_hi_alm_value       (NO_LABEL),
        func1_AI_6_lo_alm_value       (NO_LABEL),
        func1_AI_6_lo_lo_alm_value    (NO_LABEL)
    }
}

MENU Page_alarm_sum_func1_AI_6
{
    LABEL        [menu_dialog_alarm_sum];
    ITEMS
    {
        func1_AI_6_current_state_alarm_sum, 
        func1_AI_6_unacknowledged_state_alarm_sum,
        SEPARATOR,
        func1_AI_6_unreported_state_alarm_sum, 
        func1_AI_6_disabled_state_alarm_sum
    }
}

MENU Page_upper_limit_alarm_func1_AI_6
{
    LABEL        [limit_hi_hi];
    ITEMS
    {
        func1_AI_6_hi_hi_alm_unacknowledged,
        func1_AI_6_hi_hi_alm_state,
        func1_AI_6_hi_hi_alm_subcode,
        func1_AI_6_hi_hi_lim          (READ_ONLY),
        func1_AI_6_hi_hi_alm_value
    }
}

MENU Page_upper_limit_warning_func1_AI_6
{
    LABEL        [limit_hi];
    ITEMS
    {
        func1_AI_6_hi_alm_unacknowledged,
        func1_AI_6_hi_alm_state,
        func1_AI_6_hi_alm_subcode,
        func1_AI_6_hi_lim          (READ_ONLY),
        func1_AI_6_hi_alm_value
    }
}

MENU Page_lower_limit_warning_func1_AI_6
{
    LABEL        [limit_lo];
    ITEMS
    {
        func1_AI_6_lo_alm_unacknowledged,
        func1_AI_6_lo_alm_state,
        func1_AI_6_lo_alm_subcode,
        func1_AI_6_lo_lim          (READ_ONLY),
        func1_AI_6_lo_alm_value
    }
}

MENU Page_lower_limit_alarm_func1_AI_6
{
    LABEL        [limit_lo_lo];
    ITEMS
    {
        func1_AI_6_lo_lo_alm_unacknowledged,
        func1_AI_6_lo_lo_alm_state,
        func1_AI_6_lo_lo_alm_subcode,
        func1_AI_6_lo_lo_lim          (READ_ONLY),
        func1_AI_6_lo_lo_alm_value
    }
}

MENU Page_diagnosis_func1_AI_6
{
    LABEL        [func6_AI];
    ITEMS
    {
        func1_AI_6_blk_object,
        func1_AI_6_blk_parent_class,
        func1_AI_6_blk_class,
        func1_AI_6_blk_dd_reference,
        func1_AI_6_blk_dd_rev,
        func1_AI_6_blk_profile,
        func1_AI_6_blk_profile_rev,
        func1_AI_6_st_rev,
        func1_AI_6_actual_mode,
        func1_AI_6_simulation_enabled (READ_ONLY)
    }
}



MENU Menu_func1_AI_6_online
{
    LABEL [func6_AI];
    ITEMS
    {
        OnlineDialog_func1_AI_6_config_mode
    }
}

MENU OnlineDialog_func1_AI_6_config_mode
{
    LABEL [MC_Block_Mode];
    ITEMS
    {
        Page_func1_AI_6_mode
    }
}

MENU Page_func1_AI_6_mode
{
    LABEL [MC_Config_Block_Mode];
    ITEMS
    {
        Group_AI_6_mode,
        Group_AI_6_out_value,
        func1_AI_6_current_state_alarm_sum,
        method_set
    }
    POST_EDIT_ACTIONS
    {
        method_AI_6_target_mode,
    }
}

MENU Group_AI_6_mode
{
    LABEL [MC_Select_Block_Mode];
    ITEMS
    {
        func1_AI_6_target_mode,
        SEPARATOR,
        func1_AI_6_actual_mode
    }
    POST_EDIT_ACTIONS
    {
        method_AI_6_target_mode,
    }
}

MENU Group_AI_6_out_value
{
    LABEL [MC_Output];
    ITEMS
    {
        func1_AI_6_out_value,
        SEPARATOR,
        func1_AI_6_out_status_quality,
        func1_AI_6_out_status_limit
    }
}


MENU OnlineWindow_AI_6_geral
{
    LABEL [func6_AI];
    ITEMS
    {
        Page_func1_AI_6_mode,
        Page_AI_6_Basic_Settings,
        Page_AI_6_Advanced_Settings,
        Page_AI_6_Batch_Info
    }
}


MENU OfflineWindow_AI_6_geral
{
    LABEL [func6_AI];
    ITEMS
    {
        Page_AI_6_Basic_Settings,
        Page_AI_6_Advanced_Settings,
        Page_AI_6_Batch_Info
    }
}

MENU Page_AI_6_Basic_Settings
{
    LABEL [MC_Tab_basic];
    ITEMS
    {
        Group_AI_6_Select_Input,
        Group_AI_6_Process_Value_Scale,
        Group_AI_6_Output_Scale_Unit,
        Group_AI_6_Set_filter_Time,
        SEPARATOR,
        method_set
    }
}

MENU Group_AI_6_Select_Input
{
    LABEL [MC_Tab_channel];
    ITEMS
    {
        func1_AI_6_channel
//        SEPARATOR,
//        method_write_func1_AI_6_channel
    }
}

MENU Group_AI_6_Process_Value_Scale
{
    LABEL [MC_Process_Value_Scale];
    ITEMS
    {
        func1_AI_6_pv_lower_range_value,
        func1_AI_6_pv_upper_range_value
//        SEPARATOR,
//        method_write_func1_AI_6_pv
    }
}

MENU Group_AI_6_Output_Scale_Unit
{
    LABEL [MC_Tab_outscale_ai];
    ITEMS
    {
        func1_AI_6_out_lower_range_value,
        func1_AI_6_out_upper_range_value,
        func1_AI_6_out_unit,
        func1_AI_6_out_decimal_point
//        SEPARATOR,
//        method_write_func1_AI_6_out_scale
    }
}

MENU Group_AI_6_Set_filter_Time
{
    LABEL [MC_Tab_filter_ai];
    ITEMS
    {
        func1_AI_6_pv_ftime
//        SEPARATOR,
//        method_write_func1_AI_6_pv_ftime
    }
}

MENU Page_AI_6_Advanced_Settings
{
    LABEL [MC_Tab_advanced];
    ITEMS
    {
        Group_AI_6_Set_Alarm_Warning_Limits,
        Group_AI_6_Set_Fail_Safe_Values,
        SEPARATOR,
        method_set
    }
}

MENU Group_AI_6_Set_Alarm_Warning_Limits
{
    LABEL [MC_Set_Alarm_Warning_Limits];
    ITEMS
    {
        func1_AI_6_lo_lo_lim,
        func1_AI_6_lo_lim,
        func1_AI_6_hi_lim,
        func1_AI_6_hi_hi_lim,
        func1_AI_6_alarm_hys,
        func1_AI_6_out_unit  (READ_ONLY)
//        SEPARATOR,
//        method_write_AI_6_Set_Alarm_Warning_Limits
    }
}

MENU Group_AI_6_Set_Fail_Safe_Values
{
    LABEL [MC_Set_Fail_Safe_Values];
    ITEMS
    {
        func1_AI_6_FSafeType,
        func1_AI_6_FSafeValue
//        SEPARATOR,
//        method_write_AI_6_Set_Fail_Safe_Values
    }
}

MENU Page_AI_6_Batch_Info
{
    LABEL [MC_Batch_Info];
    ITEMS
    {
        Group_AI_6_Define_Batch_Information,
        SEPARATOR,
        method_set
    }
}

MENU Group_AI_6_Define_Batch_Information
{
    LABEL [MC_Define_Batch_Info];
    ITEMS
    {
        func1_AI_6_batch_id,
        func1_AI_6_batch_unit,
        func1_AI_6_batch_operation,
        func1_AI_6_batch_phase
//        SEPARATOR,
//        method_write_func1_AI_6_batch_information
    }
}

/*---------------------------------------------------------------------*/
/*    Function Block 6: Analog Input - 6(Table - Specialist)           */
/*---------------------------------------------------------------------*/

MENU Tab_s_AI_6
{
    LABEL        [func6_AI];
    ITEMS
    {
        func1_AI_6_st_rev
        Tab_s_AI_6_basic,
        Tab_s_AI_6_advanced
    }
}

MENU Tab_s_AI_6_basic
{
    LABEL        [MC_Tab_basic];
    ITEMS
    {
        Tab_s_AI_6_target_mode,
        Tab_s_AI_6_channel,
        Tab_s_func1_AI_6_pv_range,
        Tab_s_AI_6_outscale,
        Tab_s_AI_6_filter
    }
}

MENU Tab_s_AI_6_target_mode
{
    LABEL        [MC_Tab_mode_ai];
    ITEMS
    {
        func1_AI_6_target_mode,
        func1_AI_6_actual_mode,
        func1_AI_6_permitted_mode,
        func1_AI_6_normal_mode
    }
}

MENU Tab_s_AI_6_channel
{
    LABEL        [MC_Tab_channel];
    ITEMS
    {
        func1_AI_6_channel
    }
}

MENU Tab_s_func1_AI_6_pv_range
{
    LABEL        [menu_input_measwindow];
    ITEMS
    {
        func1_AI_6_pv_lower_range_value,
        func1_AI_6_pv_upper_range_value
    }
}

MENU Tab_s_AI_6_outscale
{
    LABEL        [MC_Tab_outscale_ai];
    ITEMS
    {
        func1_AI_6_out_lower_range_value,
        func1_AI_6_out_upper_range_value,
        func1_AI_6_out_unit,
        func1_AI_6_out_decimal_point
    }
}

MENU Tab_s_AI_6_filter
{
    LABEL        [MC_Tab_filter_ai];
    ITEMS
    {
        func1_AI_6_pv_ftime
    }
}

MENU Tab_s_AI_6_advanced
{
    LABEL        [MC_Tab_advanced];
    ITEMS
    {
        Tab_s_func1_AI_6_limits,
        Tab_s_func1_AI_6_FSafe,
        Tab_s_func1_AI_6_batch
    }
}

MENU Tab_s_func1_AI_6_limits
{
    LABEL        [menu_output_limits];
    ITEMS
    {
        func1_AI_6_lo_lo_lim,
        func1_AI_6_lo_lim,
        func1_AI_6_hi_lim,
        func1_AI_6_hi_hi_lim,
        func1_AI_6_alarm_hys
    }
}

MENU Tab_s_func1_AI_6_FSafe
{
    LABEL        [menu_fail_safe];
    ITEMS
    {
        func1_AI_6_FSafeType,
        func1_AI_6_FSafeValue
    }
}

MENU Tab_s_func1_AI_6_batch
{
    LABEL        [menu_ident_batch_info];
    ITEMS
    {
        func1_AI_6_batch_id,
        func1_AI_6_batch_unit,
        func1_AI_6_batch_operation,
        func1_AI_6_batch_phase
    }
}
/*---------------------------------------------------------------------*/
/*    Function Block 6: Analog Input - 6(Table - Maintenance)          */
/*---------------------------------------------------------------------*/
MENU Tab_m_AI_6
{
    LABEL        [func6_AI];
    ITEMS
    {
        func1_AI_6_st_rev,
        Tab_m_AI_6_basic,
        Tab_m_AI_6_advanced
    }
}

MENU Tab_m_AI_6_basic
{
    LABEL        [MC_Tab_basic];
    ITEMS
    {
        Tab_m_AI_6_target_mode,
        Tab_m_AI_6_channel,
        Tab_m_func1_AI_6_pv_range,
        Tab_m_AI_6_outscale,
        Tab_m_AI_6_filter
    }
}

MENU Tab_m_AI_6_target_mode
{
    LABEL        [MC_Tab_mode_ai];
    ITEMS
    {
        func1_AI_6_target_mode    (READ_ONLY),
        func1_AI_6_actual_mode,
        func1_AI_6_permitted_mode,
        func1_AI_6_normal_mode
    }
}

MENU Tab_m_AI_6_channel
{
    LABEL        [MC_Tab_channel];
    ITEMS
    {
        func1_AI_6_channel        (READ_ONLY)
    }
}

MENU Tab_m_func1_AI_6_pv_range
{
    LABEL        [menu_input_measwindow];
    ITEMS
    {
        func1_AI_6_pv_lower_range_value   (READ_ONLY),
        func1_AI_6_pv_upper_range_value   (READ_ONLY)
    }
}

MENU Tab_m_AI_6_outscale
{
    LABEL        [MC_Tab_outscale_ai];
    ITEMS
    {
        func1_AI_6_out_lower_range_value  (READ_ONLY),
        func1_AI_6_out_upper_range_value  (READ_ONLY),
        func1_AI_6_out_unit               (READ_ONLY),
        func1_AI_6_out_decimal_point
    }
}

MENU Tab_m_AI_6_filter
{
    LABEL        [MC_Tab_filter_ai];
    ITEMS
    {
        func1_AI_6_pv_ftime           (READ_ONLY)
    }
}

MENU Tab_m_AI_6_advanced
{
    LABEL        [MC_Tab_advanced];
    ITEMS
    {
        Tab_m_func1_AI_6_limits,
        Tab_m_func1_AI_6_FSafe,
        Tab_m_func1_AI_6_batch
    }
}

MENU Tab_m_func1_AI_6_limits
{
    LABEL        [menu_output_limits];
    ITEMS
    {
        func1_AI_6_lo_lo_lim  (READ_ONLY),
        func1_AI_6_lo_lim     (READ_ONLY),
        func1_AI_6_hi_lim     (READ_ONLY),
        func1_AI_6_hi_hi_lim  (READ_ONLY),
        func1_AI_6_alarm_hys  (READ_ONLY)
    }
}

MENU Tab_m_func1_AI_6_FSafe
{
    LABEL        [menu_fail_safe];
    ITEMS
    {
        func1_AI_6_FSafeType  (READ_ONLY),
        func1_AI_6_FSafeValue (READ_ONLY)
    }
}

MENU Tab_m_func1_AI_6_batch
{
    LABEL        [menu_ident_batch_info];
    ITEMS
    {
        func1_AI_6_batch_id,
        func1_AI_6_batch_unit,
        func1_AI_6_batch_operation,
        func1_AI_6_batch_phase
    }
}

METHOD method_AI_6_target_mode
{
    LABEL [MC_method_target_mode];
    DEFINITION
    {
        WriteCommand (write_func1_AI_6_target_mode);
    }
}

METHOD method_write_func1_AI_6_channel
{
    LABEL [MC_Write];
    DEFINITION
    {
        WriteCommand(write_func1_AI_6_channel);
        ReadCommand(read_func1_AI_6_channel);
    }
}

METHOD method_write_func1_AI_6_pv
{
    LABEL [MC_Write];
    DEFINITION
    {
        WriteCommand(write_func1_AI_6_pv);
        ReadCommand(read_func1_AI_6_pv);
    }
}

METHOD method_write_func1_AI_6_out_scale
{
    LABEL [MC_Write];
    DEFINITION
    {
        WriteCommand(write_func1_AI_6_out_scale);
        ReadCommand(read_func1_AI_6_out_scale);
    }
}

METHOD method_write_func1_AI_6_pv_ftime
{
    LABEL [MC_Write];
    DEFINITION
    {
        WriteCommand(write_func1_AI_6_pv_ftime);
        ReadCommand(read_func1_AI_6_pv_ftime);
    }
}

METHOD method_write_AI_6_Set_Alarm_Warning_Limits
{
    LABEL [MC_Write];
    DEFINITION
    {
        WriteCommand(write_func1_AI_6_lo_lo_lim);
        WriteCommand(write_func1_AI_6_lo_lim);
        WriteCommand(write_func1_AI_6_hi_lim);
        WriteCommand(write_func1_AI_6_hi_hi_lim);
        WriteCommand(write_func1_AI_6_alarm_hys);
        ReadCommand(read_func1_AI_6_lo_lo_lim);
        ReadCommand(read_func1_AI_6_lo_lim);
        ReadCommand(read_func1_AI_6_hi_lim);
        ReadCommand(read_func1_AI_6_hi_hi_lim);
        ReadCommand(read_func1_AI_6_alarm_hys);
    }
}

METHOD method_write_AI_6_Set_Fail_Safe_Values
{
    LABEL [MC_Write];
    DEFINITION
    {
        WriteCommand(write_func1_AI_6_FSafeType);
        WriteCommand(write_func1_AI_6_FSafeValue);
        ReadCommand(read_func1_AI_6_FSafeType);
        ReadCommand(read_func1_AI_6_FSafeValue);
    }
}

METHOD method_write_func1_AI_6_batch_information
{
    LABEL [MC_Write];
    DEFINITION
    {
        WriteCommand(write_func1_AI_6_batch_information);
        ReadCommand(read_func1_AI_6_batch_information);
    }
}

