/***********************************************************************/
/*    Transducer Block 7                                               */
/***********************************************************************/

BLOCK trans1_TT_7
{
    TYPE    TRANSDUCER;
    NUMBER    7;
}

trans1_TT_7_blk_reserve                            LIKE VARIABLE    phys_blk_reserve
{
}

VARIABLE trans1_TT_7_blk_object
{
    LABEL       [blk_block_object];
    HELP        [blk_block_object_help];
    CLASS       DEVICE;
    HANDLING    READ;
    TYPE        ENUMERATED(1)
    {
        {    3,    [blk_block_object_TRANSDUCER]        }
    }
}

VARIABLE trans1_TT_7_blk_parent_class
{
    LABEL       [blk_parent_class];
    HELP        [trans_blk_parent_class_help];
    CLASS       DEVICE;
    HANDLING    READ;
    TYPE        ENUMERATED(1)
    {
        {    2,    [trans_blk_parent_class_TEMP]    }
    }
}

VARIABLE trans1_TT_7_blk_class
{
    LABEL       [blk_class];
    HELP        [trans_blk_class_help];
    CLASS       DEVICE;
    HANDLING    READ;
    TYPE        ENUMERATED(1)
    {
        DEFAULT_VALUE    18;
        {    1,      [trans_temp_blk_class_TC]     },
        {    2,      [trans_temp_blk_class_RTD]    },
        {    3,      [trans_temp_blk_class_PYR]    },
        {    16,     "TC + DC U"                   },
        {    17,     "RTD + R"                     },
        {    18,     "TC + RTD + R + DC U"         },
        {    250,    [not_used]                    },
        {    251,    [none]                        },
        {    252,    [unknown]                     },
        {    253,    [special]                     }
    }
}

trans1_TT_7_blk_dd_reference                      LIKE VARIABLE    phys_blk_dd_reference
{
}

trans1_TT_7_blk_dd_rev                            LIKE VARIABLE    phys_blk_dd_rev
{
}

trans1_TT_7_blk_profile                           LIKE VARIABLE    phys_blk_profile
{
}

trans1_TT_7_blk_profile_rev                       LIKE VARIABLE    phys_blk_profile_rev
{
}

trans1_TT_7_blk_execution_time                    LIKE VARIABLE    phys_blk_execution_time
{
}

trans1_TT_7_blk_num_parameters                    LIKE VARIABLE    phys_blk_num_parameters
{
}

trans1_TT_7_blk_index_view_1                      LIKE VARIABLE    phys_blk_index_view_1
{
}

trans1_TT_7_blk_num_view_lists                    LIKE VARIABLE    phys_blk_num_view_lists
{
}

trans1_TT_7_st_rev                                LIKE VARIABLE    phys_st_rev
{
}

trans1_TT_7_tag_desc                              LIKE VARIABLE    phys_tag_desc
{
    REDEFINE LABEL        [MC_trans7_tag_desc];        
}

trans1_TT_7_strategy                              LIKE VARIABLE    phys_strategy
{
}

trans1_TT_7_alert_key                             LIKE VARIABLE    phys_alert_key
{
}

trans1_TT_7_target_mode                           LIKE VARIABLE    phys_target_mode
{
}

trans1_TT_7_actual_mode                           LIKE VARIABLE    phys_actual_mode
{
}

trans1_TT_7_permitted_mode                        LIKE VARIABLE    phys_permitted_mode
{
}

trans1_TT_7_normal_mode                           LIKE VARIABLE    phys_normal_mode
{
}

trans1_TT_7_current_state_alarm_sum               LIKE VARIABLE    phys_current_state_alarm_sum
{
}

trans1_TT_7_unacknowledged_state_alarm_sum        LIKE VARIABLE    phys_unacknowledged_state_alarm_sum
{
}

trans1_TT_7_unreported_state_alarm_sum            LIKE VARIABLE    phys_unreported_state_alarm_sum
{
}

trans1_TT_7_disabled_state_alarm_sum              LIKE VARIABLE    phys_disabled_state_alarm_sum
{
}


/*---------------------------------------------------------------------*/
/*    Transducer Block: Temperature Transmitter                        */
/*---------------------------------------------------------------------*/

VARIABLE trans1_TT_7_lin_type             /* index 14 */
{
    LABEL       [trans_lin_type];
    HELP        [trans_lin_type_help];
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    102;
        { 0,      [linear]           },
        { 102,    [RTD_Pt100]        },
        { 105,    [RTD_Pt1000]       },
        { 240,    [MC_RTD_Cu50]      },
        { 127,    [RTD_Cu100]        },

        { 128,    [TC_type_B]        },
        { 131,    [TC_type_E]        },
        { 133,    [TC_type_J]        },
        { 134,    [TC_type_K]        },
        { 135,    [TC_type_N]        },
        { 136,    [TC_type_R]        },
        { 137,    [TC_type_S]        },
        { 138,    [TC_type_T]        }
    }
    POST_EDIT_ACTIONS
    {
        method_tt_7_lin_type
    }
}

VARIABLE trans1_TT_7_primary_value
{
    LABEL       [trans_value];
    HELP        [trans_temp_value_help];
    CLASS       DEVICE & DYNAMIC;
    HANDLING    READ;
    CONSTANT_UNIT SELECT (trans1_TT_7_primary_value_unit) {CASE 1000: [unit_1000];CASE 1001: [unit_1001];CASE 1002: [unit_1002];CASE 1003: [unit_1003];CASE 1243: [unit_1243];CASE 1281: [unit_1281];}
    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".2f";
    }
}

VARIABLE trans1_TT_7_primary_value_status_quality
{
    LABEL       [status_quality];
    HELP        [value_status_help];
    CLASS       DEVICE & DYNAMIC;
    HANDLING    READ;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    0;
        STATUS_OUTPUT_NO_RCAS
    }
}

trans1_TT_7_primary_value_status_limit            LIKE VARIABLE    trans1_TT_7_primary_value_status_quality
{
    REDEFINE LABEL       [status_limit];        
    REDEFINE TYPE        ENUMERATED (1)
    {
        STATUS_OUTPUT_LIMIT
    }
}

VARIABLE trans1_TT_7_primary_value_unit
{
    LABEL       [digital_units];
    HELP        [MC_digital_units_help];
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        ENUMERATED (2)
    {
        IF (trans1_TT_7_lin_type==0 && trans1_TT_8_input_range==0)
        {
            { 1243, [unit_1243],    [unit_1243_help] }
        }
        ELSE
        {
            IF (trans1_TT_7_lin_type==0 && (trans1_TT_7_input_range==128 || trans1_TT_7_input_range==129))
            {
                { 1281, [unit_1281],    [unit_1281_help] }
            }
            ELSE
            {
                IF (trans1_TT_7_lin_type>0)
                {
                    { 1000, [unit_1000],    [unit_1000_help] },
                    { 1001, [unit_1001],    [unit_1001_help] },
                    { 1002, [unit_1002],    [unit_1002_help] },
                    { 1003, [unit_1003],    [unit_1003_help] }
                }
            }
        }
    }
    DEFAULT_VALUE IF (trans1_TT_7_lin_type == 0){1281;} ELSE {1001;}
    POST_EDIT_ACTIONS
    {
        method_TT_7_primary_value_unit
    }
    POST_WRITE_ACTIONS
    {
        method_TT_7_post_write_read_device_values
    }
}

VARIABLE trans1_TT_7_secondary_value_1
{
    LABEL       "SV1 ( Channel 7 )";
    HELP        "Process temperature connected to channel 7 (T7).";
    CLASS       DEVICE & DYNAMIC;
    HANDLING    READ;
    CONSTANT_UNIT SELECT (trans1_TT_7_primary_value_unit) {CASE 1000: [unit_1000];CASE 1001: [unit_1001];CASE 1002: [unit_1002];CASE 1003: [unit_1003];CASE 1243: [unit_1243];CASE 1281: [unit_1281];}
    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".2f";
    }
}

VARIABLE trans1_TT_7_secondary_value_1_status_quality
{
    LABEL       [status_quality];
    HELP        [value_status_help];
    CLASS       DEVICE & DYNAMIC;
    HANDLING    READ;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    0;
        STATUS_OUTPUT_NO_RCAS
    }
}

trans1_TT_7_secondary_value_1_status_limit        LIKE VARIABLE    trans1_TT_7_secondary_value_1_status_quality
{
    REDEFINE LABEL       [status_limit];        
    REDEFINE TYPE        ENUMERATED (1)
    {
        STATUS_OUTPUT_LIMIT
    }
}

VARIABLE trans1_TT_7_secondary_value_2
{
    LABEL       "SV2 ( Channel 8 )";
    HELP        "Process temperature connected to channel 8 (T8).";
    CLASS       DEVICE & DYNAMIC;
    HANDLING    READ;
    CONSTANT_UNIT SELECT (trans1_TT_7_primary_value_unit) {CASE 1000: [unit_1000];CASE 1001: [unit_1001];CASE 1002: [unit_1002];CASE 1003: [unit_1003];CASE 1243: [unit_1243];CASE 1281: [unit_1281];}
    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".2f";
    }
}

VARIABLE trans1_TT_7_secondary_value_2_status_quality
{
    LABEL       [status_quality];
    HELP        [value_status_help];
    CLASS       DEVICE & DYNAMIC;
    HANDLING    READ;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    0;
        STATUS_OUTPUT_NO_RCAS
    }
}

trans1_TT_7_secondary_value_2_status_limit            LIKE VARIABLE    trans1_TT_7_secondary_value_2_status_quality
{
    REDEFINE LABEL       [status_limit];        
    REDEFINE TYPE        ENUMERATED (1)
    {
        STATUS_OUTPUT_LIMIT
    }
}

VARIABLE trans1_TT_7_sensor_measure_type
{
    LABEL       [trans_temp_sensor_measure_type];
    HELP        [trans_temp_sensor_measure_type_help];
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE  0;
        {   0,      "PV = T7"  },
        /*{   1,      "PV = T8"  },*/
        IF (trans1_TT_7_primary_value_unit == trans1_TT_8_primary_value_unit)
        {
	        {   128,    "PV = T7 - T8"  },
            {   129,    "PV = T8 - T7"  },
            {   192,    "PV = 0.5x( T7 + T8 )"}
        }
    }
}

VARIABLE trans1_TT_7_input_range
{
    LABEL       [trans_temp_input_range];
    HELP        [trans_temp_input_range_help];
    CLASS       DEVICE;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    128;
        {    0,      [MC_100MV]          },
        {    128,    [MC_500Ohm]         },
        {    129,    [MC_4000Ohm]        }
    }
    HANDLING    IF (trans1_TT_7_lin_type == 0)
                {   
                    READ & WRITE;
                }
                ELSE
                {
                    READ;
                }
    POST_EDIT_ACTIONS
    {
        method_tt_7_input_range
    }
}

VARIABLE trans1_TT_7_bias_1
{
    LABEL       "Bias of Channel 7";
    HELP        "Bias of Channel 7";
    CLASS       DEVICE;
    CONSTANT_UNIT SELECT (trans1_TT_7_primary_value_unit) {CASE 1000: [unit_1000];CASE 1001: [unit_1001];CASE 1002: [unit_1002];CASE 1003: [unit_1003];CASE 1243: [unit_1243];CASE 1281: [unit_1281];}
    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".2f";
        DEFAULT_VALUE    0.0;
    }
    HANDLING    READ & WRITE;
}

VARIABLE trans1_TT_7_bias_2
{
    LABEL       "Bias of Channel 8";
    HELP        "Bias of Channel 8";
    CLASS       DEVICE;
    CONSTANT_UNIT SELECT (trans1_TT_7_primary_value_unit) {CASE 1000: [unit_1000];CASE 1001: [unit_1001];CASE 1002: [unit_1002];CASE 1003: [unit_1003];CASE 1243: [unit_1243];CASE 1281: [unit_1281];}
    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".2f";
        DEFAULT_VALUE    0.0;
    }
    HANDLING    IF (trans1_TT_7_sensor_measure_type == 0)
                {
                    READ;
                }
                ELSE
                {
                    READ & WRITE;
                }
}

VARIABLE trans1_TT_7_upper_sensor_limit
{
    LABEL       [trans_sensor_upper_limit];
    HELP        [trans_sensor_upper_limit_help];
    CLASS       DEVICE;
    CONSTANT_UNIT SELECT (trans1_TT_7_primary_value_unit) {CASE 1000: [unit_1000];CASE 1001: [unit_1001];CASE 1002: [unit_1002];CASE 1003: [unit_1003];CASE 1243: [unit_1243];CASE 1281: [unit_1281];}
    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".2f";
        DEFAULT_VALUE    850.00;
    }
    HANDLING    READ;
}

VARIABLE trans1_TT_7_lower_sensor_limit
{
    LABEL       [trans_sensor_lower_limit];
    HELP        [trans_sensor_lower_limit_help];
    CLASS       DEVICE;
    CONSTANT_UNIT SELECT (trans1_TT_7_primary_value_unit) {CASE 1000: [unit_1000];CASE 1001: [unit_1001];CASE 1002: [unit_1002];CASE 1003: [unit_1003];CASE 1243: [unit_1243];CASE 1281: [unit_1281];}
    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".2f";
        DEFAULT_VALUE    -200.00;
    }
    HANDLING    READ;
}

VARIABLE trans1_TT_7_input_fault_gen
{
    LABEL       [trans_temp_input_fault];
    HELP        [trans_temp_input_fault_help];
    CLASS       DEVICE & DYNAMIC;
    HANDLING    READ;
    TYPE        BIT_ENUMERATED (1)
    {
        { 0x00,    [trans_temp_input_fault_OK]            },
        { 0x01,    [trans_temp_input_fault_RJ_ERR]        },
        { 0x02,    [trans_temp_input_fault_HW_ERR]        },
        { 0X40,    [MC_Comm_Err]                          }
    }
}

VARIABLE trans1_TT_7_input_fault_1
{
    LABEL       "Channel 7 fault";
    HELP        "Channel 7 fault";
    CLASS       DEVICE & DYNAMIC;
    HANDLING    READ;
    TYPE        BIT_ENUMERATED (1)
    {
        { 0x00,    [trans_temp_input_fault_OK]                },
        /*{ 0x01,    [trans_temp_input_fault_UNDERRANGE]        },
        { 0x02,    [trans_temp_input_fault_OVERRANGE]        },*/
        { 0x04,    [trans_temp_input_fault_LEAD_BREAK]        },
        /*{ 0x08,    [trans_temp_input_fault_SHORT_CIRCUIT]    },*/
        { 0X40,    [MC_Comm_Err]                              }
    }
    STYLE       "MULTILINE 16 2" ;
}

VARIABLE trans1_TT_7_input_fault_2
{
    LABEL       "Channel 8 fault";
    HELP        "Channel 8 fault";
    CLASS       DEVICE & DYNAMIC;
    HANDLING    READ;
    TYPE        BIT_ENUMERATED (1)
    {
        { 0x00,    [trans_temp_input_fault_OK]                },
        /*{ 0x01,    [trans_temp_input_fault_UNDERRANGE]        },
        { 0x02,    [trans_temp_input_fault_OVERRANGE]        },*/
        { 0x04,    [trans_temp_input_fault_LEAD_BREAK]        },
        /*{ 0x08,    [trans_temp_input_fault_SHORT_CIRCUIT]    },*/
        { 0X40,    [MC_Comm_Err]                              }
    }
    STYLE       "MULTILINE 16 2" ;
}

VARIABLE trans1_TT_7_external_rj_value
{
    LABEL       [trans_temp_external_rj_value];
    HELP        [trans_temp_external_rj_value_help];
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".2f";
    }
}

VARIABLE trans1_TT_7_rj_temp
{
    LABEL       [trans_temp_rj_temp];
    HELP        [trans_temp_rj_temp_help];
    CLASS       DEVICE & DYNAMIC;
    HANDLING    READ;
    CONSTANT_UNIT SELECT (trans1_TT_7_primary_value_unit) {CASE 1000: [unit_1000];CASE 1001: [unit_1001];CASE 1002: [unit_1002];CASE 1003: [unit_1003];CASE 1243: [unit_1001];CASE 1281: [unit_1001];}
    TYPE        FLOAT
    {
        DEFAULT_VALUE 0.0;
        DISPLAY_FORMAT ".2f";
//        MIN_VALUE SELECT (trans1_TT_1_primary_value_unit) {CASE 1000: 233.15;CASE 1001: -40.0;CASE 1002: -40.0;CASE 1003: 419.67;}
//        MAX_VALUE SELECT (trans1_TT_1_primary_value_unit) {CASE 1000: 385.15;CASE 1001: 85.0;CASE 1002: 185.0;CASE 1003: 644.67;}
    }
}

VARIABLE trans1_TT_7_rj_type
{
    LABEL       [trans_temp_rj_type];
    HELP        [trans_temp_rj_type_help];
    CLASS       DEVICE;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    1;
        {    0,        [MC_trans_temp_rj_type_NONE]   },
        {    1,        [MC_trans_temp_rj_type_INT]    }
    }
    HANDLING    IF ((trans1_TT_7_lin_type == 102) || (trans1_TT_7_lin_type == 105) || 
                    (trans1_TT_7_lin_type == 240) || (trans1_TT_7_lin_type == 127) ||
                    (trans1_TT_7_lin_type == 0))
                {
                    READ;
                }
                ELSE
                {
                    READ & WRITE;
                }
}

/*---------------------------------------------------------------------*/
/*    Transducer Block: Thermoresistance Temperature Device (RTD)       */
/*---------------------------------------------------------------------*/

VARIABLE trans1_TT_7_sensor_connection
{
    LABEL       [trans_temp_sensor_connection];
    HELP        [trans_temp_sensor_connection_help];
    CLASS       DEVICE;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    1;
        {    0,    [trans_temp_sensor_connection_2_WIRE]        },
        {    1,    [trans_temp_sensor_connection_3_WIRE]        }
    /*    {    2,    [trans_temp_sensor_connection_4_WIRE]        }  */
    }
    HANDLING    IF ((trans1_TT_7_lin_type == 102) || (trans1_TT_7_lin_type == 105) || 
                    (trans1_TT_7_lin_type == 240) || (trans1_TT_7_lin_type == 127) ||
                    (trans1_TT_7_lin_type == 0))
                {   
                    READ & WRITE;
                }
                ELSE
                {
                    READ;
                }
}

/*---------------------------------------------------------------------*/
/*    Transducer Block: user defined                                   */
/*---------------------------------------------------------------------*/
VARIABLE trans1_TT_7_Cal_Point_Hi
{
    LABEL       [trans_cal_point_hi];
    HELP        [trans_cal_point_hi_help];
    CLASS       DEVICE;
    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".2f";
        DEFAULT_VALUE    850.00;
    }
    HANDLING    READ & WRITE;
}

VARIABLE trans1_TT_7_Cal_Point_Lo
{
    LABEL       [trans_cal_point_lo];
    HELP        [trans_cal_point_lo_help];
    CLASS       DEVICE;
    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".2f";
        DEFAULT_VALUE    -200.00;
    }
    HANDLING    READ & WRITE;
}

VARIABLE trans1_TT_7_Cal_Min_Span
{
    LABEL       [trans_cal_min_span];
    HELP        [trans_cal_min_span_help];
    CLASS       DEVICE;
    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".2f";
        DEFAULT_VALUE    0.0;
    }
    HANDLING    READ & WRITE;
}

VARIABLE trans1_TT_7_Cal_Unit
{
    LABEL       [trans_cal_unit];
    HELP        [trans_cal_unit_help];
    CLASS       DEVICE;
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE    1001;
        { 1001, [unit_1001],    [unit_1001_help] },
        { 1243, [unit_1243],    [unit_1243_help] },
        { 1281, [unit_1281],    [unit_1281_help] }
    }
    HANDLING    READ & WRITE;
}

VARIABLE trans1_TT_7_Sensor_Value_1
{
    LABEL       [MC_Sensor_Value_1];
    HELP        [MC_Sensor_Value_1];
    CLASS       DEVICE;
    HANDLING    READ;
    CONSTANT_UNIT SELECT (trans1_TT_7_primary_value_unit) {CASE 1000: [unit_1000];CASE 1001: [unit_1001];CASE 1002: [unit_1002];CASE 1003: [unit_1003];CASE 1243: [unit_1243];CASE 1281: [unit_1281];}
    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".2f";
        DEFAULT_VALUE    0.0;
    }
}

VARIABLE trans1_TT_7_Sensor_Value_2
{
    LABEL       [MC_Sensor_Value_2];
    HELP        [MC_Sensor_Value_2];
    CLASS       DEVICE;
    HANDLING    READ;
    CONSTANT_UNIT SELECT (trans1_TT_7_primary_value_unit) {CASE 1000: [unit_1000];CASE 1001: [unit_1001];CASE 1002: [unit_1002];CASE 1003: [unit_1003];CASE 1243: [unit_1243];CASE 1281: [unit_1281];}
    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".2f";
        DEFAULT_VALUE    0.0;
    }
}

VARIABLE trans1_TT_7_Two_Wires_Comp
{
    LABEL       [MC_two_wires_compe];
    HELP        [MC_two_wires_compe];
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    1;
        {    0,    "finished"    },
        {    1,    "Start"       }
    }
}





/***********************************************************************/
/*    Unit relations                                                   */
/***********************************************************************/

/* Temperature Transducer Block */
UNIT TB_7_CAL_UNIT
{
    trans1_TT_7_Cal_Unit:

    trans1_TT_7_Cal_Point_Hi,
    trans1_TT_7_Cal_Point_Lo,
    trans1_TT_7_Cal_Min_Span
}

//UNIT TB_2_CAL_UNIT
//{
//    trans1_TT_2_Cal_Unit:
//
//    trans1_TT_2_Cal_Point_Hi,
//    trans1_TT_2_Cal_Point_Lo,
//    trans1_TT_2_Cal_Min_Span
//}

/*---------------------------------------------------------------------*/
/*    Commands  Tranducer - 7                                          */
/*---------------------------------------------------------------------*/
COMMAND read_trans1_TT_7_blk
{
    BLOCK trans1_TT_7;
    INDEX 0;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_blk_reserve,
            trans1_TT_7_blk_object,
            trans1_TT_7_blk_parent_class,
            trans1_TT_7_blk_class,
            trans1_TT_7_blk_dd_reference,
            trans1_TT_7_blk_dd_rev,
            trans1_TT_7_blk_profile,
            trans1_TT_7_blk_profile_rev,
            trans1_TT_7_blk_execution_time,
            trans1_TT_7_blk_num_parameters,
            trans1_TT_7_blk_index_view_1,
            trans1_TT_7_blk_num_view_lists
        }
    }
}

COMMAND read_trans1_TT_7_st_rev
{
    BLOCK trans1_TT_7;
    INDEX 1;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_st_rev
        }
    }
}

COMMAND read_trans1_TT_7_tag_desc
{
    BLOCK trans1_TT_7;
    INDEX 2;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_tag_desc
        }
    }
}

COMMAND write_trans1_TT_7_tag_desc
{
    BLOCK trans1_TT_7;
    INDEX 2;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_TT_7_tag_desc
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_TT_7_strategy
{
    BLOCK trans1_TT_7;
    INDEX 3;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_strategy
        }
    }
}

COMMAND write_trans1_TT_7_strategy
{
    BLOCK trans1_TT_7;
    INDEX 3;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_TT_7_strategy
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_TT_7_alert_key
{
    BLOCK trans1_TT_7;
    INDEX 4;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_alert_key
        }
    }
}

COMMAND write_trans1_TT_7_alert_key
{
    BLOCK trans1_TT_7;
    INDEX 4;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_TT_7_alert_key
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_TT_7_target_mode
{
    BLOCK trans1_TT_7;
    INDEX 5;
    OPERATION  READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_target_mode
        }
    }
}

COMMAND write_trans1_TT_7_target_mode
{
    BLOCK trans1_TT_7;
    INDEX 5;
    OPERATION  WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_TT_7_target_mode
        }
        REPLY
        {
        }
    }
}


COMMAND read_trans1_TT_7_mode
{
    BLOCK trans1_TT_7;
    INDEX 6;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_actual_mode,
            trans1_TT_7_permitted_mode,
            trans1_TT_7_normal_mode
        }
    }
}

COMMAND read_trans1_TT_7_alarm
{
    BLOCK trans1_TT_7;
    INDEX 7;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_current_state_alarm_sum,
            trans1_TT_7_unacknowledged_state_alarm_sum,
            trans1_TT_7_unreported_state_alarm_sum,
            trans1_TT_7_disabled_state_alarm_sum
        }
    }
}

COMMAND read_trans1_TT_7_primary_value
{
    BLOCK trans1_TT_7;
    INDEX 8;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_primary_value,
            trans1_TT_7_primary_value_status_quality    <0xFC>,
            trans1_TT_7_primary_value_status_limit    <0x03>
        }
    }
}

COMMAND read_trans1_TT_7_primary_value_unit
{
    BLOCK trans1_TT_7;
    INDEX 9;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_primary_value_unit
        }
    }
}

COMMAND write_trans1_TT_7_primary_value_unit
{
    BLOCK trans1_TT_7;
    INDEX 9;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_TT_7_primary_value_unit
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_TT_7_secondary_value_1
{
    BLOCK trans1_TT_7;
    INDEX 10;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_secondary_value_1,
            trans1_TT_7_secondary_value_1_status_quality    <0xFC>,
            trans1_TT_7_secondary_value_1_status_limit    <0x03>
        }
    }
}

COMMAND read_trans1_TT_7_secondary_value_2
{
    BLOCK trans1_TT_7;
    INDEX 11;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_secondary_value_2,
            trans1_TT_7_secondary_value_2_status_quality    <0xFC>,
            trans1_TT_7_secondary_value_2_status_limit    <0x03>
        }
    }
}

COMMAND read_trans1_TT_7_sensor_measure_type
{
    BLOCK trans1_TT_7;
    INDEX 12;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_sensor_measure_type
        }
    }
}

COMMAND write_trans1_TT_7_sensor_measure_type
{
    BLOCK trans1_TT_7;
    INDEX 12;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_TT_7_sensor_measure_type
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_TT_7_input_range
{
    BLOCK trans1_TT_7;
    INDEX 13;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_input_range
        }
    }
}

COMMAND write_trans1_TT_7_input_range
{
    BLOCK trans1_TT_7;
    INDEX 13;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_TT_7_input_range
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_TT_7_lin_type
{
    BLOCK trans1_TT_7;
    INDEX 14;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_lin_type
        }
    }
}

COMMAND write_trans1_TT_7_lin_type
{
    BLOCK trans1_TT_7;
    INDEX 14;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_TT_7_lin_type
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_TT_7_bias_1
{
    BLOCK trans1_TT_7;
    INDEX 19;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_bias_1
        }
    }
}

COMMAND write_trans1_TT_7_bias_1
{
    BLOCK trans1_TT_7;
    INDEX 19;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_TT_7_bias_1
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_TT_7_bias_2
{
    BLOCK trans1_TT_7;
    INDEX 20;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_bias_2
        }
    }
}

COMMAND write_trans1_TT_7_bias_2
{
    BLOCK trans1_TT_7;
    INDEX 20;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_TT_7_bias_2
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_TT_7_upper_sensor_limit
{
    BLOCK trans1_TT_7;
    INDEX 21;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_upper_sensor_limit
        }
    }
}

COMMAND read_trans1_TT_7_lower_sensor_limit
{
    BLOCK trans1_TT_7;
    INDEX 22;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_lower_sensor_limit
        }
    }
}

COMMAND read_trans1_TT_7_input_fault_gen
{
    BLOCK trans1_TT_7;
    INDEX 24;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_input_fault_gen
        }
    }
}

COMMAND read_trans1_TT_7_input_fault_1
{
    BLOCK trans1_TT_7;
    INDEX 25;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_input_fault_1
        }
    }
}

COMMAND read_trans1_TT_7_input_fault_2
{
    BLOCK trans1_TT_7;
    INDEX 26;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_input_fault_2
        }
    }
}

COMMAND read_trans1_TT_7_rj_temp
{
    BLOCK trans1_TT_7;
    INDEX 33;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_rj_temp
        }
    }
}

COMMAND read_trans1_TT_7_rj_type
{
    BLOCK trans1_TT_7;
    INDEX 34;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_rj_type
        }
    }
}

COMMAND write_trans1_TT_7_rj_type
{
    BLOCK trans1_TT_7;
    INDEX 34;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_TT_7_rj_type
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_TT_7_external_rj_value
{
    BLOCK trans1_TT_7;
    INDEX 35;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_external_rj_value
        }
    }
}

COMMAND write_trans1_TT_7_external_rj_value
{
    BLOCK trans1_TT_7;
    INDEX 35;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_TT_7_external_rj_value
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_TT_7_sensor_connection
{
    BLOCK trans1_TT_7;
    INDEX 36;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_sensor_connection
        }
    }
}

COMMAND write_trans1_TT_7_sensor_connection
{
    BLOCK trans1_TT_7;
    INDEX 36;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_TT_7_sensor_connection
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_TT_7_Cal_Point_Hi
{
    BLOCK trans1_TT_7;
    INDEX 62;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_Cal_Point_Hi
        }
    }
}

COMMAND write_trans1_TT_7_Cal_Point_Hi
{
    BLOCK trans1_TT_7;
    INDEX 62;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_TT_7_Cal_Point_Hi
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_TT_7_Cal_Point_Lo
{
    BLOCK trans1_TT_7;
    INDEX 63;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_Cal_Point_Lo
        }
    }
}

COMMAND write_trans1_TT_7_Cal_Point_Lo
{
    BLOCK trans1_TT_7;
    INDEX 63;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_TT_7_Cal_Point_Lo
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_TT_7_Cal_Min_Span
{
    BLOCK trans1_TT_7;
    INDEX 64;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_Cal_Min_Span
        }
    }
}

COMMAND write_trans1_TT_7_Cal_Min_Span
{
    BLOCK trans1_TT_7;
    INDEX 64;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_TT_7_Cal_Min_Span
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_TT_7_Cal_Unit
{
    BLOCK trans1_TT_7;
    INDEX 65;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_Cal_Unit
        }
    }
}

COMMAND write_trans1_TT_7_Cal_Unit
{
    BLOCK trans1_TT_7;
    INDEX 65;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_TT_7_Cal_Unit
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_TT_7_Sensor_Value_1
{
    BLOCK trans1_TT_7;
    INDEX 67;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_Sensor_Value_1
        }
    }
}

COMMAND read_trans1_TT_7_Sensor_Value_2
{
    BLOCK trans1_TT_7;
    INDEX 68;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_Sensor_Value_2
        }
    }
}

COMMAND read_trans1_TT_7_Two_Wires_Comp
{
    BLOCK trans1_TT_7;
    INDEX 69;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_TT_7_Two_Wires_Comp
        }
    }
}

COMMAND write_trans1_TT_7_Two_Wires_Comp
{
    BLOCK trans1_TT_7;
    INDEX 69;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_TT_7_Two_Wires_Comp
        }
        REPLY
        {
        }
    }
}

METHOD method_tt_7_lin_type
{
    LABEL        [MC_method_tt_lin_type];
    DEFINITION
    {
        switch (trans1_TT_7_lin_type)
        {
        case 0:
            switch (trans1_TT_7_input_range)
            {
            case 0:
                if (trans1_TT_7_primary_value_unit != 1243) 
                {
                    trans1_TT_7_primary_value_unit = 1243;
                }
                trans1_TT_7_upper_sensor_limit = 100;
                trans1_TT_7_lower_sensor_limit = -100;
//                func1_AI_7_lo_lo_lim = -100;
//                func1_AI_7_lo_lim = -100;
//                func1_AI_7_hi_lim = 100;
//                func1_AI_7_hi_hi_lim = 100;
                break;

            case 128:
                if ((trans1_TT_7_primary_value_unit != 1281) || (trans1_TT_7_primary_value_unit != 1284))
                {
                    trans1_TT_7_primary_value_unit = 1281;
                }
                trans1_TT_7_upper_sensor_limit = 500;
                trans1_TT_7_lower_sensor_limit = 0;
//                func1_AI_7_lo_lo_lim = 0;
//                func1_AI_7_lo_lim = 0;
//                func1_AI_7_hi_lim = 500;
//                func1_AI_7_hi_hi_lim = 500;
                break;

            case 129:
                if ((trans1_TT_7_primary_value_unit != 1281) || (trans1_TT_7_primary_value_unit != 1284))
                {
                    trans1_TT_7_primary_value_unit = 1281;
                }
                trans1_TT_7_upper_sensor_limit = 4000;
                trans1_TT_7_lower_sensor_limit = 0;
//                func1_AI_7_lo_lo_lim = 0;
//                func1_AI_7_lo_lim = 0;
//                func1_AI_7_hi_lim = 4000;
//                func1_AI_7_hi_hi_lim = 4000;
                break;
            }
            break;

        case 102:
        case 105:
            if ((trans1_TT_7_primary_value_unit == 1243) || (trans1_TT_7_primary_value_unit == 1281) || (trans1_TT_7_primary_value_unit == 1284))
            {
                trans1_TT_7_primary_value_unit = 1001;
            }
            trans1_TT_7_upper_sensor_limit = 850;
            trans1_TT_7_lower_sensor_limit = -200;
//            func1_AI_7_lo_lo_lim = -200;
//            func1_AI_7_lo_lim = -200;
//            func1_AI_7_hi_lim = 850;
//            func1_AI_7_hi_hi_lim = 850;
            break;

        case 240:
        case 127:
            if ((trans1_TT_7_primary_value_unit == 1243) || (trans1_TT_7_primary_value_unit == 1281) || (trans1_TT_7_primary_value_unit == 1284))
            {
                trans1_TT_7_primary_value_unit = 1001;
            }
            trans1_TT_7_upper_sensor_limit = 150;
            trans1_TT_7_lower_sensor_limit = -50;
//            func1_AI_7_lo_lo_lim = -50;
//            func1_AI_7_lo_lim = -50;
//            func1_AI_7_hi_lim = 150;
//            func1_AI_7_hi_hi_lim = 150;
            break;

        case 128:
            if ((trans1_TT_7_primary_value_unit == 1243) || (trans1_TT_7_primary_value_unit == 1281) || (trans1_TT_7_primary_value_unit == 1284))
            {
                trans1_TT_7_primary_value_unit = 1001;
            }
            trans1_TT_7_upper_sensor_limit = 1820;
            trans1_TT_7_lower_sensor_limit = 0;
//            func1_AI_7_lo_lo_lim = 500;
//            func1_AI_7_lo_lim = 500;
//            func1_AI_7_hi_lim = 1820;
//            func1_AI_7_hi_hi_lim = 1820;
            break;

        case 131:
            if ((trans1_TT_7_primary_value_unit == 1243) || (trans1_TT_7_primary_value_unit == 1281) || (trans1_TT_7_primary_value_unit == 1284))
            {
                trans1_TT_7_primary_value_unit = 1001;
            }
            trans1_TT_7_upper_sensor_limit = 1000;
            trans1_TT_7_lower_sensor_limit = -270;
//            func1_AI_7_lo_lo_lim = -200;
//            func1_AI_7_lo_lim = -200;
//            func1_AI_7_hi_lim = 1000;
//            func1_AI_7_hi_hi_lim = 1000;
            break;

        case 133:
            if ((trans1_TT_7_primary_value_unit == 1243) || (trans1_TT_7_primary_value_unit == 1281) || (trans1_TT_7_primary_value_unit == 1284))
            {
                trans1_TT_7_primary_value_unit = 1001;
            }
            trans1_TT_7_upper_sensor_limit = 1200; 
            trans1_TT_7_lower_sensor_limit = -210; 
//            func1_AI_7_lo_lo_lim = -190;
//            func1_AI_7_lo_lim = -190;
//            func1_AI_7_hi_lim = 1200;
//            func1_AI_7_hi_hi_lim = 1200;
            break;

        case 134:
            if ((trans1_TT_7_primary_value_unit == 1243) || (trans1_TT_7_primary_value_unit == 1281) || (trans1_TT_7_primary_value_unit == 1284))
            {
                trans1_TT_7_primary_value_unit = 1001;
            }
            trans1_TT_7_upper_sensor_limit = 1372;
            trans1_TT_7_lower_sensor_limit = -270;
//            func1_AI_7_lo_lo_lim = -200;
//            func1_AI_7_lo_lim = -200;
//            func1_AI_7_hi_lim = 1372;
//            func1_AI_7_hi_hi_lim = 1372;
            break;

        case 135:
            if ((trans1_TT_7_primary_value_unit == 1243) || (trans1_TT_7_primary_value_unit == 1281) || (trans1_TT_7_primary_value_unit == 1284))
            {
                trans1_TT_7_primary_value_unit = 1001;
            }
            trans1_TT_7_upper_sensor_limit = 1300;
            trans1_TT_7_lower_sensor_limit = -270;
//            func1_AI_7_lo_lo_lim = -190;
//            func1_AI_7_lo_lim = -190;
//            func1_AI_7_hi_lim = 1300;
//            func1_AI_7_hi_hi_lim = 1300;
            break;

        case 136:
        case 137:
            if ((trans1_TT_7_primary_value_unit == 1243) || (trans1_TT_7_primary_value_unit == 1281) || (trans1_TT_7_primary_value_unit == 1284))
            {
                trans1_TT_7_primary_value_unit = 1001;
            }
            trans1_TT_7_upper_sensor_limit = 1768;
            trans1_TT_7_lower_sensor_limit = -50; 
//            func1_AI_7_lo_lo_lim = 0;
//            func1_AI_7_lo_lim = 0;
//            func1_AI_7_hi_lim = 1768;
//            func1_AI_7_hi_hi_lim = 1768;
            break;

        case 138:
            if ((trans1_TT_7_primary_value_unit == 1243) || (trans1_TT_7_primary_value_unit == 1281) || (trans1_TT_7_primary_value_unit == 1284))
            {
                trans1_TT_7_primary_value_unit = 1001;
            }
            trans1_TT_7_upper_sensor_limit = 400; 
            trans1_TT_7_lower_sensor_limit = -270;
//            func1_AI_7_lo_lo_lim = -200;
//            func1_AI_7_lo_lim = -200;
//            func1_AI_7_hi_lim = 400;
//            func1_AI_7_hi_hi_lim = 400;
            break;
        }
        switch (ivar_value(trans1_TT_7_primary_value_unit))
        {
        case 1000:  //K ¶
            trans1_TT_7_upper_sensor_limit += 273.15;
            trans1_TT_7_lower_sensor_limit += 273.15;
//            func1_AI_7_lo_lo_lim +=  273.15;
//            func1_AI_7_lo_lim +=  273.15;
//            func1_AI_7_hi_lim += 273.15;
//            func1_AI_7_hi_hi_lim += 273.15;
            break;

        case 1001:  //C ¶
        case 1243:  //mV
        case 1281:  //Ohm
            trans1_TT_7_upper_sensor_limit = trans1_TT_7_upper_sensor_limit;
            trans1_TT_7_lower_sensor_limit = trans1_TT_7_lower_sensor_limit;
//            func1_AI_7_lo_lo_lim = func1_AI_1_lo_lo_lim;
//            func1_AI_7_lo_lim = func1_AI_7_lo_lim;
//            func1_AI_7_hi_lim = func1_AI_7_hi_lim;
//            func1_AI_7_hi_hi_lim = func1_AI_7_hi_hi_lim;
            break;

        case 1002:  //F ¶
            trans1_TT_7_upper_sensor_limit = trans1_TT_7_upper_sensor_limit*9/5+32;
            trans1_TT_7_lower_sensor_limit = trans1_TT_7_lower_sensor_limit*9/5+32;
//            func1_AI_7_lo_lo_lim = func1_AI_7_lo_lo_lim*9/5+32;
//            func1_AI_7_lo_lim = func1_AI_7_lo_lim*9/5+32;
//            func1_AI_7_hi_lim = func1_AI_7_hi_lim*9/5+32;
//            func1_AI_7_hi_hi_lim = func1_AI_7_hi_hi_lim*9/5+32;
            break;

        case 1003:  //R ¶
            trans1_TT_7_upper_sensor_limit = trans1_TT_7_upper_sensor_limit*9/5+32+495.69;
            trans1_TT_7_lower_sensor_limit = trans1_TT_7_lower_sensor_limit*9/5+32+495.69;
//            func1_AI_7_lo_lo_lim = func1_AI_7_lo_lo_lim*9/5+32+495.69;
//            func1_AI_7_lo_lim = func1_AI_7_lo_lim*9/5+32+495.69;
//            func1_AI_7_hi_lim = func1_AI_7_hi_lim*9/5+32+495.69;
//            func1_AI_7_hi_hi_lim = func1_AI_7_hi_hi_lim*9/5+32+495.69;
            break;

        case 1284:  //kOhm
            trans1_TT_7_upper_sensor_limit = trans1_TT_7_upper_sensor_limit/1000;
            trans1_TT_7_lower_sensor_limit = trans1_TT_7_lower_sensor_limit/1000;
//            func1_AI_7_lo_lo_lim = func1_AI_7_lo_lo_lim/1000;
//            func1_AI_7_lo_lim = func1_AI_7_lo_lim/1000;
//            func1_AI_7_hi_lim = func1_AI_7_hi_lim/1000;
//            func1_AI_7_hi_hi_lim = func1_AI_7_hi_hi_lim/1000;
           break;
        }
//        func1_AI_7_pv_lower_range_value = 0;
//        func1_AI_7_pv_upper_range_value = 100;
//        func1_AI_7_out_lower_range_value = 0;
//        func1_AI_7_out_upper_range_value = 100;
        if ((trans1_TT_7_lin_type != trans1_TT_8_lin_type) && 
            ((trans1_TT_7_sensor_measure_type == 128) ||
             (trans1_TT_7_sensor_measure_type == 129) ||
             (trans1_TT_7_sensor_measure_type == 192) ||
             (trans1_TT_8_sensor_measure_type == 128) ||
             (trans1_TT_8_sensor_measure_type == 129) ||
             (trans1_TT_8_sensor_measure_type == 192)))
        {
            trans1_TT_7_sensor_measure_type = 0;
            if (trans1_TT_8_sensor_measure_type != 0)
            {
                trans1_TT_8_sensor_measure_type = 1;
            }
        }
    }
}

METHOD method_TT_7_primary_value_unit
{
    LABEL        "method_TT_7_primary_value_unit";
    DEFINITION
    {
        if ((trans1_TT_7_primary_value_unit != trans1_TT_7_primary_value_unit) && 
            ((trans1_TT_7_sensor_measure_type == 128) ||
             (trans1_TT_7_sensor_measure_type == 129) ||
             (trans1_TT_7_sensor_measure_type == 192) ||
             (trans1_TT_8_sensor_measure_type == 128) ||
             (trans1_TT_8_sensor_measure_type == 129) ||
             (trans1_TT_8_sensor_measure_type == 192)))
        {
            trans1_TT_7_sensor_measure_type = 0;
            if (trans1_TT_8_sensor_measure_type != 0)
            {
                trans1_TT_8_sensor_measure_type = 1;
            }
        }
        save_values();
    }
}

METHOD method_TT_7_post_write_read_device_values
{
    DEFINITION
    {
        DELAY_TIME(1);
        ReadCommand(read_trans1_TT_7_bias_1);
        ReadCommand(read_trans1_TT_7_bias_2);
        ReadCommand(read_trans1_TT_7_upper_sensor_limit);
        ReadCommand(read_trans1_TT_7_lower_sensor_limit);
        save_values();
    }
}

METHOD method_tt_7_input_range
{
    LABEL        [MC_method_tt_input_range];
    DEFINITION
    {
        if (trans1_TT_7_lin_type == 0)
        {
            switch (trans1_TT_7_input_range)
            {
            case 0:
                if (trans1_TT_7_primary_value_unit != 1243) 
                {
                    trans1_TT_7_primary_value_unit = 1243;
                }
                trans1_TT_7_upper_sensor_limit = 100;
                trans1_TT_7_lower_sensor_limit = -100;
                break;

            case 128:
                if ((trans1_TT_7_primary_value_unit != 1281) || (trans1_TT_7_primary_value_unit != 1284))
                {
                    trans1_TT_7_primary_value_unit = 1281;
                }
                trans1_TT_7_upper_sensor_limit = 500;
                trans1_TT_7_lower_sensor_limit = 0;
                break;

            case 129:
                if ((trans1_TT_7_primary_value_unit != 1281) || (trans1_TT_7_primary_value_unit != 1284))
                {
                    trans1_TT_7_primary_value_unit = 1281;
                }
                trans1_TT_7_upper_sensor_limit = 4000;
                trans1_TT_7_lower_sensor_limit = 0;
                break;
            }
        }

        if ((trans1_TT_7_input_range != trans1_TT_8_input_range) && 
            ((trans1_TT_7_sensor_measure_type == 128) ||
             (trans1_TT_7_sensor_measure_type == 129) ||
             (trans1_TT_7_sensor_measure_type == 192) ||
             (trans1_TT_8_sensor_measure_type == 128) ||
             (trans1_TT_8_sensor_measure_type == 129) ||
             (trans1_TT_8_sensor_measure_type == 192)))
        {
            trans1_TT_7_sensor_measure_type = 0;
            if (trans1_TT_8_sensor_measure_type != 0)
            {
                trans1_TT_8_sensor_measure_type = 1;
            }
        }
    }
}

METHOD method_tt_8_lin_type
{
    LABEL        [MC_method_tt_lin_type];
    DEFINITION
    {
        switch (trans1_TT_8_lin_type)
        {
        case 0:
            switch (trans1_TT_8_input_range)
            {
            case 0:
                if (trans1_TT_8_primary_value_unit != 1243) 
                {
                    trans1_TT_8_primary_value_unit = 1243;
                }
                trans1_TT_8_upper_sensor_limit = 100;
                trans1_TT_8_lower_sensor_limit = -100;
//                func1_AI_2_lo_lo_lim = -100;
//                func1_AI_2_lo_lim = -100;
//                func1_AI_2_hi_lim = 100;
//                func1_AI_2_hi_hi_lim = 100;
                break;

            case 128:
                if ((trans1_TT_8_primary_value_unit != 1281) || (trans1_TT_8_primary_value_unit != 1284))
                {
                    trans1_TT_8_primary_value_unit = 1281;
                }
                trans1_TT_8_upper_sensor_limit = 500;
                trans1_TT_8_lower_sensor_limit = 0;
//                func1_AI_2_lo_lo_lim = 0;
//                func1_AI_2_lo_lim = 0;
//                func1_AI_2_hi_lim = 500;
//                func1_AI_2_hi_hi_lim = 500;
                break;

            case 129:
                if ((trans1_TT_8_primary_value_unit != 1281) || (trans1_TT_8_primary_value_unit != 1284))
                {
                    trans1_TT_8_primary_value_unit = 1281;
                }
                trans1_TT_8_upper_sensor_limit = 4000;
                trans1_TT_8_lower_sensor_limit = 0;
//                func1_AI_2_lo_lo_lim = 0;
//                func1_AI_2_lo_lim = 0;
//                func1_AI_2_hi_lim = 4000;
//                func1_AI_2_hi_hi_lim = 4000;
                break;
            }
            break;

        case 102:
        case 105:
            if ((trans1_TT_8_primary_value_unit == 1243) || (trans1_TT_8_primary_value_unit == 1281) || (trans1_TT_8_primary_value_unit == 1284))
            {
                trans1_TT_8_primary_value_unit = 1001;
            }
            trans1_TT_8_upper_sensor_limit = 850;
            trans1_TT_8_lower_sensor_limit = -200;
//            func1_AI_2_lo_lo_lim = -200;
//            func1_AI_2_lo_lim = -200;
//            func1_AI_2_hi_lim = 850;
//            func1_AI_2_hi_hi_lim = 850;
            break;

        case 240:
        case 127:
            if ((trans1_TT_8_primary_value_unit == 1243) || (trans1_TT_8_primary_value_unit == 1281) || (trans1_TT_8_primary_value_unit == 1284))
            {
                trans1_TT_8_primary_value_unit = 1001;
            }
            trans1_TT_8_upper_sensor_limit = 150;
            trans1_TT_8_lower_sensor_limit = -50;
//            func1_AI_2_lo_lo_lim = -50;
//            func1_AI_2_lo_lim = -50;
//            func1_AI_2_hi_lim = 150;
//            func1_AI_2_hi_hi_lim = 150;
            break;

        case 128:
            if ((trans1_TT_8_primary_value_unit == 1243) || (trans1_TT_8_primary_value_unit == 1281) || (trans1_TT_8_primary_value_unit == 1284))
            {
                trans1_TT_8_primary_value_unit = 1001;
            }
            trans1_TT_8_upper_sensor_limit = 1820;
            trans1_TT_8_lower_sensor_limit = 0;
//            func1_AI_2_lo_lo_lim = 500;
//            func1_AI_2_lo_lim = 500;
//            func1_AI_2_hi_lim = 1820;
//            func1_AI_2_hi_hi_lim = 1820;
            break;

        case 131:
            if ((trans1_TT_8_primary_value_unit == 1243) || (trans1_TT_8_primary_value_unit == 1281) || (trans1_TT_8_primary_value_unit == 1284))
            {
                trans1_TT_8_primary_value_unit = 1001;
            }
            trans1_TT_8_upper_sensor_limit = 1000;
            trans1_TT_8_lower_sensor_limit = -270;
//            func1_AI_2_lo_lo_lim = -200;
//            func1_AI_2_lo_lim = -200;
//            func1_AI_2_hi_lim = 1000;
//            func1_AI_2_hi_hi_lim = 1000;
            break;

        case 133:
            if ((trans1_TT_8_primary_value_unit == 1243) || (trans1_TT_8_primary_value_unit == 1281) || (trans1_TT_8_primary_value_unit == 1284))
            {
                trans1_TT_8_primary_value_unit = 1001;
            }
            trans1_TT_8_upper_sensor_limit = 1200; 
            trans1_TT_8_lower_sensor_limit = -210; 
//            func1_AI_2_lo_lo_lim = -190;
//            func1_AI_2_lo_lim = -190;
//            func1_AI_2_hi_lim = 1200;
//            func1_AI_2_hi_hi_lim = 1200;
            break;

        case 134:
            if ((trans1_TT_8_primary_value_unit == 1243) || (trans1_TT_8_primary_value_unit == 1281) || (trans1_TT_8_primary_value_unit == 1284))
            {
                trans1_TT_8_primary_value_unit = 1001;
            }
            trans1_TT_8_upper_sensor_limit = 1372;
            trans1_TT_8_lower_sensor_limit = -270;
//            func1_AI_2_lo_lo_lim = -200;
//            func1_AI_2_lo_lim = -200;
//            func1_AI_2_hi_lim = 1372;
//            func1_AI_2_hi_hi_lim = 1372;
            break;

        case 135:
            if ((trans1_TT_8_primary_value_unit == 1243) || (trans1_TT_8_primary_value_unit == 1281) || (trans1_TT_8_primary_value_unit == 1284))
            {
                trans1_TT_8_primary_value_unit = 1001;
            }
            trans1_TT_8_upper_sensor_limit = 1300;
            trans1_TT_8_lower_sensor_limit = -270;
//            func1_AI_2_lo_lo_lim = -190;
//            func1_AI_2_lo_lim = -190;
//            func1_AI_2_hi_lim = 1300;
//            func1_AI_2_hi_hi_lim = 1300;
            break;

        case 136:
        case 137:
            if ((trans1_TT_8_primary_value_unit == 1243) || (trans1_TT_8_primary_value_unit == 1281) || (trans1_TT_8_primary_value_unit == 1284))
            {
                trans1_TT_8_primary_value_unit = 1001;
            }
            trans1_TT_8_upper_sensor_limit = 1768;
            trans1_TT_8_lower_sensor_limit = -50; 
//            func1_AI_2_lo_lo_lim = 0;
//            func1_AI_2_lo_lim = 0;
//            func1_AI_2_hi_lim = 1768;
//            func1_AI_2_hi_hi_lim = 1768;
            break;

        case 138:
            if ((trans1_TT_8_primary_value_unit == 1243) || (trans1_TT_8_primary_value_unit == 1281) || (trans1_TT_8_primary_value_unit == 1284))
            {
                trans1_TT_8_primary_value_unit = 1001;
            }
            trans1_TT_8_upper_sensor_limit = 400; 
            trans1_TT_8_lower_sensor_limit = -270;
//            func1_AI_2_lo_lo_lim = -200;
//            func1_AI_2_lo_lim = -200;
//            func1_AI_2_hi_lim = 400;
//            func1_AI_2_hi_hi_lim = 400;
            break;

        }
        switch (trans1_TT_8_primary_value_unit)
        {
        case 1000:  //K ¶
            trans1_TT_8_upper_sensor_limit += 273.15;
            trans1_TT_8_lower_sensor_limit += 273.15;
//            func1_AI_2_lo_lo_lim +=  273.15;
//            func1_AI_2_lo_lim +=  273.15;
//            func1_AI_2_hi_lim += 273.15;
//            func1_AI_2_hi_hi_lim += 273.15;
            break;

        case 1001:  //C ¶
        case 1243:  //mV
        case 1281:  //Ohm
            trans1_TT_8_upper_sensor_limit = trans1_TT_8_upper_sensor_limit;
            trans1_TT_8_lower_sensor_limit = trans1_TT_8_lower_sensor_limit;
//            func1_AI_2_lo_lo_lim = func1_AI_2_lo_lo_lim;
//            func1_AI_2_lo_lim = func1_AI_2_lo_lim;
//            func1_AI_2_hi_lim = func1_AI_2_hi_lim;
//            func1_AI_2_hi_hi_lim = func1_AI_2_hi_hi_lim;
            break;

        case 1002:  //F ¶
            trans1_TT_8_upper_sensor_limit = trans1_TT_8_upper_sensor_limit*9/5+32;
            trans1_TT_8_lower_sensor_limit = trans1_TT_8_lower_sensor_limit*9/5+32;
//            func1_AI_2_lo_lo_lim = func1_AI_2_lo_lo_lim*9/5+32;
//            func1_AI_2_lo_lim = func1_AI_2_lo_lim*9/5+32;
//            func1_AI_2_hi_lim = func1_AI_2_hi_lim*9/5+32;
//            func1_AI_2_hi_hi_lim = func1_AI_2_hi_hi_lim*9/5+32;
            break;

        case 1003:  //R ¶
            trans1_TT_8_upper_sensor_limit = trans1_TT_8_upper_sensor_limit*9/5+32+495.69;
            trans1_TT_8_lower_sensor_limit = trans1_TT_8_lower_sensor_limit*9/5+32+495.69;
//            func1_AI_2_lo_lo_lim = func1_AI_2_lo_lo_lim*9/5+32+495.69;
//            func1_AI_2_lo_lim = func1_AI_2_lo_lim*9/5+32+495.69;
//            func1_AI_2_hi_lim = func1_AI_2_hi_lim*9/5+32+495.69;
//            func1_AI_2_hi_hi_lim = func1_AI_2_hi_hi_lim*9/5+32+495.69;
            break;

        case 1284:  //kOhm
            trans1_TT_8_upper_sensor_limit = trans1_TT_8_upper_sensor_limit/1000;
            trans1_TT_8_lower_sensor_limit = trans1_TT_8_lower_sensor_limit/1000;
//            func1_AI_2_lo_lo_lim = func1_AI_2_lo_lo_lim/1000;
//            func1_AI_2_lo_lim = func1_AI_2_lo_lim/1000;
//            func1_AI_2_hi_lim = func1_AI_2_hi_lim/1000;
//            func1_AI_2_hi_hi_lim = func1_AI_2_hi_hi_lim/1000;
           break;
        }
//        func1_AI_2_pv_lower_range_value = 0;
//        func1_AI_2_pv_upper_range_value = 100;
//        func1_AI_2_out_lower_range_value = 0;
//        func1_AI_2_out_upper_range_value = 100;
        if ((trans1_TT_7_lin_type != trans1_TT_8_lin_type) && 
            ((trans1_TT_7_sensor_measure_type == 128) ||
             (trans1_TT_7_sensor_measure_type == 129) ||
             (trans1_TT_7_sensor_measure_type == 192) ||
             (trans1_TT_8_sensor_measure_type == 128) ||
             (trans1_TT_8_sensor_measure_type == 129) ||
             (trans1_TT_8_sensor_measure_type == 192)))
        {
            if (trans1_TT_7_sensor_measure_type != 1)
            {
                trans1_TT_7_sensor_measure_type = 0;
            }
            trans1_TT_8_sensor_measure_type = 1;
        }
    }
}

METHOD method_TT_8_primary_value_unit
{
    LABEL        "method_TT_8_primary_value_unit";
    DEFINITION
    {
        if ((trans1_TT_7_primary_value_unit != trans1_TT_8_primary_value_unit) && 
            ((trans1_TT_7_sensor_measure_type == 128) ||
             (trans1_TT_7_sensor_measure_type == 129) ||
             (trans1_TT_7_sensor_measure_type == 192) ||
             (trans1_TT_8_sensor_measure_type == 128) ||
             (trans1_TT_8_sensor_measure_type == 129) ||
             (trans1_TT_8_sensor_measure_type == 192)))
        {
            if (trans1_TT_7_sensor_measure_type != 1)
            {
                trans1_TT_7_sensor_measure_type = 0;
            }
            trans1_TT_8_sensor_measure_type = 1;
        }
    }
}

METHOD method_TT_8_post_write_read_device_values
{
    DEFINITION
    {
        DELAY_TIME(1);
        ReadCommand(read_trans1_TT_8_bias_1);
        ReadCommand(read_trans1_TT_8_bias_2);
        ReadCommand(read_trans1_TT_8_upper_sensor_limit);
        ReadCommand(read_trans1_TT_8_lower_sensor_limit);
    }
}

METHOD method_tt_8_input_range
{
    LABEL        [MC_method_tt_input_range];
    DEFINITION
    {
        if (trans1_TT_8_lin_type == 0)
        {
            switch (trans1_TT_8_input_range)
            {
            case 0:
                if (trans1_TT_8_primary_value_unit != 1243) 
                {
                    trans1_TT_8_primary_value_unit = 1243;
                }
                trans1_TT_8_upper_sensor_limit = 100;
                trans1_TT_8_lower_sensor_limit = -100;
                break;

            case 128:
                if ((trans1_TT_8_primary_value_unit != 1281) || (trans1_TT_8_primary_value_unit != 1284))
                {
                    trans1_TT_8_primary_value_unit = 1281;
                }
                trans1_TT_8_upper_sensor_limit = 500;
                trans1_TT_8_lower_sensor_limit = 0;
                break;

            case 129:
                if ((trans1_TT_8_primary_value_unit != 1281) || (trans1_TT_8_primary_value_unit != 1284))
                {
                    trans1_TT_8_primary_value_unit = 1281;
                }
                trans1_TT_8_upper_sensor_limit = 4000;
                trans1_TT_8_lower_sensor_limit = 0;
                break;
            }
        }

        if ((trans1_TT_7_input_range != trans1_TT_8_input_range) && 
            ((trans1_TT_7_sensor_measure_type == 128) ||
             (trans1_TT_7_sensor_measure_type == 129) ||
             (trans1_TT_7_sensor_measure_type == 192) ||
             (trans1_TT_8_sensor_measure_type == 128) ||
             (trans1_TT_8_sensor_measure_type == 129) ||
             (trans1_TT_8_sensor_measure_type == 192)))
        {
            if (trans1_TT_7_sensor_measure_type != 1)
            {
                trans1_TT_7_sensor_measure_type = 0;
            }
            trans1_TT_7_sensor_measure_type = 1;
        }
    }
}

METHOD method_pre_write_phys_write_locking
{
    LABEL   [method_pre_write_phys_write_locking];
    DEFINITION
    {
        int ret;
        ReadCommand (read_phys_write_locking);
        if ( phys_write_locking == 0 )
        {
            ret = ACKNOWLEDGE([label_DeviceIsWriteProtected]);
            if (ret) process_abort();
        }
    }
}

METHOD method_set_trans1_TT_7_two_Wires_Comp
{
    LABEL        [MC_Write];
    DEFINITION
    {
        int fValue;
        //ReadCommand(func1_AI_1_simulation_enabled);
        if (func1_AI_7_simulation_enabled == 0)        //0 = [off]
        {
            //WriteCommand (write_trans1_TT_1_Channel);
            trans1_TT_7_Two_Wires_Comp = 1;
            WriteCommand (write_trans1_TT_7_Two_Wires_Comp);
            fValue = 1;
            while(fValue = 0)
            {
                ReadCommand (read_trans1_TT_7_two_Wires_Comp);
                fValue = ivar_value(trans1_TT_7_Two_Wires_Comp);
            }
            if (fValue == 0) PUT_MESSAGE("Finished.");
        }
        else
        {
            ACKNOWLEDGE("Function not permitted during simulation");  
        }

    }
}

METHOD method_set_trans1_TT_7_cal_point_lo
{
    LABEL        [MC_Start];
    DEFINITION
    {
        int ret,fValue;

        if (func1_AI_7_simulation_enabled == 0)        //0 = [off]
        {
            ret = GET_DEV_VAR_VALUE("Enter applied temperature value", trans1_TT_7_Cal_Point_Lo);
            fValue = trans1_TT_7_Cal_Point_Lo;

            if (ret < 0)
            {
                process_abort();
            }

            WriteCommand (write_trans1_TT_7_Cal_Point_Lo);
            ReadCommand (read_trans1_TT_7_Cal_Point_Lo);
        }
        else
        {
            ACKNOWLEDGE("Function not permitted during simulation");  
        }

    }
}

METHOD method_set_trans1_TT_7_cal_point_hi
{
    LABEL        [MC_Start];
    DEFINITION
    {
        int ret,fValue;

        if (func1_AI_7_simulation_enabled == 0)        //0 = [off]
        {
            ret = GET_DEV_VAR_VALUE("Enter applied temperature value", trans1_TT_7_Cal_Point_Hi);
            fValue = trans1_TT_7_Cal_Point_Hi;

            if (ret < 0)
            {
                process_abort();
            }

            WriteCommand (write_trans1_TT_7_Cal_Point_Hi);
            ReadCommand (read_trans1_TT_7_Cal_Point_Hi);
        }
        else
        {
            ACKNOWLEDGE("Function not permitted during simulation");  
        }

    }
}

METHOD method_set_trans1_TT_8_two_Wires_Comp
{
    LABEL        [MC_Write];
    DEFINITION
    {
        int fValue;
        //ReadCommand(func1_AI_2_simulation_enabled);
        if (func1_AI_8_simulation_enabled == 0)        //0 = [off]
        {
            //WriteCommand (write_trans1_TT_2_Channel);
            trans1_TT_8_Two_Wires_Comp = 1;
            WriteCommand (write_trans1_TT_8_Two_Wires_Comp);
            fValue = 1;
            while(fValue = 0)
            {
                ReadCommand (read_trans1_TT_8_two_Wires_Comp);
                fValue = ivar_value(trans1_TT_8_Two_Wires_Comp);
            }
            if (fValue == 0) PUT_MESSAGE("Finished.");
        }
        else
        {
            ACKNOWLEDGE("Function not permitted during simulation");  
        }

    }
}

METHOD method_set_trans1_TT_8_cal_point_lo
{
    LABEL        [MC_Start];
    DEFINITION
    {
        int ret,fValue;

        if (func1_AI_8_simulation_enabled == 0)        //0 = [off]
        {
            ret = GET_DEV_VAR_VALUE("Enter applied temperature value", trans1_TT_8_Cal_Point_Lo);
            fValue = trans1_TT_8_Cal_Point_Lo;

            if (ret < 0)
            {
                process_abort();
            }

            WriteCommand (write_trans1_TT_8_Cal_Point_Lo);
            ReadCommand (read_trans1_TT_8_Cal_Point_Lo);
        }
        else
        {
            ACKNOWLEDGE("Function not permitted during simulation");  
        }

    }
}

METHOD method_set_trans1_TT_8_cal_point_hi
{
    LABEL        [MC_Start];
    DEFINITION
    {
        int ret,fValue;

        if (func1_AI_8_simulation_enabled == 0)        //0 = [off]
        {
            ret = GET_DEV_VAR_VALUE("Enter applied temperature value", trans1_TT_8_Cal_Point_Hi);
            fValue = trans1_TT_8_Cal_Point_Hi;

            if (ret < 0)
            {
                process_abort();
            }

            WriteCommand (write_trans1_TT_8_Cal_Point_Hi);
            ReadCommand (read_trans1_TT_8_Cal_Point_Hi);
        }
        else
        {
            ACKNOWLEDGE("Function not permitted during simulation");  
        }

    }
}
